2018-10-24  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'travis'
	[skip ci]

	Updated travis build so that the build-rpm.sh script is accessible

2018-10-23  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'travis' of https://github.com/opendap/libdap4 into travis
	# Conflicts:
	#	.travis.yml

	Added c6 to deply list

2018-10-22  James Gallagher  <jgallagher@opendap.org>

	Updated the containers to tag 1.1

2018-10-20  James Gallagher  <jgallagher@opendap.org>

	Container tags from 1,latest to 1.0

	Removed old files

	Merge branch 'travis' of https://github.com/opendap/libdap4 into travis

	As with hyrax deps, container tag change from 1 to 1.0

2018-10-17  James Gallagher  <jgallagher@opendap.org>

	Added centos6 build

	replace mv with cp - maybe the user is not root
	That is, a non-root user cannot mv because that implies delete/write
	privileges and group and other have only read privileges.

2018-10-16  James Gallagher  <jgallagher@opendap.org>

	Debug broken mv

	Another try at debugging the mv problem

	More debugging of the mv bug.

	Debug package move error.
	Also, changed to $HOME from /root in both travis yml and build-rpm.sh

	Fixed paths in build-rpm.sh

	Missed a /home in the centos7 RPM build

	Changed /home to /root inside the docker container.
	This should enable the rpms to be accessed by Travis. Also, changed the
	branch restrictions on the deployment so the Travis branch will run the
	before_deploy code (deploy itself won't run for a PR).

2018-10-15  James Gallagher  <jgallagher@opendap.org>

	Corrected error in build-rpm.sh - was missing call to configure

	Fixed container spec; hacked yml to test only the RPM build

	Hacked Travis to run the new RPM build. checkpoint

	Changed rpm-build.sh to use 'make rpm' and added some instrumentation

	Initial version of a Travis-based RPM build. checkpoint

2018-10-11  James Gallagher  <jgallagher@opendap.org>

	Revert "--enable-coverage added to configure.ac and Makefile.am"
	This reverts commit 726f30bbf743a9fc2213f3a2c7d28a7cb2df3174.

	--enable-coverage added to configure.ac and Makefile.am

	Added initial version of docker bootstrap script
	[skip ci]

	Added the new docker command - it didn't get committed previously

	# WARNING: head commit changed in the meantime
	Added docker as a 'service,' named the package build stage.
	This is a test to see if I can get the docker container to load and run

2018-09-13  James Gallagher  <jgallagher@opendap.org>

	Debian package build fail was a version number error
	Changed the distribution back to 'trusty'

	There are errors reported by debian lintian - change dist to UNSTABLE

	Modified the debian/changelog to indicate the package was built on trusty
2018-09-13  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'centos6-build-fixes'

2018-09-12  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #74 from OPENDAP/ddx-fix-2
	DDX fix 2

	Now the code builds DAP3.2 DDX reposnes by default.

2018-09-10  James Gallagher  <jgallagher@opendap.org>

	Baselines for DAP2 DDXs (*.dap2.xml)
	The DAP 3.2 baselines end in .xml.

	Merge branch 'ddx-fix-2' of https://github.com/opendap/libdap4 into ddx-fix-2

	The configure script now sets DAP2 or DAP3.2 DDX reposes.
	DAP2 DDX's in this commit. Tests are switched automatically.

	The configure script now sets DAP2 or DAP3.2 DDX reposes.
	Tests are switched automatically.

	This is the alternative DDX fix - compile-time choice of DAP2 or 3.2 DDX
	With DAP2 DDX, all but a handful of BES tests pass, with DAP3.2, many
	more tests fail.

	Merge pull request #73 from OPENDAP/ddx-3.2-only
	The DDS::print_xml and print_xml_writer now only return a '3.2' DDX

	The DDS::print_xml and print_xml_writer now only return a '3.2' DDX
	There is an issue in the BES where, for unknown reasons, a DAP2 or
	DAP3.2 DDX will be returned. The DDX response should only be '3.2'.
	Since there is no used for DAP2 DDX, I've removed it. This doesn't
	address the underlying problem, however (why the version number in
	the DDS object do not match those set by the BES's client).

2018-08-29  James Gallagher  <jgallagher@opendap.org>

	centos6 edits

2018-08-22  James Gallagher  <jgallagher@opendap.org>

	Fixed commands in the before_deploy section of the travis yaml

	try moving two packages to S3

2018-08-22  Kodi Neumiller  <kodi@Udays-MacBook-Pro.local>

	Added || in the condition section.

	Took out = main

	Fixed the directory to send the .deb file.

2018-08-22  Kodi Neumiller  <kneumiller@mtech.edu>

	Merge pull request #71 from OPENDAP/debian
	Debian. Should move the created deb package to s3.

2018-08-22  James Gallagher  <jgallagher@opendap.org>

	Fix for DDS::has_dap2_attributes

2018-08-22  Kodi Neumiller  <kodi@Udays-MacBook-Pro.local>

	Took out the ls ../ -l after make deb -j7.

	Uncommented the different jobs. Also made it so that the deb
	package is grabbed from the directory above.

	Looking at a directory above the current one.

2018-08-22  James Gallagher  <jgallagher@opendap.org>

	Modified travis for coverity
	[skip ci]

2018-08-22  Kodi Neumiller  <kodi@Udays-MacBook-Pro.local>

	Added ls -l to see where the debian package is.

	Took out the condition "$LIBDAP_BUILD = main"

	Added the debian branch to the list of branches to be built.
	Also commented out the other jobs that aren't debian.

2018-08-21  Kodi Neumiller  <kodi@Udays-MacBook-Pro.local>

	Made it so that the debian package is moved to s3.

	Added debhelper package.

2018-08-20  James Gallagher  <jgallagher@opendap.org>

	Added the fakeroot package for debian pkg builds on Travis

	Added devscripts build-essential lintian for debian pkg build

	Modified travis.yml to trigger a debian package build.

	Merge branch 'master' into debian

	Fixed comments in MarshallerThread.h
	[skip ci]

	Merge branch 'master' into debian

2018-07-30  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #70 from OPENDAP/dds_test_fix
	DDS test fix

	Made a corresponding change to dds-test:test_class() re: mem leak

	Changed BaseTypeFactory in dds-test:test_parser() fixing a memory leak.

2018-07-25  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #68 from OPENDAP/travis
	Added a new parallel build for the asan checks

	Added a new parallel build for the asan checks

2018-07-10  Ubuntu  <ubuntu@ip-172-31-6-46.ec2.internal>

	Updated the copyright file. It may need to be looked at to ensure it is formated correctly.

2018-07-06  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #67 from opoplawski/libtirpc
	Use libtirpc

	Merge pull request #66 from OPENDAP/debian
	deb packaging

2018-06-24  Orion Poplawski  <orion@cora.nwra.com>

	Use libtirpc

2018-06-19  Ubuntu  <ubuntu@ip-172-31-6-46.ec2.internal>

	The makefile now has an option (make deb) to build the debian package for libdap.

2018-06-18  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #65 from OPENDAP/debian
	Debian Packaging

2018-06-13  Ubuntu  <ubuntu@ip-172-31-6-46.ec2.internal>

	Deleted generated files.

	Finished adding the appropriate files to build a debian
	package. The libdap directory was added after the debian
	package was installed.

2018-06-11  Ubuntu  <ubuntu@ip-172-31-6-46.ec2.internal>

	Edited the Makefile in unit tests so that it included the missing test files.

2018-06-07  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #64 from OPENDAP/print_das_fix
	Print das fix

	Merge pull request #58 from OPENDAP/keyword-refactor
	Keyword refactor

2018-05-25  James Gallagher  <jgallagher@opendap.org>

	Fixed the last two tests for the print_das() fix.

	Merge branch 'print_das_fix' of https://github.com/opendap/libdap4 into print_das_fix

	Merge branch 'master' into print_das_fix

2018-05-25  Nathan Potter  <ndp@opendap.org>

	Merge pull request #62 from OPENDAP/hyrax-730

	Fixed DDS::has_dap2_attributes() so that Grids are handled,
	eliminated printing MAP vectors in Grid from print_var_das()

	Dropped Grid Map arrays from Grid container in DAS (Flatten Grids man)

2018-05-25  James Gallagher  <jgallagher@opendap.org>

	Switched print_das() so that it uses get_das() and then prints. WIP.

2018-05-25  Nathan Potter  <ndp@opendap.org>

	Merge branch 'master' into hyrax-730

2018-05-24  James Gallagher  <jgallagher@opendap.org>

	Switched print_das() so that it uses get_das() and then prints. WIP.

2018-05-23  James Gallagher  <jgallagher@opendap.org>

	Added a note about HYRAX-766: bes/dapreader issue.
	The proble is due to a change in the DAS objects are printed when they
	are built using a DDS or DMR.
	[skip ci]

	Merge branch 'master' of https://github.com/opendap/libdap4

	Changes to comments and some instrumentation in DmrRoundTripTest.cc
	No functional/operational changes except some of the instrumentation
	output in the DmrRoundTripTest unit test.

2018-05-22  Nathan Potter  <ndp@opendap.org>

	Fixed DDS::has_dap2_attributes() so that Grids are handled by
	evaluating only the GRid Array and ignoring the Maps.

2018-05-21  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #61 from OPENDAP/hyrax-730
	Hyrax 730

	Update DDS.cc

2018-05-21  Nathan Potter  <ndp@opendap.org>

	Fixed DDS::print_das() so thatv it makes special the Gridness

	Make DDS::get_das() work recursively on Constructor types

2018-05-18  Nathan Potter  <ndp@opendap.org>

	Revert "Adding metadata to Grid and to Grid Array now."
	This reverts commit b16ede3e866ea55daff0ad28d87bd43f3ff834da.

	Adding metadata to Grid and to Grid Array now.

	Patch to DAP4->DAP2 metadata assignment for Grid type problem.

2018-05-15  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #60 from OPENDAP/url_fix
	Url fix

	Merge branch 'master' into url_fix

2018-05-07  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #59 from ryandesign/configure-CC
	Use quotes when testing $CC

2018-05-06  Ryan Schmidt  <git@ryandesign.com>

	Use quotes when testing $CC
	This avoids the error "test: too many arguments" appearing in the
	configure output if CC contains multiple words, such as "ccache cc".

2018-05-04  James Gallagher  <jgallagher@opendap.org>

	More old code removed from Url.h

	Removed unused internal storage in Url.h

2018-04-10  James Gallagher  <jgallagher@opendap.org>

	Removed Keywords2 unit test code (to old/)

	Removed keywords from DDS. The class is still in the library

2018-04-09  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #57 from OPENDAP/dmrpp-dap2
	Dmrpp dap2

2018-04-07  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'dmrpp-dap2' of https://github.com/opendap/libdap4 into dmrpp-dap2

	Protect against infinite loop in get_unique_top_level_global_container_name().

	Added code to ensure a unique top-level table is used but DDS::get_das()
	When that is needed - when there are top-level attributes in a DMR - make
	new top-level container for those attributes. This new code makes sure
	those attributes go in a container with a unique name. The code will fail
	if there are more than MAX_INT top-level tables.

2018-04-07  Nathan Potter  <ndp@opendap.org>

	sync

2018-04-06  James Gallagher  <jgallagher@opendap.org>

	DDS::get_das(): Added a test and fix for top-level 'value' attributes
	It's possible to have a DMR or DDS that has top-level attributes that
	are not in a container. These work in the DMR or DDS object, but not
	in the DAS (which can only have containers at the top-level). The
	'orphan' attributes are put in the DAP4_GLOBAL container, since these
	almost certainly come from DMR objects. We might revisit this name
	choice...

	Added tests for DDS::get_das() and get_das(DAS *).
	Also edited the implementaiton just a bit to test for global attributes
	that are not containers.

2018-04-06  Nathan Potter  <ndp@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Added some (much needed) get_das() methods to DDS

2018-04-02  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #53 from captainkirk99/ck_valgrind
	change valgrind invocation, also fixed some memory leaks in unit-tests

	Merge branch 'master' into ck_valgrind

2018-03-31  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #56 from captainkirk99/ck_fix_more_2
	fixed tests

2018-03-31  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	fixed tests

2018-03-29  James Gallagher  <jgallagher@opendap.org>

	Changed D4Enum::set_is_signed() so it doesn't call abort()
	This 'fixed' an issue with testing where abort() fails hard and stops
	the tests right away. The next line throws an exception, which is really
	good enough and makes it possbile to test the error case. I also fixed
	up the comments for D4Enum::transform_to_dap2().

2018-03-28  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #55 from captainkirk99/ck_fix_big_endian
	fixed tests for big-endian

2018-03-28  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	fixed tests for big-endian

2018-03-25  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	fixed memory leak in D4FilterClausetest

	added macro file

	change valgrind invocation, also fixed some memory leaks in unit-tests

2018-03-24  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #48 from captainkirk99/ck_tests_1
	added some tests

2018-03-24  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	added new tests to .gitignore

	more tests

2018-03-19  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #52 from OPENDAP/print-das-fix
	Print das fix

	Merge branch 'master' into print-das-fix

	DDS:print_das() fixes and test baseline edits.

2018-03-18  James Gallagher  <jgallagher@opendap.org>

	Changed DDS::print_das() so it's more in line with DAS::print()
	But, tests fail.

2018-03-18  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	more tests

	more testing

	fixed problem with code coverage changes

	changing the way test coverage is computed

2018-03-17  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	fixing inadvertant whitespace changes

	more tests

2018-03-16  James Gallagher  <jgallagher@opendap.org>

	Use curl to read the hyrax-deps build tar ball
	This should fix the issue with PRs from outside our GitHub space.

2018-03-14  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	fixed test

	more testing

	merged

2018-03-14  James Gallagher  <jgallagher@opendap.org>

	Removed now unused ecr_credentials.sh script
	We can just use the AWS_SECRET_ACCESS_KEY and AWS_ACCESS_KEY_ID
	environment variables from within travis.
	[skip ci]

	Modified aws operations to get the hyrax-dependencies - trying to fix the build

2018-03-13  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #49 from OPENDAP/travis
	Modified aws operations to get the hyrax-dependencies - trying to fix…

	Removed now unused ecr_credentials.sh script
	We can just use the AWS_SECRET_ACCESS_KEY and AWS_ACCESS_KEY_ID
	environment variables from within travis.
	[skip ci]

	Modified aws operations to get the hyrax-dependencies - trying to fix the build

2018-03-12  Ed Hartnett  <37277297+captainkirk99@users.noreply.github.com>

	added some tests

2018-03-06  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #47 from OPENDAP/header-refactor
	Added #include "DapIndent.h" as I try to remove nested headers

	Added #include "DapIndent.h" as I try to remove nested headers

2018-03-02  Nathan Potter  <ndp@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Added doxygen link to README

2018-02-24  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #46 from OPENDAP/travis
	Travis: $prefix set to $HOME/install

	added some comments

	testing

	testing

2018-02-23  James Gallagher  <jgallagher@opendap.org>

	testing

2018-02-22  James Gallagher  <jgallagher@opendap.org>

	travis testing

	Merge branch 'travis' of https://github.com/opendap/libdap4 into travis

	Test new travis build

2018-02-09  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Minor tweak to --with-curl
	The configure.ac script needs more work to simplify it and replace
	raw shell commands with AS_IF, etc.

2018-02-08  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #44 from OPENDAP/asan
	Hacked configure so developer and asan are separate and both are used…

	Hacked configure so developer and asan are separate and both are used by travis

	Merge pull request #43 from OPENDAP/asan
	Asan

2018-02-07  James Gallagher  <jgallagher@opendap.org>

	Repaired d4_function/D4FunctionEvaluator.cc (See HYRAX-247)
	I used std::set which is supposed to preserve order, but apparently
	does not with gcc 4.8 and some levels of optimization.

	Found and fixed a memory error in tests/D4TestFunction.cc
	The $Byte() special form was being used to build an argument to
	the test function 'scale()' but the code i D4TestFunction assumed
	the argument was a TestArray instance (when it was/is an Array).

2018-02-06  jgallagher59701  <jgallagher@opendap.org>

	Fixed memory error in D4UnMarshallerTest.

2018-02-06  James Gallagher  <jgallagher@opendap.org>

	Added test for Address Sanitizer option

	Merge pull request #42 from OPENDAP/asan
	Added Asan (address sanitizer) to the --enable-developer option

	Added Asan (address sanitizer) to the --enable-developer option
	All the tests pass using this option on OSX.

2018-02-02  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #41 from OPENDAP/hyrax-598
	Fixed a memory error that could be triggered by passing bad XML to ...

2018-02-02  jgallagher59701  <jgallagher@opendap.org>

	Fixed a memory error that could be triggered by passing bad XML to the DAP4 DMR parser.
	vsnprintf() could be called with a tainted format string.

2018-01-31  James Gallagher  <jgallagher@opendap.org>

	Removed html dir from the master branch - it's still on the gh-pages branch
	Use 'make gh-docs' to build the online docs.

2018-01-30  James Gallagher  <jgallagher@opendap.org>

	Updated build-gh-docs.sh to use add --force since 'html' is on gitignore

	Added new docs

2018-01-12  James Gallagher  <jgallagher@opendap.org>

	travis

2018-01-11  James Gallagher  <jgallagher@opendap.org>

	travis


2018-01-02  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #38 from OPENDAP/crypto-fix
	Fixed the libcrypto link error on OSX 10.13

2018-01-01  James Gallagher  <jgallagher@opendap.org>

	Fixed the libcrypto link error on OSX 10.13

2017-09-25  James Gallagher  <jgallagher@opendap.org>

	Source release 3.19.1

2017-08-25  James Gallagher  <jgallagher@opendap.org>

	Added a comment to my HTTPCacheTest change...
	[skip ci]

	Removed a test for block_size in HTTPCacheTest that failed on
	Fedora ppc64le system with XFS system
2017-08-25  James Gallagher  <jgallagher@opendap.org>

	Added a comment to my HTTPCacheTest change...
	[skip ci]

	Removed a test for block_size in HTTPCacheTest that failed on
	Fedora ppc64le system with XFS system

	Merge pull request #32 from OPENDAP/hyrax390
	Hyrax390

	Marked two of the Dmr Round Trip Tests as failing.
	This matched the results of the master branch. Thus we can merge
	the hyrax390 branch and move on to either fix those issues or
	accept the behavior as 'good enough.'

	Merge branch 'master' into hyrax390

	Merge pull request #36 from OPENDAP/gnulib-update
	Updated gnulib and added mkstemps() to avoid portability issues.

	Added malloca.valgrind

	Added more in gl

	Added more ...

	Added more still more

	Added more files in gl

	Added gl/gettimeofday.c

	Added more gnulib m4 files

2017-08-24  James Gallagher  <jgallagher@opendap.org>

	Updated gnulib and added mkstemps() to avoid portability issues.

	Added comments to DMR.h

2017-07-18  James Gallagher  <jgallagher@opendap.org>

	Fixed a warning in D4EnumTest and CppUnit usage in DmrRoundTripTest

	Merge branch 'master' of https://github.com/opendap/libdap4.git

	Added --disable-dependency-tracking to configure in travis.yml
	Will it build faster? Also, fixed a comment in D4Maps.h

2017-05-31  Slav Korolev  <slav.korolev@nasa.gov>

	Ticket #390. Cleaned 4 files.

	Ticket #390. Cleaned 4 files.

2017-05-22  Nathan Potter  <ndp@opendap.org>

	Merge pull request #29 from OPENDAP/hyrax390
	Task #390. The CppUnit unit tests in libdap4 should all support runni…

	Merge pull request #31 from OPENDAP/hyrax-400
	Hyrax 400

2017-05-19  James Gallagher  <jgallagher@opendap.org>

	Fixed vec_resize() in Vector.
	I was mixing cpacity() and resize() and that leads to some odd
	behavior - I'm not sure I really understand it, but comments in
	Vector::vec_resize() are a stab at an explanation. The bottom line
	is that the fix is to use size() with resize() and not capacity().
	I also modified TestArray so that its read() method allocates
	enough space for a vector of Structures before it starts writing
	to it, just to demonstrate good behavior.

2017-05-19  Slav Korolev  <slav.korolev@nasa.gov>

	#390. More changes

2017-05-18  James Gallagher  <jgallagher@opendap.org>

	Checkpoint

	Checkpoint - run using valgrind on centos

2017-05-18  Slav Korolev  <slav.korolev@nasa.gov>

	Merge branch 'master' into hyrax390

2017-05-17  James Gallagher  <jgallagher@opendap.org>

	I edited the ByteTest.cc file so it compiles and works.

2017-05-17  Nathan Potter  <ndp@opendap.org>

	Merge pull request #30 from OPENDAP/attr_bug
	Attr bug

2017-05-17  ndp-opendap  <ndp@opendap.org>

	Dropped references to missing files.

2017-05-17  Slav Korolev  <slav.korolev@nasa.gov>

	"Task #390."

2017-05-16  ndp-opendap  <ndp@opendap.org>

	instrumentaiton

2017-05-12  ndp-opendap  <ndp@opendap.org>

	Fixed possible null pointer deref

	Dropped unused file

2017-05-11  Nathan Potter  <ndp@opendap.org>

	Merge pull request #26 from OPENDAP/dmr2dds
	Dmr2dds

2017-05-11  ndp-opendap  <ndp@opendap.org>

	Changed return value of transform_to_dap4() to void.

2017-05-10  Nathan Potter  <ndp@opendap.org>

	Merge branch 'master' into dmr2dds

2017-05-09  ndp-opendap  <ndp@opendap.org>

	Fixed bad implmentations of transform_to_dap4 in Test classes. Instrumenttion

	Fixed bad implmentations of transform_to_dap4 in Test classes. Instrumenttion

2017-05-08  ndp-opendap  <ndp@opendap.org>

	Reworked transform_to_dap4() implmentation so that they all (in
	libdap4) return NULL and populate the container passed in. Next
	will be to change the return from BAseType* to void

	Reworked transform_to_dap4() implmentation so that they all (in
	libdap4) return NULL and populate the container passed in. Next
	will be to change the return from BAseType* to void

	First pass at fixing the duplicate variables bug in
	DMR::build_using_dds() and Grid::transform_to_dap4()

2017-05-06  ndp-opendap  <ndp@opendap.org>

	Patched DMR tests to use the new CppUnit test pattern.

2017-05-05  ndp-opendap  <ndp@opendap.org>

	Repairing baselines

	Fixed Grid::transform_to_dap4() so maps have correct names (FQN names)

	Fixed Grid::transform_to_dap4() so maps have correct names (FQN names)

	Fixed namespace issue in tests that prevented individual tests
	from being run byt command line parameters.

2017-05-04  ndp-opendap  <ndp@opendap.org>

	Alternate Array assignment in Grid::transform_to_dap4()

	sync

	Stuff

2017-05-04  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #27 from OPENDAP/new_docs_target
	New docs target

2017-05-04  ndp-opendap  <ndp@opendap.org>

	A stab at correcting the FQN issue described in Hyrax-389

2017-05-04  James Gallagher  <jgallagher@opendap.org>

	Removed unused tests.
	Grid::transform_to_dap4() had used dynamic_cast<>() but now uses
	static_cast<>(), so it no longer needs to test for null returns from
	the cast operator.

2017-05-04  ndp-opendap  <ndp@opendap.org>

	Supressing warnings

	Merge branch 'master' into dmr2dds

2017-05-04  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #28 from OPENDAP/dmr_parser_fix
	Fixed fixed length line limit in the DMR Sax parser

2017-05-04  ndp-opendap  <ndp@opendap.org>

	Added some DAP4 related TODO items.

	Added some DAP4 related TODO items.

	Merge branch 'master' into dmr2dds

	unwinding small change

2017-05-03  James Gallagher  <jgallagher@opendap.org>

	Changed class field names so they start with 'd_'
	modified:   D4ParserSax2.cc
	modified:   D4ParserSax2.h

	Fixed fixed length line limit in the DMR Sax parser
	modified:   D4ParserSax2.cc

2017-05-03  ndp-opendap  <ndp@opendap.org>

	Updated .gitignore for new test executables

	Adding two more working DMR to Grid tests. Failing test still fails.

	Checking in new dmr2Grid test which fails because the supplied DMR
	fails to parse, despite the fact that it was generated by Hyrax
	1.13.3

	Added new dmr2dds with Grid test.

	Added new dmr2dds with Grid test.

	Updating comments etc.

	Updating comments etc.

2017-05-02  ndp-opendap  <ndp@opendap.org>

	Ooops. Forgot test baseline

	Silencing more debug chatter.

	Silencing more debug chatter.

	First cut at extracting dap2 Grid objects from dap4 Arrays with maps.

	First cut at extracting dap2 Grid objects from dap4 Arrays with maps.

	Turned off compiled in debug.

	Refactored the transform_to_dap2() aip. woot.

2017-05-02  James Gallagher  <jgallagher@opendap.org>

	Modified Makefile.am to use the new build-gh-docs.sh script.
	This seems to work, although I think it might be fragile.

	A better way to build the docs and push them to gh-pages new file:   build-gh-docs.sh

	Working on using a script instead of makefile targets modified:   Makefile.am

	modified:   .gitignore

	Fixed spaces/tabs in Makefile.am

	deleted:    doxy_private.conf

	Modified doxy.conf.in so it writes output to 'html'
	It used to write output to docs/html.

	I added the new docs targets to the Makefile.am
	These will build and commit/push doxygen docs to github.io via gh-pages.
	The gh-pages branch has to be made first and should be empty.

2017-04-28  ndp-opendap  <ndp@opendap.org>

	Weekend update baby... More tests working. Need to sort out Groups next.

	Refactored DMR test suite, add round-trip and dmr_to_dap2 test suites.

2017-04-26  James Gallagher  <jgallagher@opendap.org>

	Added -g3 to the coverage flags

	Removed generated docs

	Deploy to GitHub Pages

2017-04-26  ndp-opendap  <ndp@opendap.org>

	Still dorting tests

2017-04-25  ndp-opendap  <ndp@opendap.org>

	Merged master to dmr2dds branch

	Structures now transfer attributes correctly

	Space indented BAseType (why was it not before?)

	Structures now transfer attributes correctly

2017-04-24  ndp-opendap  <ndp@opendap.org>

	Structures now transfer attributes correctly

	Structures now transfer attributes correctly

	sync

	Provisional patch to DMR.print_das()

2017-04-23  ndp-opendap  <ndp@opendap.org>

	Provisional patch to DMR.print_das()

2017-04-21  ndp-opendap  <ndp@opendap.org>

	Created DMR specific testsuite. Migrated exisiting DMR tests from dds-testsuite.

	TEst draft (broken)

2017-04-20  ndp-opendap  <ndp@opendap.org>

	sync

2017-04-18  James Gallagher  <jgallagher@opendap.org>

	Added comments to Connect and mime_util regarding tainted data

	Fixed minor issue in D4ParserSax2.
	The namespace prefix could be null and was passed directly to
	std::string's ctor

	Fixed for potential issue in D4ConstraintEvaluator.
	The pointer 'dim' could be dereferenced when it was null.

2017-02-17  James Gallagher  <jgallagher@opendap.org>

	Travis should work now...
	We need a better way to test changes to this process

2017-02-16  James Gallagher  <jgallagher@opendap.org>

	Removed codecov.io from the build.
	Debug on CentOS and stop hacking at Travis...

	Added libgcov a an attempt to fix the travis build.

	Turn on coverage in travis.yml

	more travis hacks

	travis hacks for code cov io

	more travis hacks

	another tack for travis and codecov...

	tedious... (still travis debugging)

	travis test...

	travis.yml fix for codecov.io

	Mods for codecov.io (https://codecov.io/gh/OPENDAP/libdap4)

	Added code coverage to travis.yml

	Merge branch 'master' of http://github.com/opendap/libdap4

	Added code coverage script (get_code_cov.sh)

2017-02-08  James Gallagher  <jgallagher@opendap.org>

	Hacked up gitignore for various build stuff [ci skip]

2017-01-06  James Gallagher  <jgallagher@opendap.org>

	Version 3.18.3

	Modified etags for the files at the new test.o.o site.
2016-12-08  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #25 from OPENDAP/chunked_istream_bug
	Fixed a memory issue in chunked_istream.h

	Fixed a memory issue in chunked_istream.h (new[] mis-matched with delete)

2016-11-18  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #24 from OPENDAP/dmr++
	Dmr++

	Merge pull request #23 from OPENDAP/D4Group_ptr_duplicate_fix
	Fix fir D4Group::ptr_duplicate(). It was not returning BaseType*

2016-11-17  James Gallagher  <jgallagher@opendap.org>

	Fix fir D4Group::ptr_duplicate(). It was not returning BaseType*
	Instead, it returned D4Group. There may have been a good reason,
	But I think consistency is better. ...maybe

2016-11-16  ndp-opendap  <ndp@opendap.org>

	DMR parser will now ignore and XML not in the DAP4 namespace. woot.

2016-11-15  ndp-opendap  <ndp@opendap.org>

	XML namespace thing sorted. DMR parser will now ignore all
	elements that are not in DAP4 namespace. woot.

	Still working the namespace thing

2016-11-15  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4.git

2016-11-15  ndp-opendap  <ndp@opendap.org>

	Trying to get name space centralization class working. ugh. Static methods

2016-11-15  James Gallagher  <jgallagher@opendap.org>

	Added comment for dmr_start_element()

2016-11-04  James Gallagher  <jgallagher@opendap.org>

	Corrected the file: URL in HTTPConnectTest - I think ...

	Merge branch 'master' of http://github.com/opendap/libdap4

	Another try at fixing the travis build

	Trial fix of test_config.h error on Travis.

	Stopped running the tests using multiple jobs on Travis.
	This might have been the cause of failures there.

2016-11-03  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of http://github.com/opendap/libdap4

2016-11-02  James Gallagher  <jgallagher@opendap.org>

	Updated the library version info for version 3.18.2

	Version 3.18.2

2016-11-01  James Gallagher  <jgallagher@opendap.org>

	Formatting Grid.cc

2016-10-20  James Gallagher  <jgallagher@opendap.org>

	Fixed Hyrax-267
	The DAP4 ce parser was not removing double quotes or the %<hex>
	escaping, so names that needed those were not 'found' in the
	dataset. Also, the grammar used by the parser had a syntax error
	in it where /s in the id name were turned into dots and the
	resulting names could not be found. The result was a valid names
	were being rejected.

2016-10-12  James Gallagher  <jgallagher@opendap.org>

	Corrected a comment in Vector.h

2016-08-30  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #22 from sharkcz/getopt
	type fix for getopt

2016-08-30  Dan Horák  <dan@danny.cz>

	type fix for getopt

	The getopt() function uses int as return type and using char for a
	variable storing the return value makes problem on platform where
	char is unsgined by default.
	http://www.arm.linux.org.uk/docs/faqs/signedchar.php

	Fix by Orion Poplawski <orion[at]cora.nwra.com> for
	https://bugzilla.redhat.com/show_bug.cgi?id=1366787

2016-08-26  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #21 from sharkcz/dmr-bigendian-2
	add missing big endian baselines

2016-08-26  Dan Horák  <dan@danny.cz>

	add missing big endian baselines

2016-08-22  James Gallagher  <jgallagher@opendap.org>

	Added main_page.doxygen to gitignore

2016-07-14  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Added libuuid to the requirements listed in INSTALL.
	Also added a comment and fixed error message text in util.cc for
	void extract_double_array(Array *a, vector<double> &dest)

2016-06-09  James Gallagher  <jgallagher@opendap.org>

	Fixed a compiler warning when USE_POSIX_THREADS is not def'd in XDRStreamMarshaller

2016-06-08  James Gallagher  <jgallagher@opendap.org>

	Removed generagted file since it's causing grief on Travis

	Updates for the source dist and unit-tests

2016-05-31  James Gallagher  <jgallagher@opendap.org>

	Version 3.18.0
2016-05-25  James Gallagher  <jgallagher@opendap.org>

	Fixed ugly DBG2() macro calls

2016-05-18  James Gallagher  <jgallagher@opendap.org>

	Merge remote-tracking branch 'origin/Hyrax-98'
	Conflicts:
		D4Connect.cc
		d4_ce/D4ConstraintEvaluator.cc
		d4_ce/d4_ce_parser.yy

2016-05-17  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #19 from OPENDAP/response_cache
	Response cache

2016-05-16  James Gallagher  <jgallagher@opendap.org>

	Added recursive Sequence::reset_row_number() and comments

2016-05-15  James Gallagher  <jgallagher@opendap.org>

	Minor edits after testing specializing read_row() for the ResponseCache
	See bes/dap CachedSequence and CacheTypeFactory for more info.

2016-05-13  James Gallagher  <jgallagher@opendap.org>

	Checkpoint - Nathan's hack for Sequence plus debugging

	Added comments for the hacked set_send_p() and set_read_p() methods

2016-05-12  James Gallagher  <jgallagher@opendap.org>

	Added a (potential) fix for Vector::set_send_p()

	Hacks for the bes branch 'response_cache'

2016-05-10  James Gallagher  <jgallagher@opendap.org>

	Changes for Coverity
	[ci skip]

	Comments

2016-05-09  James Gallagher  <jgallagher@opendap.org>

	Coverity edits - both minor
	[ci skip]

	Removed extraneous include

2016-05-06  James Gallagher  <jgallagher@opendap.org>

	Added parser-util.cc back in after deleting it by mistake.

2016-05-05  James Gallagher  <jgallagher@opendap.org>

	Minor patches for issues found by Coverity Changes to be
	committed: modified: Connect.cc deleted: parser-util.cc

	Improved error checking for the DDX parser.
	When text is feed into the parser and its not valid xml, the parser
	was just ignoring that. No more...

	Arrg. baselines were not in the last commit...

	Moved the newest tests' baselines to the 'universal' directory
	It's time to switch the new DMR tests to ones that don't have to
	have a separate set of baselines for bin- and little-endian
	machines. It takes too long to build up the big-endian test
	baselines (get a b-e VM, etc.) and we have a good set of baselines
	for each arch so if issues pop up on one or the otehr arch,
	it should be easy to catch them.

	Merge pull request #18 from OPENDAP/jg_filters
	Jg filters

	Merge branch 'master' into jg_filters
	Conflicts: D4Sequence.h

	Added 'universal' tests for DMRTest
	The DMR includes a checksum when it's built from received data and
	that checksum is a function of word order of the sender. This made
	building baselines for the DMR tests a pain. We've built a number of
	tests for both big- and little-endian machines - from now on new
	tests should use 'universal' baselines (built by removing the checksum
	using sed).

2016-05-03  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #17 from OPENDAP/D4Sequence_value_ref
	Added a new method to D4Sequence

	Cosmetic editing

	Optimized the read_sequence_values() code.
	Child sequences do not have copies of the filter clauses. These are not
	needed by them since they have already been filtered.

	Added tests for complex CEs involving nested seqeunces

	Inner sequence filter issue resolved
	The code still needs tests and there is a potential optimization and
	the syntax needs to be documented because the way fields in a
	sequence can be referenced is less general than other places in the CE.

	Fixed the issue with child sequences in DAP4

2016-05-02  James Gallagher  <jgallagher@opendap.org>

	Partial fix for Hyrax-182
	https://opendap.atlassian.net/browse/HYRAX-182

2016-04-29  James Gallagher  <jgallagher@opendap.org>

	More test baselines

	Scanner fix

	Fixed the numeric constant error with the filter code
	Numeric constants were showing up as the value '1.' The checking_*()
	functions were the culprit. In the process I added missing methods in
	the FilterClause code and debugging in a number of places.

	Added tests for the new filter code. Not all of the tests pass...
	There is some work to be done with parsing the != and ~= operators
	and also mixing int and float arguments. There may be issues with
	filed references as well, but we'll have to check the spec for that.

2016-04-25  James Gallagher  <jgallagher@opendap.org>

	Fixed the issue with <constant> <op> <var> not working.

2016-04-24  James Gallagher  <jgallagher@opendap.org>

	Fixed three operand filter clauses in the CE evaluator, but...
	they still don't work correctly. There seems to be a problem with the
	parsing of constants.

	Removed debugging statements; Using the 'ND' operator is an error.

	The parser now builds filter clauses and binds them to a D4Sequence.
	Some by-hand tests show not everything works, but mostly it's a problem
	with relops and String variables or constants.

2016-04-23  James Gallagher  <jgallagher@opendap.org>

	Parser tweaks - relops now are returned as strings

	Fixed a problem with the TestByte, ..., classes when used for 'series values'
	Some of the classes had the odd behavior that the series of values
	was per-process and not per object instance. So, TestStr's value
	would not repeat until a new process was started, it instead kept
	increasing "... 1", "... 2", etc., across different instances of
	the class. Fixing this made it easy to fix the TestD4Sequence code.

2016-04-22  James Gallagher  <jgallagher@opendap.org>

	Added tests for D4Sequences, including filter clause evaluation

	Added D4SequenceTest

	D4Sequence now supports evaluating a FilterClauseList.
	Added tests too. I have only tested D4Sequence::intern_data(),
	not serialize().

	D4FilterClauseList now used by D4Sequence::serialize()

	Eh, I rewrote the relops operator code.
	It now uses the same approach that I used for DAP2 - a method
	for each type (Byte, ...).

	Added D4FilterClauseTest

2016-04-21  James Gallagher  <jgallagher@opendap.org>

	Fixed a bug in the was D4Function was used
	In the ServerFunctionList and d4_function_parser.yy, I should
	have been using a poiter to D4Function and not the object itself.
	Now the DMRTests for functions pass

	Hacks to the D4FilterClause code
	This also includes fixes to D4RValue and tests for the filter clause
	code. Two minor changes to the parsers.

2016-04-20  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' into jg_filters

	Added a new method to D4Sequence
	D4SeqValues &D4Sequence::value_ref(): Returns a reference to the
	internal data held by a D4Sequence instance.

2016-04-20  Nathan Potter  <ndp@opendap.org>

	Updated doxygen version number

	Merge branch 'master' of https://github.com/opendap/libdap4

	Added debugging statements to various Sequence items.

2016-04-18  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Version 3.17.3

	Version 3.17.2; Fixed a soname error
	Adding a const constructor seems to have *removed* the old constructor
	as far as some code is concerned (it's still there, but with a
	different mangled name).
2016-04-15  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #15 from sharkcz/cppunit
	fallback to pkg-config if cppunit-config is not available

	Fixed an error in the script related to Coverity support
	The env var COVERITY_SCAN_BRANCH should have been quoted.

	Merge pull request #13 from sharkcz/dmr-bigendian
	add missing big endian baselines

2016-04-15  Dan Horák  <dan@danny.cz>

	fallback to pkg-config if cppunit-config is not available
	Recent version of cppunit packages do not distribute the cppunit-config script
	and expect the usage of pkgconfig file.

2016-04-14  Dan Horák  <dan@danny.cz>

	remove the condition because we added the missing baselines

	add big endian baseline files for new tests

2016-04-08  James Gallagher  <jgallagher@opendap.org>

	Added comments to D4 parser code.

2016-04-06  James Gallagher  <jgallagher@opendap.org>

	Added dump() methods for D4Attribute and D4Attributes.
	
2016-04-01  James Gallagher  <jgallagher@opendap.org>

	Added #include <string> to D4RValue.h to fix an issue over in the BES

2016-03-22  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #11 from OPENDAP/d4-threads
	D4StreamMarshaller now uses the double buffering code for transmission

2016-03-18  James Gallagher  <jgallagher@opendap.org>

	Added #include <cstring> for linux

	D4StreamMarshaller now uses the double buffering code for
	transmission of vector and opaque data.

	Merge branch 'master' of https://github.com/opendap/libdap4

	Possible fix for the memory issue in Hyrax-152.
	Push this to github and test on linux.

2016-03-01  Nathan Potter  <ndp@opendap.org>

	Updated getdap4 usage statement to better reflect the new behavior of the application.

2016-02-29  Nathan Potter  <ndp@opendap.org>

	Fixed BES-102 in which getdap4 was bumbling the DAP4 CE.

2016-02-26  Nathan Potter  <ndp@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Removed timing code fro MarshllerThread using our friend #if 0

2016-02-24  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #9 from sharkcz/endian
	fix big endian detection

2016-02-22  James Gallagher  <jgallagher@opendap.org>

	Edit Int8::print_val() so that Int8 values always print as numbers.

2016-02-20  Dan Horák  <dan@danny.cz>

	fix big endian detection
	Currently there is a endian detection during configure, but the code relies
	on non-portable __BIG_ENDIAN__ define. The default actions in AC_C_BIGENDIAN
	break setting the correct value for WORD_BIGENDIAN.
	See also https://bugzilla.redhat.com/show_bug.cgi?id=962091#c48

2016-02-18  James Gallagher  <jgallagher@opendap.org>

	Added long-needed const constructor and operator=()
	This was done to support some experiments with memory caching,
	but it's a long-overdue fix in general.

	Zero-length array support: Vector::serialize() traps calls when length() == 0
	This is part of a series of changes to support netCDF files
	that use zero-length arrays as arbitrary attribute containers.

	Removed old code that was commented out.

	Replaced fgets() > 0 with fgets() != 0 in the parser's main loop
	A suggestions from David Binderman.

2016-02-12  James Gallagher  <jgallagher@opendap.org>

	Patch for gcc 6 from Orion Poplawski

2016-02-02  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #8 from OPENDAP/BES-97
	Bes 97

2016-01-29  James Gallagher  <jgallagher@opendap.org>

	Modified Vector::val2buf() in support of zero-length arrays
	val2buf() was throwing an InternalErr when called with a null data
	pointer. I modified it so that if the pointer is null and the length()
	of the vector/array is zero, it returns zero. The exception is still
	thrown if the pointer is null and the length() is not zero.

	Removed #define DODS_DEBUG

	Tests for empty DAP2 Structures

	Tests for empty structures added.

2016-01-28  James Gallagher  <jgallagher@opendap.org>

	Zero-length arrays now work with libdap, with caveats
	I have implemented and tested zero-length arrays of the
	cardinal types for DAP2 and 4. There's more to be done and
	no testing outside of libdap has been done.

	Added documentation comments in crc.h

	Spelling fixes in the ChangeLog, ...

2016-01-26  James Gallagher  <jgallagher@opendap.org>

	ChangeLog, et al., updated Version 3.17.0
	
2016-01-20  James Gallagher  <jgallagher@opendap.org>

	Removed #if 0 in the D4Function/ConstraintEvaluator::error() methods

2016-01-19  James Gallagher  <jgallagher@opendap.org>

	Found one more place in the DAP4 CE and Function parser where
	errors did not result in an exception.

2016-01-13  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #6 from OPENDAP/BES-87
	BES 87

2016-01-12  James Gallagher  <jgallagher@opendap.org>

	Added comments re how the Error object codes map to HTTP codes

	Added mapping between libdap and HTTP codes (suggestions)

	Added a code to Error; made sure Error was used consistently
	Changes to mesh with those in the OLFS. Error(unknown_error, ...)
	maps to an HTTP 400, internal_error --> 500, not_implemented -->501,
	etc.

	DAP2 and 4 scanners now throw Error(malformed_expr, <msg>)
	They were writing to stderr...

	DAP2 CE parser uses no_such_identifier where apropos

2016-01-11  James Gallagher  <jgallagher@opendap.org>

	Added codes Error response in the DAP2 parser

	There were only a handful since most of the Error throws were well
	behaved.

	Modified the DAP4 ce and function parsers to include code w/Errors
	See https://opendap.atlassian.net/browse/BES-87.

2016-01-05  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' into bes-40

2016-01-04  James Gallagher  <jgallagher@opendap.org>

	Modified the CRC32 byte-order change so that it's not included by default

	Popped old changes for Connect; fix for Makefile.am; etc.

2015-12-31  James Gallagher  <jgallagher@opendap.org>

	Hacks for doxygen.
	The Makefile works now (rebuilds doxy.conf when needed) and the docs
	are better. I stopped including docs for methods w/o doc comments
	and those are now listed in the doxygen_warnings.txt file.
	[ci skip]

2015-12-30  James Gallagher  <jgallagher@opendap.org>

	Tried CLion; added CMakeLists.txt to gitignore

	Removed the calls to DDS:timeout_{on,off}
	This code is no longer used. The timeout feature of the BES is far
	better.

2015-12-08  James Gallagher  <jgallagher@opendap.org>

	Removed commented-out code

	Merge branch 'master' of https://github.com/opendap/libdap4

	Float32 attributes mis-coded as Byte in the DMR

2015-12-03  Nathan Potter  <ndp@opendap.org>

	Travis install check

	Travis install check

2015-11-30  Patrick West  <pwest@vsto.tw.rpi.edu>

	Missing xml2 libraries in unit-tests build
	Added $(XML2_LIBS) to the Makefile.am in unit-tests so that tests would
	build. On Ubuntu 14.04.

2015-11-12  James Gallagher  <jgallagher@opendap.org>

	I removed the deploy lines from the travis.yml file
	These seem broken - I have to investigate how to handle
	deployment of RPMs out of travis

2015-10-22  James Gallagher  <jgallagher@opendap.org>

	Fixed error in printing of child groups.
	The child group values were printed twice.

2015-10-21  James Gallagher  <jgallagher@opendap.org>

	Source release version, ChangeLog, News, ... for 3.16.0

2015-10-19  James Gallagher  <jgallagher@opendap.org>

	Fixes #1

	Added changes to exit when 'report_errors' (-r) is true

	Fix for the missing 'child groups' in getdap4's output
	And some minor mods to XMLWriter - clean up the includes a bit.

2015-10-15  James Gallagher  <jgallagher@opendap.org>

	Merge pull request #5 from OPENDAP/intern_no_crc32
	Intern no crc32

	Merge pull request #4 from OPENDAP/endian_fixes
	Endian fixes

2015-10-14  James Gallagher  <jgallagher@opendap.org>

	Some of the DAP4-only types were not setting is_dap4
	This caused the DMR output code to throw an error (Unknown Type) in
	cases where those types were used.
	See https://opendap.atlassian.net/browse/HR-63

2015-10-13  James Gallagher  <jgallagher@opendap.org>

	fixed a warning in dmr-test - /* in a comment

2015-10-13  jgallagher59701  <jgallagher@opendap.org>

	Added test baselines for intern_data with no checksum
	I dropped computing the checksum in the intern_data() method,
	so the baselines for the tests had to be updated.

2015-10-13  James Gallagher  <jgallagher@opendap.org>

	Now the intern_data() method used with DAP4 does not compute the
	checksum It is only computed by the code that serializes the
	response - sends it to a remote client. I added baselines
	specifically for the intern tests on little endian machines. Will
	add ones for big endian next...

	Merge branch 'intern_no_crc32' of
	https://github.com/opendap/libdap4.git into intern_no_crc32

2015-10-12  James Gallagher  <jgallagher@opendap.org>

	Removed crc32 generation from intern_data()
	This seems better - I think computing the CRC code
	when interning values is not necessary. Those should
	only be computed when the server is going to send values.

	Completed changes to D4UnMarshallerTest.cc
	This copy of the tests should work on both little- and big-endian
	hosts.

	More changes to D4UnMarshallerTest.cc

2015-10-12  jgallagher59701  <jgallagher@opendap.org>

	Partial fix for D4UnMarshallerTest.cc

2015-10-12  James Gallagher  <jgallagher@opendap.org>

	Changed WORDS_BIGENDIAN to __BIG_ENDIAN__

2015-10-07  jgallagher59701  <jgallagher@opendap.org>

	One step closer to the tests working on big endian machines
	D4MarshallerTest now works

	Update to D4Marshaller/UnMarshaller tests - added baselines for
	big-endian ...There's still an issue, however.

2015-10-07  James Gallagher  <jgallagher@opendap.org>

	D4UnMarshallerTest also needs two sets of baselines. Added
	little-endian ones.

	D4MarshallerTest need two sets of baselines...
	One for big- and one for litte-endian machines. I made the little
	endian set.

2015-10-07  jgallagher59701  <jgallagher@opendap.org>

	Changed to D4EnumTest to support changes for big-endian machines.

2015-10-07  James Gallagher  <jgallagher@opendap.org>

	The change to D4Enum::compute_checksum() was correct. This fixes
	the last of the issues with Enum on big-endian machines. The
	problems we caused by the assumption that 64-, 32-, 16- and 8-bit
	integers would align on the LSB, which is the case for
	little-endian machines (but not big...). In several places where
	reinterpret_cast<>() was used I first assigned the Enum _value_ to
	a temp variable of the correct size and then passed the address of
	that to the checksum calculation function. High cost in one sense,
	but really, scalar Enum variables will be rare and Arrays of Enums
	are handled differently. I also have dropped the overly-complex
	design that used a union. It eliminated some casts, but was based
	on the erroneous assumption regarding alignment.

	Test change in computing checksum for big-endian machines.

	Debugging big-endian issues still..

2015-10-07  James Gallagher  <jimg@idoru.local>

	Merge branch 'endian_fixes' of https://github.com/opendap/libdap4
	into endian_fixes

	Cleanup of a version of this that should work on big and
	little-endian machines.

2015-10-06  jgallagher59701  <jgallagher@opendap.org>

	Baselines for Enum tests on big endian machines
	Now only the tests 54 and 55 fail on the big endian machines...

2015-10-06  James Gallagher  <jimg@idoru.local>

	Removed union in the D4Enum implementation
	This is an attempt to fix the issues found on big endian machines.

2015-10-01  James Gallagher  <jgallagher@opendap.org>

	The DMR tests now work on little endian machines, mostly
	There is an issue with D4Enum that causes some tests to fail.

2015-10-01  jgallagher59701  <jgallagher@opendap.org>

	Fixes for function/ce tests modified:   tests/DMRTest.at

2015-09-30  jgallagher59701  <jgallagher@opendap.org>

	Baselines for a big endian machine.

2015-09-30  James Gallagher  <jgallagher@opendap.org>

	Fail: fixed a syntax error that got pushed.

	Added capability to build baselines that's sane

	Continue with fixes for data + ce tests

	DMRTest is dependent on word order - this is a trial fix.

2015-09-29  James Gallagher  <jgallagher@opendap.org>

	Fixed an issue in HTTPCacheTest; version number bump.
	In HTTPCacheTest, a quirk of RCReader meant that when the tests
	were run as part of distcheck they would fail if the user has set
	USE_CACHE to 1 in their ~/.dodsrc. Version numbers bumped to 3.15.1.

2015-09-23  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Fixed a syntax error in cgi_util.h
	... and added commentary to MarshallerThread.cc

2015-09-20  James Gallagher  <jgallagher@opendap.org>

	Version 3.15.1

2015-09-18  James Gallagher  <jgallagher@opendap.org>

	Added empty Coverity model file

	Fixed a bug in the DAP4 CE evaluator
	The DAP4 CE evaluator was using just the stop index value
	as the size of a dimension when testing if the stride value
	was valid. When a dimension of length 1 (i.e., [0:0]) was
	found, it's length was '0' and a stride of '1' was invalid.
	I fixed this and the test now uses stop-start +1 for the
	dimension length.

2015-09-17  James Gallagher  <jgallagher@opendap.org>

	HTTPCacheTable uses verbose errors
	... instead of obscure error codes

	Modified configure.ac to fail if uuid.h is not found.

2015-09-16  James Gallagher  <jgallagher@opendap.org>

	Added #error if uuid.h is not found modified:   DODSFilter.cc modified:   tests/ResponseBuilder.cc

	Fixed a syntax error modified:   tests/ResponseBuilder.cc

	An attempt to fix the uuid.h header issues.
	I added a test to test for uuid.h in addition to uuid/uuid.h
	in the hope that it'll find something and compile. I may have to
	work on this a bit more since it's caused such a hassle on the
	different build systems.

2015-09-15  James Gallagher  <jgallagher@opendap.org>

	Minor issue in D4EnumDefs.cc with range checking

	Added #include <cerrno> where needed

2015-09-14  James Gallagher  <jgallagher@opendap.org>

	Minor fix for precision in Float64, other fixes.

	CID 81430, CID 81412, CID 81409, CID 81405, CID 81402, CID 81401,
	CID 81397, formatting, CID 81389, CID 81382, CID 81377, CID 81375,
	CID 81373, CID 81370, CID 81363, CID 81362, CID 81361, CID 81360,
	CID 81359

015-09-10  James Gallagher  <jgallagher@opendap.org>

	Updated files for the release of 3.15

2015-09-09  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' into parallel_io

	An error introduced in March has been fixed; Freeform tests now
	pass. Commit 6b005387 introduced a change where set_read_p() no
	longer tested the state of the is_synthesized property. Before, if
	the property was set the method would not change the state of
	is_read. The change made it so the is_read property was changed
	regardless of the state of is_synthesized. This broke the
	'projection functions' in the FreeForm handler. I have reverted to
	the old libdap behavior, and the tests now pass.

2015-09-04  James Gallagher  <jgallagher@opendap.org>

	Removed the old serialize_no_release() method

2015-09-02  James Gallagher  <jgallagher@opendap.org>

	Now has a special class for RAII on the lock in the child thread.

2015-08-31  James Gallagher  <jgallagher@opendap.org>

	Cleaned out more dead code from Vector.cc

2015-08-28  James Gallagher  <jgallagher@opendap.org>

	Updated the version number to 3.15
	This because of the parallel IO code and pipelining support.

2015-08-28  James Gallagher  <jgallagher@opendap.org>

	Removed old code from MarshallerThread refactor.

	Moved the pthread code from XDRStreamMarshaller
	It's now in MarshallerThread and used by XDRStreamMarshaller via the
	'pointer to an implementation' pattern. This means that the pthread.h,
	which configure looks for but may not find, is not included in XDR-
	StreamMarshaller's header anymore.

	I did not mention this in the git log, but I've removed the
	serialize_no_release() method I added after refactoring the code
	so that it wasn't needed (I moved the 'release' calls to the BES
	dap module, so libdap's behavior is not changed).

2015-08-27  James Gallagher  <jgallagher@opendap.org>

	Added support for put_vector_part() to D4StreamMarshaller

	Refactor: CLEAR_LOCAL_DATA and USE_POSIX_THREADS
	We found that we could call clear_local_data() right after variables
	were serialized and get a much flatter memory profile. However, putting
	those calls in serialize() changed its behavior. I've moved them to
	bes/dap/ResponseBuilder - but that is controllable using a compile-time
	directive. Similarly, the compile-time switch USE_POSIX_THREADS
	can be used to turn off that feature (#undef). See XDRStreamMarshaller.

	Refactor: Parallel I/O methods
	I refactored the three new parallel I/O methods back into the matching
	put_vector() methods of the same/similar names. This cuts down on the
	naming mess and means that other classes like XDFFileStream don't have
	to include hacked methods that throw exceptions. This commit also
	includes changes that wrap the clear_local_data() calls in #ifdef
	CLEAR_LOCAL_DATA. Lastly, this refactor will also require a matching
	edit to ncml_module.

2015-08-24  James Gallagher  <jgallagher@opendap.org>

	Patch/fix/hack for XDRStreamMarshaller
	This class' header requires pthread.h but that makes for issues since
	we cannot put an include of config.h in a .h file that is installed.
	To get on with testing, I'm checking in this version that just includes
	it; later on I may modify the class to encapsulate the pthreads stuff.

	Fix for clear_local_data() race condition
	Took advantage of the current XDRStreamMarshaller impl that copies
	data before writing it out. This means our code can delete the original
	data held by the object right after the thread used to send that data
	has been called (actually, it could delete it _before_ starting the
	thread, but doing so afterward keeps that feature out of the marshaller
	class, which may come in handy later on...). Later on we may switch
	to reference counted pointers and then this issue will go away.

	Removed call to clear_local_data() in Vector::Serialize()
	This was colliding with the call to clear_local_data() in the thread
	when put_vector_thread() was called. This showed up as a 'sometimes'
	failure of expr test #21. The bug happens only when serializing an
	array of structure that contains arrays.

2015-08-22  James Gallagher  <jgallagher@opendap.org>

	Corrected a spelling mistake with 'serialize_no_release'

	I've added synchronization code to the XDRStreamMarshaller dtor
	This causes the XDRStreamMarshaller dtor to block on the d_out_mutex
	until the child thread (possibly) writing to the output stream
	completes.

2015-08-21  James Gallagher  <jgallagher@opendap.org>

	Added parallel_io to the set of branches Travis will build.

	Now threads in XDRStreamMarshaller are created detached state

	Added the new put_vector_thread methods to Marshaller
	I made them have a default implementation so that child classes
	won't break. I'm not sure if that's the best way to go...
	Also dropped the new *_thread() methods into Vector::serialize(),
	but they don't work so those are turned off by using #undef
	USE_POSIX_THREADS

	Parallel I/O for vector data maybe working
	I have coded put_vector_thread() and put_vector_part_thread() and
	they are passing unit tests.

2015-08-18  James Gallagher  <jgallagher@opendap.org>

	Removed some of the TODOs in libdap
	[ci skip]

2015-08-17  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Modified Vector::get_buf() so it can be used in the ncml handler

2015-08-17  Nathan Potter  <ndp@opendap.org>

	Merged the new (template-less) version of Vector into master branch

2015-08-17  James Gallagher  <jgallagher@opendap.org>

	Completed DAP2 put_vector_part() and associated methods.

2015-08-14  Nathan Potter  <ndp@opendap.org>

	Typo

2015-08-14  James Gallagher  <jgallagher@opendap.org>

	Partial Vector/Array serialization partly working!
	Must still implement the parts for Arrays of int16, ..., types;
	only byte arrays work now.

	Checkpoint: Adding methods to allow serialization of Vectors in parts.
	Missing methods in D4StreamMarshaller, XDRFileMarsahller and parts of
	methods in XDRStreamMarshaller.

	Added three protected accessors to Vector
	These provide access to the underlying data held in a Vector/Array
	and are accessible to descendant classes only.

2015-08-14  Nathan Potter  <ndp@opendap.org>

	Replaced template methods in Vector.cc with more pedantic
	implementations. Made the templed methods private and used them in
	the implementations of the new pedantic methods.

2015-08-10  James Gallagher  <jgallagher@opendap.org>

	Bumped up the version number to 3.14.2

	Bumped up the version (and SO numbers). This is 3.14.2

	Merge branch 'serialize_n_release'

	Added a serialize_no_release() method
	This rounds out the serialize_n_release branch. The new behavior of
	freeing the dynamic memory is very desirable, so it's the default,
	but if some code wants to serialize, do something else and then delete
	the storage, the new serialize_no_release provides that option. All
	of our libdap and bes/module tests pass. This will be merged to the
	master branch once the latter has been tagged.

2015-08-07  James Gallagher  <jgallagher@opendap.org>

	Fixed overwriting commit for Vector::serialize()
	We decided to make the serialize and release code real, but in the
	process that collided with changes to BaseType::name() (making it
	a virtual method). One line was broken, but since it was the call to
	clear_local_data() in Vector::serialize(), it was an important line!

2015-08-06  James Gallagher  <jgallagher@opendap.org>

	distcheck works locally

	Fix for distcheck and getdapTest

2015-08-05  James Gallagher  <jgallagher@opendap.org>

	make check now supports parallel execution
	Modified test/Makefile.am so that autotest parallel tests work. Run
	make check with TESTSUITEFLAGS=-jN

2015-08-05  Nathan Potter  <ndp@opendap.org>

	pulled from github and merged conflicts

	Refactored use of the name() method in BaseType so that it is now override-able

2015-08-05  James Gallagher  <jgallagher@opendap.org>

	Added BaseType::clear_local_data()
	The clear_local_data() method is used to free just the parts of a
	BaseType (child of, really) that hold large amounts of data. It applies
	to only a handful of the variable types (Vector, Sequence, D4Opaque and
	D4Sequence). It is used to free memory right after data values are
	sent to the client using serialize(). This means that data are no longer
	held by the variable objects once serialize() returns - at least for
	Array, Sequence, ... Other types like Byte, Int16, ..., will retain
	their values because those values are not held in dynamically allocated
	storage.

2015-08-04  James Gallagher  <jgallagher@opendap.org>

	Hacked the marshT unit-test
	I modified this so that it no longer relies on data being present after
	serialize() has been called. It seems that none of the handlers use
	this 'feature' and we can change the code so that memory is freed right
	after the bits are sent fir each variable. This means that only one
	variate's data are in memory at any given time.

2015-08-03  Nathan Potter  <ndp@opendap.org>

	Checking in change to _always_ release array memory after serialization. This causes the Marshaller test for Structure to seg fault.

2015-07-14  James Gallagher  <jgallagher@opendap.org>

	Removed the bison version print out
	...I think this is working fine now
	[ci skip]

2015-07-13  James Gallagher  <jgallagher@opendap.org>

	Added distcheck to travis

	travis caching
	Modified travis.yml and install_libdap4_source_deps.sh so that
	the bison source build is cached.

	Another fix: added '/bin' to $HOME/bison in $PATH

	Removed odd ^S from install_libdap4_source_deps.sh

	More travis hacks - added sudo: false back in; remove tabs

2015-07-12  James Gallagher  <jgallagher@opendap.org>

	travis: The build was not triggered with the last push...
	... so try removing 'sudo: false'

	Switched travis to use docker/containers

2015-07-09  James Gallagher  <jgallagher@opendap.org>

	Added .NOTPARALLEL: back to the C++ parser Makefile.am files
	We need this because stack.hh, ..., are built in one shot by
	bison.

	Updated the library version

	Grammar fixes - for flex and its C++ scanner code.
	There is a conflict between the defined return type of
	FlexLexer::LexerInput. Some versions of flex define that
	method as returning an int and some a returning a size_t.
	Including generated code using one will break when a build
	machine uses the other. I used dist-hook to just 'rm' those
	generated lex.*.cc files  from d4_ce and d4_function - the
	other generated scanners are OK. This is really a work-around
	since we should be able to include the generated scanners
	and then drop the build requirement for both bison and flex.

2015-07-07  James Gallagher  <jgallagher@opendap.org>

	Added absolute-header-m4 and removed .gitignore
	I think the .gitignore is from the gnulib source
	and is fine for their git repo, but not for clients
	of the library.

	Changed the tag for non-master travis builds to _travis
	... from -travis. Minor, but it bugged me.

	Modified travis.yml so that branches ending in -travis will be built.

	Updated gnulib code - this may affect the coverity results

2015-07-02  James Gallagher  <jgallagher@opendap.org>

	Coverity fix in dds.yy
	Fixed a potential leak where storage allocated is overwritten.
	An unlikely bug, but not a big deal to fix.

	Issues found using coverity fixed

2015-06-29  James Gallagher  <jgallagher@opendap.org>

	Fixed cppunit package for travis.yml

	Fixed a memory leak in dds.y

2015-06-26  James Gallagher  <jgallagher@opendap.org>

	Minor syntax error in TestArray; Travis now includes cppunit tests

	Memory leak in TestArray.cc plugged

	More changes WRT coverity and travis
	...in the travis.yml. Removed the before_build_command
	stuff from the coverity scan addon section since it seems
	to be redundant.

	Added coverity scan to travis CI

2015-06-25  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4.git

	Issues found in D4ParserSax2, DAS and DDS using Coverity.

2015-06-20  James Gallagher  <jgallagher@opendap.org>

	Finally fixed...?
	Using autoconf 2.69 make dist is building a tar-gz that includes the
	BUILT_SOURCES, which would be great for builders without bison 3. I'm
	not sure if that will work with autoconf 2.63.

2015-06-19  James Gallagher  <jgallagher@opendap.org>

	Move the D4 Function parser to its own directory.
	This is an attempt to really fix the stack, position and location.hh
	problem for once and for all. The Travis build is working, but maybe
	we're just lucky because a build from the tar.gz made using make dist
	was still failing.

2015-06-18  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4.git

2015-06-18  Ubuntu  <ubuntu@ip-172-31-34-168.ec2.internal>

	Modified build-deb-pkg.sh so that dap-config matches the installed
	files.

2015-06-18  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4.git

	Try using NOTPARALLEL with the libdap build - another travis hack.

2015-06-18  Ubuntu  <ubuntu@ip-172-31-34-168.ec2.internal>

	Modified DEBIAN/control to use libcurl4-openssl-dev as a dependency.
	Not sure why this was not working before.
	[ci skip]

	Merge branch 'master' of https://github.com/opendap/libdap4

	Added hackery script to DEBIAN directory.
	This will help with my simple deb file used for the bes build.

2015-06-18  James Gallagher  <jgallagher@opendap.org>

	Modified Makefile.am and d4_ce/... so bison is called only once
	This should stop the semi-random build fails for libdap4 on Travis
	and for other people.

2015-06-17  James Gallagher  <jgallagher@opendap.org>

	Added .NOTPARALLEL to d4_ce/Makefile.am for the grammar files
	I hope this fixes the odd issue with the generated grammar files
	breaking hte build in a random fashion. The error may be do to parallel
	builds running bison several times for each of the generated files, all
	at the same time.

	Cleaned up the d4_ce code
	The Makefile.am had leftover parts from the attempt to make the build
	work when bison 3 was not present. That may have been the cause of the
	seemingly random build errors I see on Travis CI

	Added dpkg -l to travis.yml
	This is part of debugging the bes travis build - I cannot seem to sort
	out the libcurl dependency since my Ubuntu AMI is a 14.x but the build
	is using 12.x

	travis bison hack...

2015-06-17  Ubuntu  <ubuntu@ip-172-31-34-168.ec2.internal>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Changed DEBIAN/control arch to amd64

2015-06-17  James Gallagher  <jgallagher@opendap.org>

	travis.yml edits
	Now uses deploy section only for tagged pushes; removed unneeded
	--force-yes with apt-get; and will build tags in addition to the
	master branch.

	Fixed build-deb-pkg.sh and added 'deploy' section to travis.
	Not sure about the deploy bit...

2015-06-16  James Gallagher  <jgallagher@opendap.org>

	Use newly built bison 3
	Added /usr/local/bin to PATH...

	Build bison from source (circling back)
	Travis-CI is currently using ubuntu 12 which using bison 2; Ubuntu 14
	has bison 3 in its package system.

	More tweaks to the simple deb package build
	This is a deb package for use with travis-ci when we get a bes CI
	build working

	Added debian package build to travis.yml
	...also tried using --force-yes to get bison to load with apt-get
	[ci skip]

2015-06-16  Ubuntu  <ubuntu@ip-172-31-34-168.ec2.internal>

	Added the build-deb-pkg.sh script.

	Added DEBIAN/control
	Use this along with dpkg-deb --build libdap_<version> to make a
	debian package.

2015-06-16  James Gallagher  <jgallagher@opendap.org>

	Another change to the travis.yml file
	It now uses bison installed using apt-get

2015-06-08  James Gallagher  <jgallagher@opendap.org>

	travis-ci error fixed
	I left --prefix=... on the configure of bison but $prefix's definition
	was moved to a later step.

	Reorganization of the travis.yml script.

2015-06-07  James Gallagher  <jgallagher@opendap.org>

	clang...

	...another try at clang support

	...another try at clang

2015-06-06  James Gallagher  <jgallagher@opendap.org>

	minor tweak to 'make install' with sudo -i

	fix for clang

	more travis ci changes - learning what this can do...

	Added some package installs to travis ci

	travis ci fix

	travis ci: added install of libdap

	travis ci change: install bison 3 using sudo

2015-06-05  James Gallagher  <jgallagher@opendap.org>

	Travis CI updates

	Added an initial .travis.yml file

2015-06-01  James Gallagher  <jgallagher@opendap.org>

	Added DBG2N - no line number version of DBG2

2015-05-24  James Gallagher  <jgallagher@opendap.org>

	Fixed comment

2015-05-14  James Gallagher  <jgallagher@opendap.org>

	Added a new function to make a temp file using mkstemps()
	This new function returns the temp file's name and a C++ fstream
	object that is opened to the temp file. This change adds to the
	libdap API.

2015-05-12  James Gallagher  <jgallagher@opendap.org>

	Fixed missing <string> include. Patch from O. Poplawski.

	Fix getopt() use. Patch from O. Poplawski

	Broke --enable-developer; now fixed.

	Fixed issues in configure and Makefiles reported by O. Poplawski.
	--enable-coverage and --enable-valgrind were broken.
	Setting CXXFLAGS to nothing broke builds on fedroa 21

	Added coverage file to gitignore

2015-05-01  James Gallagher  <jgallagher@opendap.org>

	Formatting, old code removeal, doxygen updates

2015-04-05  James Gallagher  <jgallagher@opendap.org>

	Bison 3 is required for the build.
	This might change, but for the next release (April 2015) it is a
	requirement for building the code. It will be possible to get the
	devel rpm and, however, and develop code that uses libdap w/o
	needing bison 3.

2015-04-03  James Gallagher  <jgallagher@opendap.org>

	Bumped up the library versions
	Each of libdap, libdapclient and libdapsever likely have new interfaces
	but the old interfaces are intact, so CURRENT and AGE are increased,
	and REVISION is reset to 0.

	Various changes as needed for the release.

2015-03-31  James Gallagher  <jgallagher@opendap.org>

	Added to gitignore

	Hacked more for the FlexLexer.h kludge...

	Resurrected the D4*Scanner.h files

	Modified the FlexLexer.h scheme
	Now it fits more with the way I'm handling the other generated
	files. The header is in the generated files dir and is only
	copied out when bison 3 is not found. It's still a kludge...

	Added FlexLexer.h
	This might be a mistake - remove if this fails on linux, etc.

2015-03-30  James Gallagher  <jgallagher@opendap.org>

	Rest of changes for template grammar files
	Now if bison 3.0+ is not found, the build will use
	template versions of the generated grammar files. This
	removes the dependence on bison 3.0 for most source
	builds. Of course, if you want to modify the D4 grammar
	you need bison 3.

	Added generated grammar sources
	When a machine does not have bison 3, it's a pain to install it, esp.
	at a site that doesn't let the builder do that! The work-around is to
	provide a backup set of sources that can be copied by the Makefile in
	lieu of the real thing.

2015-03-25  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Dropped the autoconf required version to 2.63
	This accommodates RH/CentOS 6. I also had to change the AT_ARG_OPTION_ARG
	calls so that multi-word options used underscores and not dashes.

	Change to libdap.spec
	I've added the dist info to the RPM and fixed up some of the
	description, too.

2015-03-17  James Gallagher  <jgallagher@opendap.org>

	Edited comments and reformatted.
	Also added a new method to Sequence that I subsequently removed
	from the code using the preprocessor. ...it might come in handy
	some day.

	Refactored TestCommon
	Now TestCommon.cc is not used; the constructors, etc. are now
	in TestCommon.h. In the future this class could be modified so
	that the 'series_values' property was accessible from TestCommon
	and not just the individual type classes.

	Change a comment emmited by configure less convoluted.

2015-03-16  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Changes to build and to the Test* classes.
	Now configure tests for the uuid/uuid.h header (before it tested only
	for the library which meant that installing the libuuid package and
	not the needed libuuid-devel package would pass configure but fail
	during the build). I also removed some unused code from the Test* classes.
	The TestCommon.cc file was not needed.

	rpm target fixes
	Added getdap4 to the files list for RPM and fixed distclean/distcheck
	where some DMR tests are marked xfail (expected fail). With autotest,
	xfail leaves some cruft behind in the DMRTest.dir directory that
	./DMRTest --clean should remove (see the clean-local makefile target).
	However, because a space was added to the names in the Makefile.am,
	those --clean calls were not being made. Fixed. Somewhat exasperating...

2015-02-26  James Gallagher  <jgallagher@opendap.org>

	Merge branch 'master' of https://github.com/opendap/libdap4

	Added convenience function to util
	The new function extracts doubles from numeric arrays using a vector
	to cu down on memory management complexity (at the cost of an addition
	to the interface).

2015-02-21  James Gallagher  <jgallagher@opendap.org>

	Fixed GetOpt.cc includes
	This code used old includes (string.h, etc.) and was missing
	stdio. I added <cstdio> and changed stdlib.h and string.h to
	cstdlib and cstring. Removed a duplicate header. Build now works
	on AWS Centos 6.

2015-02-19  James Gallagher  <jgallagher@opendap.org>

	More Cleanup
	I re-indented TestSequence and removed some old code
	as part of my work on the aggregation server (which
	may not make it into the BES, another story...)

	Cleanup
	I removed unused code from Sequence, DDS.cc and AttrTable.cc

2015-02-09  James Gallagher  <jgallagher@opendap.org>

	Tweaked D4Sequence for BES function's tabular()
	The d_length field is now set when set_values()
	is called.

2015-02-02  James Gallagher  <jgallagher@opendap.org>

	Removed incorrect comment in Vector.h

2015-01-14  James Gallagher  <jgallagher@opendap.org>

	Added a type_name() function to util.cc/h
	In the merge with DAP4, type_name() split into D2type_name() and
	D4type_name(). That removes the symbol 'type_name()' from the library.
	I added a function with that name that first tries to apply D4... and
	then D2. If both fail, an exception is thrown. This provides forward
	looking backward compatibility.

	Fixed an issue with String constant arguments to DAP4 functions.
	The function parser for DAP4 was including the double quotes that
	delimit string constants in the value itself. I modified the parser
	to eliminate those.

2015-01-07  James Gallagher  <jgallagher@opendap.org>

	HTTPCacheTest was failing; fixed.
	The test assumed that the number of headers for a cached response
	would equal the headers in a response. This might not be the case.
	For example, the received response might include a Keep-Alive header.

	Error in D4Maps copy ctor fixed.
	This addresses an error in the DMRTest.cc unit test for the DMR
	class. DMR's copy ctor was failing to copy the maps from Arrays
	in the src object to the dest object because of an error in the
	D4Maps m_duplicate method.

	Corrected some comment text in DMR.cc

2015-01-05  James Gallagher  <jgallagher@opendap.org>

	Minor changes to the Makefile.am files

2014-12-31  James Gallagher  <jgallagher@opendap.org>

	Merge remote-tracking branch 'origin/dap4'
	Conflicts:
		unit-tests/HTTPConnectTest.cc

2014-12-12  James Gallagher  <jgallagher@opendap.org>

	Added eclipse meta files to gitignore.

	Merge branch 'master' of https://github.com/opendap/libdap

	comment change in main_page.doxygen

2014-12-03  James Gallagher  <jgallagher@opendap.org>

	Added files  left over from a full build to gitignore

2014-11-19  James Gallagher  <jgallagher@opendap.org>

	Added .gitignore and hacked up Makefile.am so that it uses subdir-objects.

2014-10-21  James Gallagher  <jgallagher@opendap.org>

	Added a valgrind 'suppressions' file for OSX 10.9. Not sure where
	this is going, but valgrind for unit tests and regression tests is
	probably a good thing.

	Fixed to the Makefile.am in d4_ce so that the grammar for DAP4 builds correctly.

2014-10-20  James Gallagher  <jgallagher@opendap.org>

	Changed HTTPConnect.cc on the release branch and then copied here. Minor fix in the test baseline to accommadate a change in the test host (etag changed with a change in the Apache server version).
	M    unit-tests/HTTPConnectTest.cc

2014-10-16  James Gallagher  <jgallagher@opendap.org>

	Fixed ticket 2260 - The issue where the DMR copy ctor built a DMR that would subsequently cause a segfault has been fixed. The problem was in Array::update_dimension_pointers(). The D4Dimension objects were not copied correctly between the old and new set of D4Dimensions in the Groups in the source and dest DMRs

2014-10-14  James Gallagher  <jgallagher@opendap.org>

	Leak fix in the D4CE code - both the CE and Functions parser leaked memory - fixed. Tests HTTPCacheTest and HTTPConnectTest fixed - there were two issue with the new test.o2 server. Array.h - removed the D4Dimensions.h include.

	Bug fix in ServerFunction: The setFunction setters in ServerFunction were setting other function pointers to null so that the ServerFunction object could hold only one kind of function for any given name. If we want linear_scale, e.g., to work for both DAP2 and DAP4, the class has to be able to support a btp_func and D4Function. I fixed the ctors and setters so that works.

2014-09-17  James Gallagher  <jgallagher@opendap.org>

	Renamed the bison 'Driver' classes to be D4ConstraintEvaluator and D4FunctionEvaluator. Added an eval() method to the latter so that the BES can evaluation DAP4 Functions in a some sort of a sane way. I also moved the old and crufty D4ResponseBuilder code out of the libdap dir; there's a class with the same name in tests, but it does different (and more sane) things.

	Comments and changed template type from 't' to 'T'.

	Comments...

2014-09-12  James Gallagher  <jgallagher@opendap.org>

	Fixed FQN() for Constructors that hold arrays.

2014-09-11  James Gallagher  <jgallagher@opendap.org>

	I removed the DMR& parameter to BaseType::intern_data(). This seems to be a relic from DAP2 (where it may not have actually been used either) and it makes employing delegation somewhat harder in the 'transmitter' handlers I'm working on porting over to DAP4.

	Modified to use the new 'DMR-free' version of intern_data(). Also fixed the help message.

	Added a DMR that holds a nested sequence so this can be tested - currently does not work and is not part of the tests.

2014-09-08  James Gallagher  <jgallagher@opendap.org>

	Marked four tests a xfail. See ticket #2244
	M    tests/DMRTest.at

	I added specializations for transform_to_dap4() to TestStructure and TestSequence so that, among other things, the dapreader code can build DAP4 data responses using DAP2 response files.

2014-09-05  James Gallagher  <jgallagher@opendap.org>

	Fixed hiccup in Makefile.am that prevented the D4Connect.h header from being installed - it was not listed in pkginclude_HEADERS. Added subdir-objects to the options list in the Makefile.am too. Fixed an error message in getdap4 - text change only.

2014-09-04  James Gallagher  <jgallagher@opendap.org>

	Added a FQN() method that will return the FQN for any variable, including the group part. Also added a decent comment on the D4Group::find_var() method. Unit tests added to the D4GroupTest unit test.

2014-09-03  James Gallagher  <jgallagher@opendap.org>

	Removed duplicate code in Sequence and Structure for the transform_to_dap4() method; moved the common code to Constructor.

2014-08-27  James Gallagher  <jgallagher@opendap.org>

	Added an update of the weak pointers held by Array so that the DMR::m_duplicate() method can use D4Group::ptr_duplicate(). This was useful when porting the gdal_handler code to DAP4.

2014-08-21  James Gallagher  <jgallagher@opendap.org>

	Change to Constructor::serialize(). It now calls read(). This was removed because it broke the behavior of D4Sequence - at least in the test code (it still does). More work needs to be done on this, but the FreeForm handler, which builds sequences is working with D4Sequence (DMR/DAP4 Data via the DDS --> DMR hack). I will need to revisit this...

2014-08-19  James Gallagher  <jgallagher@opendap.org>

	Now has a separate method to 'blend in' variables from a DDS into the DMR. This is used by the DDS-ctor for DMR but it can also be called on an existing DMR like the ones built by the BES. This was done so that information set when the BES builds the DMR won't be lost.

	Changes to the transform_to_dap4() method - both Sequence and Structure have implementations that work for tests and clients, but not most servers. Array should be pretty general and may work for most handlers.

2014-08-18  James Gallagher  <jgallagher@opendap.org>

	Removed unused code - part of an aborted attempt to add a factory class as a param to BaseType::transform_to_dap4(...). Instead, it's likely better to subclass that method in the types like FFSequence (in the handlers). In the process I found a fair amount of old code that was commented out and removed it.

2014-08-15  James Gallagher  <jgallagher@opendap.org>

	Fixed an issue in Array where D4Dimensions made using the 'transform dap2 to dap4 code' with the same name but different sizes could be made. This was bad; I changed the code so that when a name conflict is found, the D4Dimension  will have a different name (made using the orig dimension name and the variable name). In this case, the fist D4Dimension gets to use the name exactly as it appears in the Array while the second D4Dimension gets a more cumbersome, but unique, name.

	Fixed the order of printing of attributes and variables for constructor types when working with DAP2 responses (i.e., the DDX). The order (attr; vars) is reversed in DAP4.

2014-08-14  James Gallagher  <jgallagher@opendap.org>

	Patch for getopt applied
	_M   .
	M    unit-tests/DDSTest.cc
	M    unit-tests/DDXParserTest.cc
	MM   unit-tests/SequenceTest.cc
	M    unit-tests/ServerFunctionsListUnitTest.cc

	Patch from Orion Poplawski to fix some of the getopt calls in the unit-tests
	M    unit-tests/DDSTest.cc
	M    unit-tests/DDXParserTest.cc
	M    unit-tests/SequenceTest.cc
	M    unit-tests/ServerFunctionsListUnitTest.cc

2014-08-11  James Gallagher  <jgallagher@opendap.org>

	Changes from H 1.9.9 on the trunk

2014-08-09  James Gallagher  <jgallagher@opendap.org>

	Merge from the trunk to include changes for Hyrax 1.9.9
	_M   .
	M    RValue.cc
	M    XMLWriter.h
	M    configure.ac
	M    ChangeLog
	M    main_page.doxygen
	M    INSTALL
	M    libdap.spec
	M    README
	M    Makefile.am
	M    NEWS
	M    ce_expr.yy
	M    unit-tests/HTTPConnectTest.cc
	M    doxy.conf

2014-08-08  James Gallagher  <jgallagher@opendap.org>

	Version 3.13.3
	M    ChangeLog
	M    INSTALL
	M    NEWS
	M    README
	M    configure.ac
	M    doxy.conf
	M    libdap.spec
	M    main_page.doxygen

	Fixed a leak in RValue.cc using a patch from Aron (ADB)

2014-08-08  James Gallagher <jgallagher@opendap.org>

	Fixed a leak in RValue.cc using a patch from Aron (ADB)

2014-08-01  James Gallagher <jgallagher@opendap.org>

	Release checklist steps for 3.13.2

	M    ChangeLog
	M    INSTALL
	M    NEWS
	M    README
	M    configure.ac
	M    doxy.conf
	M    libdap.spec
	M    main_page.doxygen

2014-08-01  James Gallagher <jgallagher@opendap.org>

	Release checklist steps for 3.13.2

	M    ChangeLog
	M    INSTALL
	M    NEWS
	M    README
	M    configure.ac
	M    doxy.conf
	M    libdap.spec
	M    main_page.doxygen

2014-07-30  James Gallagher <jgallagher@opendap.org>

	Second fix for ticket 2240 - SCAN_STR from the CE scanner
	was leaking because the parser did not delete the reutrned
	string. I also modified the first fix so that a local tmp
	string was used instead of new dynamic storage.

	M    ce_expr.yy

2014-07-30  James Gallagher <jgallagher@opendap.org>

	Fixed a memory leak reported by Aron.Bartle@mechdyne.com. See ticket
	2240.

	M    ce_expr.yy

2014-07-30  James Gallagher <jgallagher@opendap.org>

	I added a comment about a potential memory leak to ce_expr.yy

;; Local Variables:
;; coding: utf-8
;; End:
2014-07-30  James Gallagher <jgallagher@opendap.org>

	Second fix for ticket 2240 - SCAN_STR from the CE scanner
	was leaking because the parser did not delete the reutrned
	string. I also modified the first fix so that a local tmp
	string was used instead of new dynamic storage.

	M    ce_expr.yy

2014-07-30  James Gallagher <jgallagher@opendap.org>

	Fixed a memory leak reported by Aron.Bartle@mechdyne.com. See ticket
	2240.

	M    ce_expr.yy

2014-07-30  James Gallagher <jgallagher@opendap.org>

	I added a comment about a potential memory leak to ce_expr.yy

2014-05-07  James Gallagher <jgallagher@opendap.org>

	spelling

2014-05-07  James Gallagher <jgallagher@opendap.org>

	Fixed a test baseline in HTTPConnectTest so that it will work with
	the new headers returned by H 1.9.3 (which include so things from
	DAP4).

2014-05-05  James Gallagher <jgallagher@opendap.org>

	namespace libdap addex

	M    XMLWriter.h

2014-05-02  James Gallagher <jgallagher@opendap.org>

	Minor edit to Makefile.am for builds on centos 5 - there libgl
	builds a copy of unistd.h that doesn't work with flex generated cc
	files. So I pulled -I./gl from CPP flags for the parsers library.

2014-04-22  James Gallagher <jgallagher@opendap.org>

	Updated for 3.13

	M    INSTALL
	M    README
	M    configure.ac

2014-04-15  James Gallagher <jgallagher@opendap.org>

	Updates to NEWS, ChangeLog to match the bump in the vesion number.

2014-04-11  James Gallagher <jgallagher@opendap.org>

	Added comment info to abi_checker.xml.in so we'll remember how to use the abi checker.

2014-04-11  James Gallagher <jgallagher@opendap.org>

	path fix/typo

2014-04-11  James Gallagher <jgallagher@opendap.org>

	Added abi_checker.xml.in file for the perl-based abi checker. Seems to work only with gcc.

;; Local Variables:
;; coding: utf-8
;; End:
2014-04-11  James Gallagher <jgallagher@opendap.org>

	Added comment info to abi_checker.xml.in so we'll remember how to use the abi checker.

2014-04-11  James Gallagher <jgallagher@opendap.org>

	path fix/typo

2014-04-11  James Gallagher <jgallagher@opendap.org>

	Added abi_checker.xml.in file for the perl-based abi checker. Seems to work only with gcc.

2014-03-26  James Gallagher <jgallagher@opendap.org>

2014-02-05  James Gallagher <jgallagher@opendap.org>

	Fixed the SequenceTest 'baseline' regex.

	M    unit-tests/SequenceTest.cc

2014-02-04  James Gallagher <jgallagher@opendap.org>

	Unit test updates after the OS upgrade from OSX 10.8 to 10.9.
	There seems to be an issue with the sizeof(std::string) and also
	with libxml2 and/or my code to read from a C++ stream and have
	libxml2 parse text/xml. For now I'm removing these tests... but
	will return to the libxml2 issue later (the sizeof(std::string)
	maybe a bad idea since that could be pretty variable between
	libstdc++ versions - I might just drop that test).

2013-11-05  James Gallagher <jgallagher@opendap.org>

	Minor formatting changes

2013-10-24  James Gallagher <jgallagher@opendap.org>

	All tests now pass for array projections for server function
	arguments.

2013-10-24  James Gallagher <jgallagher@opendap.org>

	tests pass for array projections in function arg lists

2013-10-24  James Gallagher <jgallagher@opendap.org>

	Fixed an obscure bug in the test function - for the scalar case it
	was not reading the arg's value.

2013-10-23  James Gallagher <jgallagher@opendap.org>

	missed one baseline for the function stuff...

2013-10-23  James Gallagher <jgallagher@opendap.org>

	Added support for array subsetting (projection) in the argument
	list of a function. Tests need work and there's an issue when the
	function arg is a scalar not an array. Also, the intern_data()
	methods don't work, but this may be a larger issue with the hack
	to the function evaluation scheme added for 'grads syntax'
	support.

2013-10-21  hyoklee

	fixed the bug #2016.

2013-10-21  Hyo-Kyung Lee  <hyoklee@hdfgroup.org>

	* escaping.cc (escattr): fixed the double escaping problem by changing
	the order of the first two while() loops.

2013-10-18  James Gallagher <jgallagher@opendap.org>

	svn:ignore

2013-10-17  James Gallagher <jgallagher@opendap.org>

	Manually patched changes to Sequence::read_row and
	TestSequence::read() from the DAP4 development branch so they work
	with the newly modified handlers (the DAP4 branch uses _trunk_ copies
	of the handlers). We will have to document this change before
	releasing the code!

	M    tests/TestSequence.cc
	M    Sequence.cc

2013-10-17  James Gallagher <jgallagher@opendap.org>

	Added to svn:ignore

2013-10-15  James Gallagher <jgallagher@opendap.org>

	Added

	A    gl/glthread
	A    gl/glthread/threadlib.c
	A    gl/glthread/lock.c
	A    gl/glthread/lock.h

2013-10-15  James Gallagher <jgallagher@opendap.org>

	Added

	AM   config.rpath

2013-10-15  James Gallagher <jgallagher@opendap.org>

	Added to gl

	A    gl/m4/lib-link.m4
	A    gl/m4/lock.m4
	A    gl/m4/lib-prefix.m4
	A    gl/m4/lib-ld.m4
	A    gl/m4/eealloc.m4
	A    gl/m4/extern-inline.m4
	A    gl/m4/threadlib.m4
	A    gl/wctype-h.c
	A    gl/unistd.c

2013-10-15  James Gallagher <jgallagher@opendap.org>

	Updated gnulib.

	M    XMLWriter.cc
	M    conf/snippet/c++defs.h
	M    conf/snippet/warn-on-use.h
	M    conf/snippet/arg-nonnull.h
	M    Byte.h
	M    XDRUtils.cc
	M    ServerFunction.cc
	M    Url.cc
	M    XDRFileUnMarshaller.cc
	M    gl/m4/fcntl-o.m4
	M    gl/m4/configmake.m4
	M    gl/m4/localcharset.m4
	M    gl/m4/locale_h.m4
	M    gl/m4/sys_types_h.m4
	M    gl/m4/mbrtowc.m4
	M    gl/m4/btowc.m4
	M    gl/m4/longlong.m4
	M    gl/m4/00gnulib.m4
	M    gl/m4/ssize_t.m4
	M    gl/m4/glibc21.m4
	M    gl/m4/localeconv.m4
	M    gl/m4/codeset.m4
	M    gl/m4/alloca.m4
	M    gl/m4/off_t.m4
	M    gl/m4/locale-fr.m4
	M    gl/m4/langinfo_h.m4
	M    gl/m4/wint_t.m4
	M    gl/m4/mbsinit.m4
	M    gl/m4/stdint.m4
	M    gl/m4/gnulib-common.m4
	M    gl/m4/stdbool.m4
	M    gl/m4/malloc.m4
	M    gl/m4/regex.m4
	M    gl/m4/warn-on-use.m4
	M    gl/m4/wchar_h.m4
	M    gl/m4/gnulib-comp.m4
	M    gl/m4/unistd_h.m4
	M    gl/m4/wcrtomb.m4
	M    gl/m4/locale-zh.m4
	M    gl/m4/stddef_h.m4
	M    gl/m4/gnulib-cache.m4
	M    gl/m4/include_next.m4
	M    gl/m4/mbstate_t.m4
	M    gl/m4/wctype_h.m4
	M    gl/m4/nl_langinfo.m4
	M    gl/m4/locale-ja.m4
	M    gl/m4/wchar_t.m4
	M    gl/m4/multiarch.m4
	M    gl/m4/stdlib_h.m4
	M    gl/m4/mbtowc.m4
	M    gl/m4/gnulib-tool.m4
	M    gl/m4/byteswap.m4
	M    gl/m4/extensions.m4
	M    gl/localcharset.c
	M    gl/mbsinit.c
	M    gl/regex_internal.c
	M    gl/malloc.c
	M    gl/byteswap.in.h
	M    gl/localcharset.h
	M    gl/locale.in.h
	M    gl/regex_internal.h
	M    gl/sys_types.in.h
	M    gl/wcrtomb.c
	M    gl/btowc.c
	M    gl/regexec.c
	M    gl/ref-del.sin
	M    gl/mbtowc.c
	M    gl/regcomp.c
	M    gl/mbtowc-impl.h
	M    gl/streq.h
	M    gl/alloca.in.h
	M    gl/langinfo.in.h
	M    gl/ref-add.sin
	M    gl/verify.h
	M    gl/regex.c
	M    gl/config.charset
	M    gl/mbrtowc.c
	M    gl/wchar.in.h
	M    gl/regex.h
	M    gl/stdint.in.h
	M    gl/stdbool.in.h
	M    gl/unistd.in.h
	M    gl/stddef.in.h
	M    gl/localeconv.c
	M    gl/wctype.in.h
	M    gl/nl_langinfo.c
	M    gl/Makefile.am
	M    gl/gettext.h
	M    gl/stdlib.in.h
	M    BaseTypeFactory.cc
	M    XDRStreamMarshaller.cc
	M    escaping.cc
	M    DapIndent.cc
	M    XDRFileMarshaller.cc

2013-10-01  James Gallagher <jgallagher@opendap.org>

	Updated the FSF address in the copyright headers

2013-09-30  James Gallagher <jgallagher@opendap.org>

	This checkin contains a fix for the conflicting definitions of
	width() in BaseType, Vector and Array, where Array provided a
	version/definition that clashes with the one in BaseType. BaseType
	defined width() and Array defined width(bool constrained = true),
	which shadowed the former. I changed BaseType width so that its
	signature is width(bool constrained = false) and made that the
	only version of the method. There are some changes to uses of
	width() in libdap and the BES, but not in the handlers.

2013-09-27  James Gallagher <jgallagher@opendap.org>

	misc changes; a minor fix for Array; a fix for the DDX parser; A
	minor change in the scanners for the Error, DAS, DDS and CE
	parsers (added %option noinput to suppress a warning); removed
	-fno-defer-pop from the Makefile.ams.

2013-09-17  James Gallagher <jgallagher@opendap.org>

	I changed the character used for the Type special form (from # to
	$, because # is a URL delim. and tomcat was filtering it).

2013-08-28  James Gallagher <jgallagher@opendap.org>

	Build/Audit fixes.

	M    libdap/XDRFileUnMarshaller.cc
	M    libdap/XDRFileUnMarshaller.h
	M    bes/dispatch/unit-tests/keysT.cc
	M    bes/functions/Makefile.am

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Backed out an errant call to fclose()

;; Local Variables:
;; coding: utf-8
;; End:
2013-08-28  James Gallagher <jgallagher@opendap.org>

	Build/Audit fixes.

	M    libdap/XDRFileUnMarshaller.cc
	M    libdap/XDRFileUnMarshaller.h
	M    bes/dispatch/unit-tests/keysT.cc
	M    bes/functions/Makefile.am

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Backed out an errant call to fclose()

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Removed errant call to fclose() in XDRFileUnMarshaller. This
	caused a segfault on Linux.

2013-08-27  James Gallagher <jgallagher@opendap.org>

	audit fixes

	M    libdap/Makefile.am
	M    bes/dispatch/unit-tests/BESCache3Test.cc
	M    bes/functions/tests/functionsTest.at
	M    bes/functions/tests/bescmd/bind_name_4.dods.bescmd.baseline
	M    bes/functions/tests/bescmd/bind_name_2.dods.bescmd.baseline

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Source release info

	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    README
	M    NEWS

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Audit fixes.

	M    RValue.cc
	M    HTTPCacheTable.cc
	M    Array.cc
	M    DDXParserSAX2.cc
	M    Makefile.am
	M    HTTPCache.cc
	M    XDRStreamUnMarshaller.cc
	M    Structure.cc
	M    Sequence.cc
	M    XDRFileUnMarshaller.cc
	M    XDRFileUnMarshaller.h
	M    mime_util.cc
	M    util.cc
	M    util_mit.cc

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Changed the required bison version number to 2.4 and removed a bogus include
	from das.yy that breaks bison 2.4.

	M    das.yy
	M    Error.yy
	M    dds.yy
	M    ce_expr.yy

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Removed bad character from the Makefile.am

	M    Makefile.am

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Added the newly hacked grammar files - these along with updated versions
	of DAS.cc, DDS.cc, ConstraintEvaluator.cc and Error.cc and Makefile.am
	were copied over from the dap4 branch. A kind of cheap merge operation...

	A    das.yy
	A    Error.yy
	A    dds.yy
	A    ce_expr.yy

;; Local Variables:
;; coding: utf-8
;; End:
2013-08-27  James Gallagher <jgallagher@opendap.org>

	Audit fixes.

	M    RValue.cc
	M    HTTPCacheTable.cc
	M    Array.cc
	M    DDXParserSAX2.cc
	M    Makefile.am
	M    HTTPCache.cc
	M    XDRStreamUnMarshaller.cc
	M    Structure.cc
	M    Sequence.cc
	M    XDRFileUnMarshaller.cc
	M    XDRFileUnMarshaller.h
	M    mime_util.cc
	M    util.cc
	M    util_mit.cc

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Changed the required bison version number to 2.4 and removed a
	bogus include from das.yy that breaks bison 2.4.

	M    das.yy
	M    Error.yy
	M    dds.yy
	M    ce_expr.yy

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Removed bad character from the Makefile.am

	M    Makefile.am

2013-08-27  James Gallagher <jgallagher@opendap.org>

	Added the newly hacked grammar files - these along with updated
	versions of DAS.cc, DDS.cc, ConstraintEvaluator.cc and Error.cc
	and Makefile.am were copied over from the dap4 branch. A kind of
	cheap merge operation...

	A    das.yy
	A    Error.yy
	A    dds.yy
	A    ce_expr.yy

2013-08-26  James Gallagher <jgallagher@opendap.org>

	Chnages so that a newer bison can be used.

	M    Error.lex
	M    Error.cc
	M    ce_parser.h
	M    ConstraintEvaluator.cc
	M    DDS.cc
	M    Makefile.am
	M    dds.lex
	M    Vector.cc
	M    das.lex
	M    Vector.h
	M    DAS.cc
	M    ce_expr.lex

2013-07-23  James Gallagher <jgallagher@opendap.org>

	Removed the openssl/evp.h header because it winds up including
	des_old.h on OSX 10.5 and that has a conflict with set_key() in
	BESKeys.h. Also, the code no longer uses the evp.h header...

	M    XDRStreamMarshaller.h

2013-07-23  James Gallagher <jgallagher@opendap.org>

	Memory leaks fixed in the DAP4 Stream Marshaller classes - but
	these are in code in the trunk. will check in all the same and
	make corresponding changes to the code on the dap4 branch (which
	uses the filename prefix 'D4' instead of 'DAP4').

2013-07-23  James Gallagher <jgallagher@opendap.org>

	Modified ConstraintEvaluator so that it always frees the
	scanner/parser string buffer when an exception is thrown. I made
	this change while working on a problem that turned out to be in
	the scanner (state was not reset when an error was found) but even
	though this change is not the fix for that - see ce_expr.lex - it
	seems like a good idea.

2013-07-23  James Gallagher <jgallagher@opendap.org>

	Fixed the rpm build - libtest-types.a was missiing from the spec file.

2013-07-10  James Gallagher <jgallagher@opendap.org>

	Fixed a bug where a CE with mismatched quotes left the CE parser
	in the <quote> state, making subsequent requests fail. The fix was
	in the scanner to reset the parser (technically the scanner's)
	state to INITIAL when an error was detected. I also added code to
	catch the Error object thrown by the scanner and delete the parse
	buffer, although that might be overkill.

2013-07-10  James Gallagher <jgallagher@opendap.org>

	Merged changes from the miic_6.2013 branch. These changes support the
	new #<type>() special forms that enable big arrays to be use in CEs.

	_M   .
	M    Error.lex
	M    ConstraintEvaluator.cc
	M    Array.cc
	M    tests/expr-test.cc
	A  + tests/ResponseBuilder.cc
	A  + tests/ResponseBuilder.h
	M    tests/Makefile.am
	M    DDXParserSAX2.cc
	M    Makefile.am
	M    ce_expr.y
	M    Error.y
	M    dds.lex
	MM   mime_util.h
	M    XDRStreamUnMarshaller.cc
	M    RValue.h
	M    BaseTypeFactory.h
	M    das.lex
	MM   mime_util.cc
	M    das.y
	M    BaseTypeFactory.cc
	M    util.cc
	D    unit-tests/server-testsuite/geturl.0
	D    unit-tests/server-testsuite/config
	_M   unit-tests/ancT.cc
	M    unit-tests/DDXParserTest.cc
	D    unit-tests/response_cache
	M    unit-tests/Makefile.am
	M    dds.y
	M    Array.h
	M    ce_expr.lex

2013-07-09  James Gallagher <jgallagher@opendap.org>

	Trunk fixes for the functions module in the libdap andbes spec
	files. Also a repair to XDRStreamMarshaller.cc

2013-06-06  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: new value() methods so that the correct thinmgs are
	accessed and returned.

2013-06-06  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added new 'value' function to Vector that allows you use
	an subset_index array to retrieve non contiguous values in a
	single operation

2013-06-05  James Gallagher <jgallagher@opendap.org>

	Added libdap-* to svn-ignore

2013-05-21  James Gallagher <jgallagher@opendap.org>

	Fixes for linux

	M    unit-tests/ResponseBuilderTest.cc
	M    unit-tests/ResponseCacheTest.cc

2013-05-21  James Gallagher <jgallagher@opendap.org>

	added valgrind suppressions for stuff in libxml2

2013-05-20  James Gallagher <jgallagher@opendap.org>

	Moved four set_mime_*() methods from ResponseBuilder to mime_util.

2013-05-20  James Gallagher <jgallagher@opendap.org>

	Modified DDXParser so that it includes an intern_stream() method
	that takes a cpp istream. Added tests. Also modified
	ResponseBuilder so that it frees the AlarmHandler allocated when
	establish_timeout() is called.

2013-05-20  James Gallagher <jgallagher@opendap.org>

	Fixed memory leaks in the DDXParserSax2 code. Other minor edits.

2013-05-20  James Gallagher <jgallagher@opendap.org>

	Test fixes

2013-05-20  James Gallagher <jgallagher@opendap.org>

	added

2013-05-17  James Gallagher <jgallagher@opendap.org>

	Added these baseline files for ResponseBuilderTest

2013-05-17  James Gallagher <jgallagher@opendap.org>

	Fixes for ResponseCache - I added tests and have tested most
	modes. Not tested: how it works with server functions. There are
	also fixes/modifications for ResponseBuilder that ResponseCache
	uses. Added a note to ServerFunctionsList that it stores weak
	pointers. I worked on the ResponseBuilderTests but never got the
	test for server functions to work completely; the test examines
	the response document and checks that the metadata part is correct
	but not the (trivial) data part.

2013-05-17  James Gallagher <jgallagher@opendap.org>

	Added get_next_mime_header() for an istream (the existing version
	took a FILE*) and moved some of the MIME header methods from
	ResponseBuilder here.

2013-05-15  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Moving trunk/libdap/unit-tests/ce-functions-testsuite to
	trunk/bes/functions/unit-tests because that's where the functions
	are that need the contents of that directory.

2013-05-14  James Gallagher <jgallagher@opendap.org>

	ResponseCache mostly working...

2013-05-14  James Gallagher <jgallagher@opendap.org>

	We now install the library and *Test headers.

2013-05-14  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Repaired problems with conditional build in ServerFcuntionsList

2013-05-14  James Gallagher <jgallagher@opendap.org>

	Added HAVE_STDLIB_H and HAVE_ATEXIT to DAPCache3.cc.

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Instrumentation in Regex. Fixed baseline for
	ResponseBuilderTest::invoke_server_side_function_test

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added life cycle control to DAPCache3 singleton.

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added life cycle control to DAPCache3 singleton.

2013-05-10  James Gallagher <jgallagher@opendap.org>

	(potential) fix for the ResponseBuilder cache bug

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Updated ResponseBuilderTest to run a server side function.

2013-05-10  James Gallagher <jgallagher@opendap.org>

	Removed (commented) #define DODS_DEBUG from ServerFunctionsList.

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added instrumentation (enabled in this check in) to
	ServerFunctionsList in an effort to understand the seg fault
	problem that seems to be associated with server side function
	calls.

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added instrumentation (enabled in this check in) to
	ServerFunctionsList in an effort to understand the seg fault
	problem that seems to be associated with server side function
	calls.

2013-05-10  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added instrumentation (enabled in this check in) to
	ServerFunctionsList in an effort to understand the seg fault
	problem that seems to be associated with server side function
	calls.

2013-05-09  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Checking in repaired ServerFunctionsList

2013-05-06  James Gallagher <jgallagher@opendap.org>

	Removed old code

2013-05-06  James Gallagher <jgallagher@opendap.org>

	DAPCache3 is now in the libdap namespace. The cache-specific
	methods of ResponseBuilder have been factored out to
	ResponseCache; RB still makes explicit calls to the cache code,
	however. The ResponseCache class was added.

2013-05-03  James Gallagher <jgallagher@opendap.org>

	Added correct copyright headers for the ServerFunctions classes.

2013-05-03  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Attempting to fix memory leaks in ServerFucntionsList - adding unit tests for same.

2013-05-02  James Gallagher <jgallagher@opendap.org>

	Removed old code in util

2013-05-02  James Gallagher <jgallagher@opendap.org>

	Removed old code from ResponseBuilder

2013-05-01  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Change type signature for setter methods in ServerFunction
	so that they accept const parameters

2013-05-01  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Change type signature for setter methods in ServerFunction
	so that they accept const parameters

2013-04-27  James Gallagher <jgallagher@opendap.org>

	Wrapped the two DAP4-only includes in #if DAP4. Those headers are not
	installed in a regular build and the includes break clients that
	included the file.

	M    BaseType.h

2013-04-03  James Gallagher <jgallagher@opendap.org>

	distcheck works on linux now...

	A  + D4ParserSax2.cc
	M    Makefile.am
	D    D4ParserSAX2.cc

2013-04-03  James Gallagher <jgallagher@opendap.org>

2013-04-02  James Gallagher <jgallagher@opendap.org>

	Added climit include to fix 'UINT/INT_MAX missing' on Linux.

	M    util.cc

2013-04-01  James Gallagher <jgallagher@opendap.org>

	Added unit tests for D4Dimensions and D4EnumDefs. Removed old code from the AttrTable tests.

2013-04-01  James Gallagher <jgallagher@opendap.org>

	Added D4EnumDefs

2013-03-26  Nathan Potter <ndp@coas.oregonstate.edu>

2013-03-25  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Disabling cruft code from earlier ugrid work.

2013-02-25  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Comments

2013-02-12  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: comments

2013-02-08  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Updated ServerFunction API

2013-02-07  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added methods to ServerFunctionsList to allow inspection of the list contents.

2013-02-06  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Moved AbstractFunction class to ServerFunction class

2013-02-06  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Added the use of AbstractFunction class.

2013-02-05  Nathan Potter <ndp@coas.oregonstate.edu>

	team sync

2013-02-05  Nathan Potter <ndp@coas.oregonstate.edu>

	team sync

2013-02-04  Nathan Potter <ndp@coas.oregonstate.edu>

2013-02-04  Nathan Potter <ndp@coas.oregonstate.edu>

2013-02-04  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Adding AbstractServerSideFunction

2013-01-31  James Gallagher <jgallagher@opendap.org>

	Fixes for bes distcheck

	M    ServerFunctionsList.cc
	M    ServerFunctionsList.h
	M    ConstraintEvaluator.h

2013-01-30  James Gallagher <jgallagher@opendap.org>

	Distcheck now works; removed more old server function code.

	_M   .
	M    configure.ac
	M    main_page.doxygen
	M    ConstraintEvaluator.cc
	_M   tests
	M    Makefile.am
	D    swath2grid
	D    ugridFunctions
	M    NEWS
	M    ConstraintEvaluator.h
	M    unit-tests/HTTPCacheTest.cc
	M    doxy.conf

2013-01-30  James Gallagher <jgallagher@opendap.org>

	Added stuff to svn:ignore

2013-01-30  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Updating configre.ac for automake-1.13

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Changed the way functions are registered so that CE does not have to copy all the functions into every instance of the CE class. Now CE uses functions directly from a list in libdap.

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Changed the way functions are registered so that CE does not have to copy all the functions into every instance of the CE class. Now CE uses functions directly from a list in libdap.

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Fixed checkin - I checked in some code with debugging on

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Removing 'basic' server functions.

	_M   .
	M    Keywords2.cc
	M    ConstraintEvaluator.cc
	M    tests/TestArray.cc
	M    tests/EXPRTest.at
	M    Makefile.am
	M    swath2grid/reproj_functions.cc
	M    HTTPCache.cc
	M    util.h
	M    expr.h
	M    util.cc
	M    unit-tests/HTTPCacheTest.cc
	D    unit-tests/ArrayGeoConstraintTest.cc
	RM + unit-tests/ancT.cc
	M    unit-tests/ddsT.cc
	M    unit-tests/ResponseBuilderTest.cc
	D    unit-tests/CEFunctionsTest.cc
	D    unit-tests/GridGeoConstraintTest.cc
	M    unit-tests/Makefile.am
	M    unit-tests/Keywords2Test.cc

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Added stuff to svn:ignore

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Added stuff to svn:ignore

2013-01-29  James Gallagher <jgallagher@opendap.org>

	Added stuff to svn:ignore

2013-01-25  Patrick West <pwest@ucar.edu>

	Removing dependency on DAP4 code for DAP3 responses
	M    ResponseBuilder.h
	M    ResponseBuilder.cc
	M    Int64.h

2013-01-25  Patrick West <pwest@ucar.edu>

	Need autoconf 2.61, not 2.62
	M    configure.ac

2013-01-18  James Gallagher <jgallagher@opendap.org>

	Merge of the code from hyrax 1.8 release (version 3.11.7)

	_M   .
	A  + gridfields_functions.h
	M    configure.ac
	M    Connect.h
	M    ChangeLog
	A  + gridfields_functions.cc
	M    ResponseBuilder.h
	M    main_page.doxygen
	A  + DAPCache3.cc
	A  + DAPCache3.h
	_M   OSX_Resources
	M    ConstraintEvaluator.cc
	M    DDS.cc
	M    HTTPCacheTable.cc
	M    Array.cc
	_M   tests
	M    tests/TestGrid.cc
	M    tests/expr-test.cc
	M    tests/TestStructure.cc
	M    INSTALL
	M    DDXParserSAX2.cc
	M    libdap.spec
	M    ResponseBuilder.cc
	M    README
	M    BaseType.cc
	M    DDS.h
	_M   win32/gl
	M    Makefile.am
	AM + swath2grid
	M    DataDDS.cc
	M    ce_expr.y
	M    util.h
	AM + ugridFunctions
	M    XDRStreamUnMarshaller.cc
	M    NEWS
	A  + doxy.conf.in
	M    Vector.cc
	A  + main_page.doxygen.in
	_M   gl
	M    ce_functions.cc
	M    expr.h
	MM   mime_util.cc
	M    GridGeoConstraint.cc
	M    Vector.h
	M    util.cc
	M    Grid.cc
	M    Connect.cc
	_M   unit-tests
	MM   unit-tests/MIMEUtilTest.cc
	M    unit-tests/ResponseBuilderTest.cc
	M    Clause.cc
	M    Array.h
	M    doxy.conf
	M    ce_expr.lex

2012-11-07  James Gallagher <jgallagher@opendap.org>

	Changed svn ignore properties

2012-11-07  James Gallagher <jgallagher@opendap.org>

	Changed svn ignore properties

2012-11-07  James Gallagher <jgallagher@opendap.org>

	Changes for libdap 3.11.7 so that when the CE Function cache
	directory is not present, caching is off. Before the code was just
	crashing when a function was used. I also refactored
	ResponseBuilder (where the fix is) so that it's got less
	redundancy.

2012-11-02  James Gallagher <jgallagher@opendap.org>

	Release 3.11.6

	M    configure.ac
	M    ChangeLog
	M    main_page.doxygen
	M    tests/package.m4
	M    INSTALL
	M    libdap.spec
	M    README
	M    NEWS
	M    doxy.conf

2012-11-02  James Gallagher <jgallagher@opendap.org>

	Fixes for a resource leak in the server function cache code.

	M    ResponseBuilder.cc

2012-10-31  James Gallagher <jgallagher@opendap.org>

	fixed an error in the include of DDXParserSAX2.h - OSX file system
	case issues

2012-10-24  James Gallagher <jgallagher@opendap.org>

	Changed svn ignore properties

2012-10-24  James Gallagher <jgallagher@opendap.org>

	Changes so that users - handlers primarily - of libdap don't have to
	change their link libraries even though ResponseBuilder has the new
	caching code. The first version used Connect, this version uses hacked
	copies of (tiny) parts of Connect. This keeps the handlers from needing
	libdapclient, libcurl and libuuid to link.

	M    ResponseBuilder.h
	M    ResponseBuilder.cc
	M    Makefile.am
	M    mime_util.cc

2012-10-24  James Gallagher <jgallagher@opendap.org>

	Fixes both from a code review and to move Connect into libdap proper
	so that clients will link correctly (now that Connect is used both by
	clients and servers.

	M    HTTPCacheTable.cc
	M    ResponseBuilder.cc
	M    Makefile.am
	M    util.cc
	M    Connect.cc

2012-10-24  James Gallagher <jgallagher@opendap.org>

	Changed svn ignore properties

2012-10-24  James Gallagher <jgallagher@opendap.org>

	Added DAPCache3.

2012-10-24  James Gallagher <jgallagher@opendap.org>

2012-10-24  James Gallagher <jgallagher@opendap.org>

	Changed svn ignore properties

2012-10-23  James Gallagher <jgallagher@opendap.org>

	These changes support server functions in DAP2 using the F-TDS/GDS 'in
	path' syntax. They aslo add support for retrieving the DDS and DAS from
	URLs with functions (both the F-TDS/GDS syntax and ours) and cache the
	results of function calls.

	M    Connect.h
	M    ResponseBuilder.h
	M    ConstraintEvaluator.cc
	M    DDS.cc
	M    tests/TestGrid.cc
	M    tests/expr-test.cc
	M    tests/TestStructure.cc
	M    DDXParserSAX2.cc
	M    ResponseBuilder.cc
	M    BaseType.cc
	M    DDS.h
	M    Makefile.am
	M    ce_expr.y
	M    XDRStreamUnMarshaller.cc
	M    Vector.cc
	M    ce_functions.cc
	M    mime_util.cc
	M    GridGeoConstraint.cc
	M    Connect.cc
	M    unit-tests/ResponseBuilderTest.cc
	M    Clause.cc

2012-09-28  James Gallagher <jgallagher@opendap.org>

	Changed to using named branches for the server release.

	A    https://scm.opendap.org/svn/branch/libdap/hyrax-1.8-release

2012-07-26  James Gallagher <jgallagher@opendap.org>

	Memory leak in XDRStreamMarshaller fixed.

2012-07-26  James Gallagher <jgallagher@opendap.org>

	Found and fixed an error in the add_var_nocopy() method for DDS. I
	also added add_var_nocopy() methods to Vector and Array and noted
	that when a BaseType is passed to Array's ctor the add_var()
	method is used, thus making a copy. If the 'nocopy' behavior is
	desired, then pass null to the ctor and call add_var_nocopy() 'by
	hand.' I also changed two instances of dynamic_cast so that
	static_cast is used instead. These changes are backward compatible
	to the previous version of the library. Bumped the version up to
	3.12.0

2012-07-26  James Gallagher <jgallagher@opendap.org>

	Memory leak in XDRStreamMarshaller fixed.

2012-07-26  James Gallagher <jgallagher@opendap.org>

	Found and fixed an error in the add_var_nocopy() method for DDS. I
	also added add_var_nocopy() methods to Vector and Array and noted
	that when a BaseType is passed to Array's ctor the add_var()
	method is used, thus making a copy. If the 'nocopy' behavior is
	desired, then pass null to the ctor and call add_var_nocopy() 'by
	hand.' I also changed two instances of dynamic_cast so that
	static_cast is used instead. These changes are backward compatible
	to the previous version of the library. Bumped the version up to
	3.12.0

2012-06-27  James Gallagher <jgallagher@opendap.org>

	Removed errant instrumentation in serialize()

2012-06-22  James Gallagher <jgallagher@opendap.org>

	Added some debugging output for/because of work on the GDAL handler.

2012-06-05  James Gallagher <jgallagher@opendap.org>

	Fixed an error in the MIMEUtilTest code. The test failed when the
	time zone was to the east of the prime meridian. See ticket 1907.

2012-05-31  James Gallagher <jgallagher@opendap.org>

	doxygen updates plus added an example function for the MIIC folks to
	ce_functions.cc.

	M    configure.ac
	M    main_page.doxygen
	M    ConstraintEvaluator.cc
	A    doxy.conf.in
	A    main_page.doxygen.in
	M    ce_functions.cc
	M    doxy.conf

2012-05-11  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: updating version number

2012-04-24  James Gallagher <jgallagher@opendap.org>

	Fixed lack of loop index init in setup().

2012-04-17  James Gallagher <jgallagher@opendap.org>

	Updated NEWS

	M    NEWS

2012-04-12  James Gallagher <jgallagher@opendap.org>

	Result of merging changes from the trunk. This code was then merged to
	the trunk and tagged.

	_M   .
	M    configure.ac
	M    ChangeLog
	_M   OSX_Resources/Info.plist.proto
	M    HTTPCacheTable.cc
	_M   tests/old_tests/grid-func-testsuite
	_M   tests/old_tests/server-testsuite
	M    tests/TestArray.cc
	M    tests/package.m4
	M    ResponseBuilder.cc
	M    Makefile.am
	_M   mime_util.h
	M    Structure.cc
	M    Vector.cc
	_M   mime_util.cc
	M    XDRStreamMarshaller.h
	M    XDRStreamMarshaller.cc
	M    Grid.cc
	_M   unit-tests/MIMEUtilTest.cc
	_M   unit-tests/fdiostreamTest.cc
	M    unit-tests/Makefile.am
	M    unit-tests/MarshallerTest.cc
	M    HTTPConnect.h
	_M   fdiostream.h

2012-04-11  James Gallagher <jgallagher@opendap.org>

	Removed the 'override' file feature - it was never used and its implementaion
	was a problem.

	M    HTTPCacheTable.cc
	M    mime_util.h
	M    mime_util.cc
	M    XDRStreamMarshaller.cc

2012-02-16  James Gallagher <jgallagher@opendap.org>

	Added unistd .h to ResponseBuilder.cc

2012-02-07  James Gallagher <jgallagher@opendap.org>

	Version 3.11.3

2012-02-07  James Gallagher <jgallagher@opendap.org>

	Removed the static curl libs from dap-config.

;; Local Variables:
;; coding: utf-8
;; End:

2012-02-07  James Gallagher <jgallagher@opendap.org>

	Removed the static curl libs from dap-config.

2012-01-17  James Gallagher <jgallagher@opendap.org>

	News was updated.

	M    NEWS

2012-01-10  James Gallagher <jgallagher@opendap.org>

	Update for Hyrax 1.8 release.

	M    ChangeLog
	M    tests/package.m4
	M    INSTALL
	M    README
	M    NEWS

2012-01-04  James Gallagher <jgallagher@opendap.org>

	version number bump in NEWS

2011-12-30  James Gallagher <jgallagher@opendap.org>

	Bumped up the versions in libdap to 3.11.2. Not sure if this will
	be the version number we use for the release.

2011-12-30  James Gallagher <jgallagher@opendap.org>

	Fixed the rpm build; included the man page stuff.

	M    libdap.spec

2011-12-30  James Gallagher <jgallagher@opendap.org>

	Added HTTPCacheMacros.h

2011-12-29  James Gallagher <jgallagher@opendap.org>

	Fixes for distcheck given the new man pages

	M    Makefile.am

2011-12-29  James Gallagher <jgallagher@opendap.org>

	Added man pages for getdap and dap-config

	M    Makefile.am
	A    getdap.man1
	A    dap-config.man1

2011-12-29  James Gallagher <jgallagher@opendap.org>

	Removed calls to exit(). Fixed the FSF address. Half of ticket 1868.

2011-12-19  James Gallagher <jgallagher@opendap.org>

	comment fixes

2011-11-30  James Gallagher <jgallagher@opendap.org>

	Formatting, Spelling and an error message's text fixed.

2011-11-30  James Gallagher <jgallagher@opendap.org>

	Fix for Fedora builds; the extra newlines in these baseline files are
	likely breaking the tests

	M    tests/expr-testsuite/test.6b.base
	M    tests/expr-testsuite/test.5e.base

2011-11-23  Patrick West <pwest@ucar.edu>

	With HTTPConnect including CURL headers, added CURL_CFLAGS to the
	--cflags option M dap-config.in

2011-11-23  Patrick West <pwest@ucar.edu>

	CURL_CFLAGS was not being used when compiling tests. Added.
	M    unit-tests/Makefile.am

2011-11-23  Patrick West <pwest@ucar.edu>

	curl includes were not being included properly. Works if in common
	place, but not if in custom location. M tests/Makefile.am

2011-11-23  Patrick West <pwest@ucar.edu>

	curl/types.h is deprecated and no longer needed
	M    HTTPConnect.h

2011-11-16  James Gallagher <jgallagher@opendap.org>

	AttrTable was using id2www() to escape spaces and other characters
	in attribute names. This was done probably because of the
	spaces (spaces in the attribute names break the DAP2 DAS object
	parser), but no matter. It was breaking DAS and DDX objects
	because names with '%' characters in them were mangled. I replaced
	id2www and www2id with new functions that encode/decode only
	spaces. I have not fiddled with the find functions; it's fine to
	use names with spaces in them with the API, but the printed
	representation of the DAS will show those spaces as %20.
	Similarly, when the printed representation is parsed, those %20
	escape codes are replaced with real spaces. This means that the
	names in the binary objects and XML representation are correct.

2011-11-15  James Gallagher <jgallagher@opendap.org>

	Fix for ticket 1841 - the xml attribute 'base' in the Dataset root
	element should have been preceeded by the namespace 'xml'. It is now.

2011-11-13  James Gallagher <jgallagher@opendap.org>

	Fixed, I hope, the problem with the xmlTextWriter code in version
	2.6 of libxml. I think what was happening was really tripping over
	an odd feature of the xmlTextWriter API where the TextWriter
	object has to be freed before the pointer it has been writing to
	can be used. Actually, I suspect that freeing the object calls the
	buffer flush function, so calling that would probably work, too. I
	opted for the call sequence in the only example I can dig up...

2011-11-13  James Gallagher <jgallagher@opendap.org>

	Fix for ticket 1837. The code libxml2 was escaping attributes with
	with OtherXML, turning them into useless goo. I switched from the
	...WriteString to ...WriteRaw function for this type of attribute
	and order was restored.

2011-10-31  Patrick West <pwest@ucar.edu>

	The code was printing a blank line when certain conditions existed.
	Removed that code.
	M    DDS.cc

2011-10-26  James Gallagher <jgallagher@opendap.org>

	Updates for the new DDX tests... nearly done

2011-10-24  Patrick West <pwest@ucar.edu>

	Forgot a quote
	M    dap-config.in

2011-10-24  Patrick West <pwest@ucar.edu>

	Added xml2 includes to cflags
	M    dap-config.in

2011-10-24  James Gallagher <jgallagher@opendap.org>

	some poking around regarding the DDX/XML bug (1829). Doesn't look
	like it's in libdap. Some cleanup, though.

2011-10-24  James Gallagher <jgallagher@opendap.org>

	Fixed the distcheck target.

	M    unit-tests/dasT.cc
	M    unit-tests/AISMergeTest.cc
	M    unit-tests/MIMEUtilTest.cc
	M    unit-tests/ddsT.cc
	M    unit-tests/ByteTest.cc
	M    unit-tests/Makefile.am

2011-10-24  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Fixed problems with libxml dependencies.

2011-10-21  James Gallagher <jgallagher@opendap.org>

	Added testFle.h in unit-tests

2011-10-21  James Gallagher <jgallagher@opendap.org>

	Added libparsers_la_CPPFLAGS so that -I for libxml2 will be used
	when building the grammar files (really only needed for the DAS
	stuff?). Also fixed minor warning in HTTPCache where a File* could
	be used uninitialized.

	M    Makefile.am
	M    HTTPCache.cc

2011-10-21  James Gallagher <jgallagher@opendap.org>

	I added a new method to DDS that can insert a variable anywhere in
	the DDS. I also added 'nocopy' versions of the new insert_var()
	method and the older ad_var() method. Once the ncml handler
	stabilizes, we can start using those methods to boost performance.
	Lastly, I forgot to add the new XMLWriter class on the last
	commit,

2011-10-12  James Gallagher <jgallagher@opendap.org>

	I added a new method to BaseType, DDS and DAS: print_xml_writer()
	that takes a XMLWriter object and uses libxml2's xml writer API to
	build the DDX response. This should fix all of our woes WRT xml
	encoding. The new method is called by the DDS::print_xml method
	although it could be used in place of that method since it has the
	same parameters. I added tests and, in the course of that,
	modified the way some of the tests are done (using files instead
	of string variables for the regexs). I also tried adding some
	globbing functions to the util.cc file but those proved less than
	totally useful - I've left them there all the same.

2011-09-23  James Gallagher <jgallagher@opendap.org>

	Fix for the unit test of get_request_size(). For this function,
	different compilers return different values for sizeof(string) so
	I made the unit test an OR of two values. Fixed here on the branch
	and on the trunk.

	M    unit-tests/DDSTest.cc

2011-09-21  James Gallagher <jgallagher@opendap.org>

	Hyrax 1.8

	A    http://scm.opendap.org/svn/branch/libdap/3.11.2

2011-09-13  James Gallagher <jgallagher@opendap.org>

	Refactor - no change to the ABI.

2011-08-24  James Gallagher <jgallagher@opendap.org>

	Merge of Hyrax 1.7.1

	_M   .
	_M   OSX_Resources/Info.plist.proto
	M    DAS.h
	M    DDS.cc
	_M   tests/old_tests/grid-func-testsuite
	_M   tests/old_tests/server-testsuite
	M    tests/expr-testsuite/test.6b.base
	M    DDS.h
	M    BaseType.cc
	M    Constructor.h
	M    AttrTable.cc
	_M   mime_util.h
	_M   mime_util.cc
	M    Constructor.cc
	M    unit-tests/cache-testsuite/Makefile.am
	_M   unit-tests/MIMEUtilTest.cc
	_M   unit-tests/fdiostreamTest.cc
	_M   fdiostream.h

2011-07-15  James Gallagher <jgallagher@opendap.org>

	Fixed an issues with the response too big error message - the sizes were returned in Bytes, but the units were listed as KB. Now the values are in KB (truncated, but good enough).

2011-06-30  Patrick West <pwest@ucar.edu>

	Merge hyrax 1.7 branch to trunk

2011-06-09  James Gallagher <jgallagher@opendap.org>

	Added support for the first version of response size limits - does not do much for Sequences.

2011-05-30  James Gallagher <jgallagher@opendap.org>

	Added get/set_response_limit() and get_request_size() (first version) to libdap:DDS.

2011-05-10  James Gallagher <jgallagher@opendap.org>

	Added --with-curl and --with-xml2 to configure.

2011-04-25  James Gallagher <jgallagher@opendap.org>

	Removed doc rpm - this breaks when the build hosts lacks dot or
	dot does not make inamges.

	M    libdap.spec

2011-04-20  James Gallagher <jgallagher@opendap.org>

	Hyrax 1.7 releaseHyrax 1.7 release

	A    http://scm.opendap.org/svn/branch/libdap/3.11.1

2011-04-08  James Gallagher <jgallagher@opendap.org>

	Build fixes for h 1.7 osx meta package

	M    Makefile.am

2011-03-28  James Gallagher <jgallagher@opendap.org>

	Loop/Race-condition in HTTPCacheTable.h fixed

2011-03-28  James Gallagher <jgallagher@opendap.org>

	1.7RC1

2011-03-17  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Automated change of version number for OSX package builds.

2011-03-08  James Gallagher <jgallagher@opendap.org>

	Merge for hyrax 1.7 from the hyrax_1.6.2_release branch of shrew
	to the trunk

	_M   .
	M    RValue.cc
	M    DODSFilter.cc
	M    OSX_Resources/InstallationCheck
	M    OSX_Resources/update_mac_package_contents.pl
	R  + OSX_Resources/Info.plist
	A  + OSX_Resources/Info.plist.proto
	M    DDS.cc
	M    Array.cc
	_M   tests/old_tests/grid-func-testsuite
	_M   tests/old_tests/server-testsuite
	M    DDXParserSAX2.cc
	M    AlarmHandler.h
	M    libdap.spec
	M    BaseType.cc
	M    Makefile.am
	_M   mime_util.h
	M    Vector.cc
	M    ce_functions.cc
	MM   mime_util.cc
	M    GridGeoConstraint.cc
	M    Constructor.cc
	M    DAS.cc
	M    Grid.cc
	M    escaping.cc
	_M   unit-tests/MIMEUtilTest.cc
	_M   unit-tests/fdiostreamTest.cc
	_M   fdiostream.h
	M    Clause.cc

2011-03-03  Patrick West <pwest@ucar.edu>

	These files are generated
	D    gl/alloca.h
	D    gl/arg-nonnull.h
	D    gl/langinfo.h
	D    gl/stdint.h
	D    gl/c++defs.h
	D    gl/wctype.h
	D    gl/warn-on-use.h
	D    gl/wchar.h
	D    gl/unistd.h

2011-03-03  James Gallagher <jgallagher@opendap.org>

	All tests back in.

	M    unit-tests/HTTPConnectTest.cc

2011-03-03  James Gallagher <jgallagher@opendap.org>

	Fixed HTTPCache hack that provides access to the cached response
	body. Also fixed an error in Keywords that broke a gazillion
	tests.

2011-03-03  James Gallagher <jgallagher@opendap.org>

	Eh - ctor fix for Keywords

2011-03-03  James Gallagher <jgallagher@opendap.org>

	Keywords2 was modified so it'll build on older (4.1) gcc
	compilers (with an older stl implementation).

2011-03-02  James Gallagher <jgallagher@opendap.org>

	Modified HTTPConnect to store the filename of the cached body when
	returning cached responses. Use the HTTPResponse::get_file()
	method to use this. Once the HTTPResponse is deleted, the name is
	no loner valid.

2011-03-01  James Gallagher <jgallagher@opendap.org>

	Added Keywords to DDS and modified the behavior of set_dap_version
	so that '2' parses as '2.0' (really 'x' --> 'x.0').

2011-03-01  Patrick West <pwest@ucar.edu>

	Created from .in file.
	D    gl/stdlib.h

2011-02-28  Patrick West <pwest@ucar.edu>

	added include of cstring for strlen and strncpy
	M    ResponseBuilder.cc

2011-02-25  James Gallagher <jgallagher@opendap.org>

	Removed old Keywords impl.

2011-02-25  James Gallagher <jgallagher@opendap.org>

	Keywords2 now tests for legal values.

2011-02-25  James Gallagher <jgallagher@opendap.org>

	Keywords2 works - this syntax looks like functions but is to be parsed before the CE is formally processed.

2011-02-25  James Gallagher <jgallagher@opendap.org>

	Keywrods2Test.cc...

2011-02-25  James Gallagher <jgallagher@opendap.org>

	Keywords2...

2011-02-24  James Gallagher <jgallagher@opendap.org>

	new Keywords implementations started.

2011-02-24  James Gallagher <jgallagher@opendap.org>

	Next version of Keywords - This implements the version where keywords are bound to a pair made up of a kind and a value. Probably won't use this because of potential problems with ambiguity - it's not possible to guarantee that 'dap3.2' won't be an identifier in a data set.

2011-02-24  James Gallagher <jgallagher@opendap.org>

	g++ 4.? warnings about char* conversion in HTTPConnectTest

2011-02-24  James Gallagher <jgallagher@opendap.org>

	New Keywords class first version working/tested

2011-02-23  James Gallagher <jgallagher@opendap.org>

	Factored keywords out of ResponseBuilder and into their own class (Keywords).

2011-02-15  Patrick West <pwest@ucar.edu>

	This file is automatically generated
	D    gl/configmake.h

2011-02-08  James Gallagher <jgallagher@opendap.org>

	Initial cut at support for Version information in the CE.

2011-02-08  James Gallagher <jgallagher@opendap.org>

	I modified the documentation for mime_util and ResponseBuilder so that they describe a truer version of the world - most of the MIME header code is no longer used by libdap or the BES/handlers (instead the headers are added by the OLFS). Some of the mime_util code is used by the client side, however, and a tiny bit is used by the parts of ResponseBuilder I added so that the BES can use ResponseBuilder in those cases where there is no OLFS.

2011-02-08  James Gallagher <jgallagher@opendap.org>

	Reverted to pre-DAP4 hack versions of these... The new features are
	implemented in ResponseBuilder.

	M    DODSFilter.cc
	M    DODSFilter.h

2011-02-07  James Gallagher <jgallagher@opendap.org>

	ResponseBuilder now assumes that the default protocol for a response is the DAP_PROTOCOL_VERSION read from config.h. This can be overridden using a parameter to the various set_mime_*() methods it defines (which are different from those in mime_util.cc). NB: These are not used by Hyrax, but the BES might use these sometimes and I've got mods pending in the BES to use this code.

2011-02-07  James Gallagher <jgallagher@opendap.org>

	Comments about ResponseBuilder

2011-02-07  James Gallagher <jgallagher@opendap.org>

	Comments about ResponseBuilder

2011-02-07  James Gallagher <jgallagher@opendap.org>

	Comments about ResponseBuilder

2011-02-07  James Gallagher <jgallagher@opendap.org>

	Added comment about ResponseBuilder

2011-02-07  James Gallagher <jgallagher@opendap.org>

	Added comment about ResponseBuilder

2011-02-03  James Gallagher <jgallagher@opendap.org>

	These are templates needed by the code in 'gl.' I think ...

	A    conf/c++defs.h
	A    conf/warn-on-use.h
	A    conf/arg-nonnull.h

2011-02-02  James Gallagher <jgallagher@opendap.org>

	Removed these files as a result of the massive commit

	D    gl/m4/wchar.m4
	D    gl/m4/ulonglong.m4
	D    gl/m4/absolute-header.m4
	D    gl/m4/wctype.m4
	D    gl/alloca_.h
	D    gl/wchar_.h
	D    gl/stdint_.h
	D    gl/stdbool_.h
	D    gl/unistd_.h
	D    gl/wctype_.h
	D    gl/stdlib_.h
	D    gl/alloca.c

2011-02-02  James Gallagher <jgallagher@opendap.org>

	Added as part of the massive update.

	A    gl/m4/fcntl-o.m4
	A    gl/m4/configmake.m4
	A    gl/m4/btowc.m4
	A    gl/m4/00gnulib.m4
	A    gl/m4/locale-fr.m4
	A    gl/m4/langinfo_h.m4
	A    gl/m4/mbsinit.m4
	A    gl/m4/warn-on-use.m4
	A    gl/m4/wchar_h.m4
	A    gl/m4/wcrtomb.m4
	A    gl/m4/locale-zh.m4
	A    gl/m4/stddef_h.m4
	A    gl/m4/mbstate_t.m4
	A    gl/m4/wctype_h.m4
	A    gl/m4/nl_langinfo.m4
	A    gl/m4/locale-ja.m4
	A    gl/m4/wchar_t.m4
	A    gl/m4/multiarch.m4
	A    gl/alloca.h
	A    gl/arg-nonnull.h
	A    gl/langinfo.h
	A    gl/mbsinit.c
	A    gl/stdint.h
	A    gl/wcrtomb.c
	A    gl/btowc.c
	A    gl/c++defs.h
	A    gl/warn-on-use.h
	A    gl/wctype.h
	A    gl/streq.h
	A    gl/alloca.in.h
	A    gl/langinfo.in.h
	A    gl/configmake.h
	A    gl/verify.h
	A    gl/wchar.h
	A    gl/iswblank.c
	A    gl/mbrtowc.c
	A    gl/wchar.in.h
	A    gl/stdint.in.h
	A    gl/stdbool.in.h
	A    gl/unistd.in.h
	A    gl/stddef.in.h
	A    gl/wctype.in.h
	A    gl/nl_langinfo.c
	A    gl/stdlib.in.h

2011-02-02  James Gallagher <jgallagher@opendap.org>

	Massive (and massively overdue) updates - this may be the fix for ticket #1702
	But regardless, it's certainly needed.

	M    gl/m4/wint_t.m4
	M    gl/m4/localcharset.m4
	M    gl/m4/stdint.m4
	M    gl/m4/stdbool.m4
	M    gl/m4/gnulib-common.m4
	M    gl/m4/malloc.m4
	M    gl/m4/regex.m4
	M    gl/m4/gnulib-comp.m4
	M    gl/m4/mbrtowc.m4
	M    gl/m4/unistd_h.m4
	M    gl/m4/longlong.m4
	M    gl/m4/ssize_t.m4
	M    gl/m4/include_next.m4
	M    gl/m4/gnulib-cache.m4
	M    gl/m4/glibc21.m4
	M    gl/m4/codeset.m4
	M    gl/m4/stdlib_h.m4
	M    gl/m4/gnulib-tool.m4
	M    gl/m4/alloca.m4
	M    gl/m4/extensions.m4
	M    gl/localcharset.c
	M    gl/regex_internal.c
	M    gl/malloc.c
	M    gl/localcharset.h
	M    gl/regex_internal.h
	M    gl/regexec.c
	M    gl/ref-del.sin
	M    gl/stdlib.h
	M    gl/regcomp.c
	M    gl/ref-add.sin
	M    gl/regex.c
	M    gl/unistd.h
	M    gl/config.charset
	M    gl/regex.h
	M    gl/Makefile.am
	M    gl/gettext.h

2011-02-02  James Gallagher <jgallagher@opendap.org>

	Corrected

2011-01-31  James Gallagher <jgallagher@opendap.org>

	Expanded DDS so that it's easier to get the protocol version string; moved the relevant MIME header code into ResponseBuilder on the assumption that someone might be using this still (like CEDAR). Updated the unit tests.

2011-01-29  James Gallagher <jgallagher@opendap.org>

	Leaner version of ResponseBuilder - the new replacement for DODSFilter.

2011-01-28  James Gallagher <jgallagher@opendap.org>

	Commented out test code that got in SVN by mistake (in expr-test.cc)

2011-01-28  James Gallagher <jgallagher@opendap.org>

	Changes/Additions for Version via Projection Functions and/or Keywords.

2010-10-28  mjohnson

	Merge from Hyrax 1.6.2 Shrew Release Branch.

	Not clear what the property modifications are, the ones I checked seem the same.  I'm just letting them go since they seem harmless.

2010-09-14  James Gallagher <jgallagher@opendap.org>

	Fixed a bug in the www2id() function of escaping.cc that was causing symbols that start with a percent sign to be mangled. It's not clear why the server was/is using this, but this fixes the function and we'll have to sort out whether using the function is correct later. It may be that the BES is routing the DAS through an unnecessary cycle of print/parse/print operations.

2010-09-14  James Gallagher <jgallagher@opendap.org>

	Added tests for www2id() and the case where an attribute starts with a percent sign.

2010-09-14  James Gallagher <jgallagher@opendap.org>

	Spelling errors in GeoConstraint.cc

2010-09-14  James Gallagher <jgallagher@opendap.org>

	Fixed an error in calling long_to_string with doubles in exception handling code - found during testing.

2010-09-14  James Gallagher <jgallagher@opendap.org>

	Updated for fixes to a problem foud in initial testing of the server for the 1.6.2 release.

2010-09-14  James Gallagher <jgallagher@opendap.org>

	Added a second version of eval_function_clauses() that takes and returns a DataDDS instead of a DDS. This enables easier use of the method in handlers that are using subclasses of the types and building responses from DataDDS objects passed around in the BES. I also updated some of the library version information in configure.ac to match more closely the addition to ConstraintEvaluator's interface.

;; Local Variables:
;; coding: utf-8
;; End:
2010-09-14  James Gallagher <jgallagher@opendap.org>

	Added a second version of eval_function_clauses() that takes and
	returns a DataDDS instead of a DDS. This enables easier use of the
	method in handlers that are using subclasses of the types and
	building responses from DataDDS objects passed around in the BES.
	I also updated some of the library version information in
	configure.ac to match more closely the addition to
	ConstraintEvaluator's interface.

2010-09-13  James Gallagher <jgallagher@opendap.org>

	Changes for 3.11.0 release

	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    libdap.spec
	M    README
	M    NEWS
	M    ce_functions.cc

2010-09-07  James Gallagher <jgallagher@opendap.org>

	Added to doc comments

2010-09-03  James Gallagher <jgallagher@opendap.org>

	Updated the version number for geogrid.

2010-09-02  James Gallagher <jgallagher@opendap.org>

	Constraint expressions can now include multiple function calls.
	Two tests included. Some fixes were added to expr-test.cc which
	was looking a little long in the tooth... 

2010-09-01  James Gallagher <jgallagher@opendap.org>

	Added new functions to ConstraintEvaluator. Untested.

2010-09-01  mjohnson

	o Fix for memory bug in ticket #1637.

2010-08-27  James Gallagher <jgallagher@opendap.org>

	Grid now prints the XML declaration correctly when a constrained
	Grid variable's type decays to a Structure. The expr-test program
	now has an XML option (-x) for use with constrained DDS/DDX
	output.

2010-08-27  James Gallagher <jgallagher@opendap.org>

	Fixed the Grid projection bug - should clean up the code a bit.
	The error was in projection yields grid which was not correctly
	testing that each Grid dimension had a matching Map vector that
	was in the current projection.

2010-08-27  James Gallagher <jgallagher@opendap.org>

	Added regression tests for the new version of geogrid().
	Removed some old stuff from the dejagnu days.

2010-08-27  James Gallagher <jgallagher@opendap.org>

	Added more tests (unit tests) for GridGeoConstraint for the Grid,
	Array, Array, ..., version of the constructor.

2010-08-27  James Gallagher <jgallagher@opendap.org>

	geogrid() now takes both (grid, <box points>) and (grid, lat
	array, lon array <box points>). This includes some minimal testing
	of the new code.

2010-08-26  James Gallagher <jgallagher@opendap.org>

	Changes to the geogrid function so that it can take lat/lon maps
	as explicit arguments.

2010-07-16  James Gallagher <jgallagher@opendap.org>

	I removed the AIS functions in libdap 3.8 but failed to correctly
	set the Age of the library in libdap 3.10. Fixed.

2010-06-17  mjohnson

	Removed debug AM_CXXFLAGS entries.

2010-05-24  James Gallagher <jgallagher@opendap.org>

	Updated tests given that the nph-dods alias is no longer supported by
	test.opendap.org

	M    unit-tests/HTTPCacheTest.cc
	M    unit-tests/generalUtilTest.cc

2010-05-19  Patrick West <pwest@ucar.edu>

	Seems to fix bug #1563. When adding an attribute table to the DAS when a
	container is currently set, set that new attribute table to not be
	global using set_is_global_attribute(false)
	
	M    DAS.cc

2010-05-12  James Gallagher <jgallagher@opendap.org>

	Fixed etag for 304 response test - the etag changed when the server was
	updated.

	M    unit-tests/HTTPConnectTest.cc

2010-05-11  James Gallagher <jgallagher@opendap.org>

	Merge from the shrew-1.6 branch (which was tagged 3.10.2)

	_M   .
	M    SignalHandler.cc
	M    configure.ac
	M    ChangeLog
	M    conf/libdap.m4
	M    DDS.cc
	M    BaseType.h
	_M   tests/old_tests/grid-func-testsuite
	_M   tests/old_tests/server-testsuite
	M    tests/das-test.cc
	M    tests/package.m4
	M    tests/DASTest.at
	M    tests/DDSTest.at
	M    tests/expr-test.cc
	M    tests/EXPRTest.at
	M    tests/Makefile.am
	M    tests/dds-test.cc
	M    INSTALL
	M    DDXParserSAX2.cc
	M    libdap.spec
	M    README
	M    DDS.h
	M    BaseType.cc
	M    Makefile.am
	M    Constructor.h
	M    RCReader.cc
	M    parser-util.cc
	M    AttrTable.cc
	_M   mime_util.h
	M    Grid.h
	M    NEWS
	M    ce_functions.cc
	M    AttrTable.h
	_M   mime_util.cc
	M    Constructor.cc
	M    Grid.cc
	M    Connect.cc
	M    escaping.cc
	M    unit-tests/DODSFilterTest.cc
	M    unit-tests/DDSTest.cc
	_M   unit-tests/MIMEUtilTest.cc
	MM   unit-tests/fdiostreamTest.cc
	M    unit-tests/generalUtilTest.cc
	M    unit-tests/dds-testsuite/test.19b.das
	M    unit-tests/dds-testsuite/test.19e.das
	M    unit-tests/dds-testsuite/test.19g.das
	A  + unit-tests/dds-testsuite/coads_climatology.nc.dds
	A  + unit-tests/dds-testsuite/coads_climatology.nc.das
	M    unit-tests/Makefile.am
	M    unit-tests/RCReaderTest.cc
	M    unit-tests/MarshallerTest.cc
	_M   fdiostream.h

2010-05-11  James Gallagher <jgallagher@opendap.org>

	ci prior to merge

	M    tests/DASTest.at
	M    tests/DDSTest.at
	M    tests/EXPRTest.at

2010-04-30  James Gallagher <jgallagher@opendap.org>

	Fixed an error in AttrTable::is_global_attribute() where the function did not
	always return a value.

	M    AttrTable.cc

2010-04-30  James Gallagher <jgallagher@opendap.org>

	Commented the fdiostreamTest stuff - automake was complaining. Removed a
	bunch of AIS-related things that are no longer needed.

2010-04-30  mjohnson

	AttrTable.cc, AttrTable.h: Changes for #1544. clone() wasn't
	preserving parent/child ptrs properly leading to dangling
	pointers.

2010-04-26  Patrick West <pwest@ucar.edu>

	Fixed version check when a (alpha) or b (beta) at the end of the version

	M    conf/libdap.m4

2010-04-22  James Gallagher <jgallagher@opendap.org>

	Modified the transfer_attributes code so that it checks the
	is_global property for individual attributes and
	containers (before it was just containers). This entailed a change
	to AttrTable in both the way it tracks and sets that property.
	Fixed the unit tests. Several tests became invalid because they
	tested handler-specific features that are now dealt with in the
	handlers themselves.

2010-04-22  mjohnson

	Added version update to INSTALL as well for #1540

2010-04-22  Patrick West <pwest@ucar.edu>

	Requires libxml2 2.6.16
	M    libdap.spec

2010-04-21  James Gallagher <jgallagher@opendap.org>

	Initial check in of the new methods to handle the transfer (copy)
	of attributes from the DAS to the DDS object. The new approach
	includes a new set of methods that are defined in BaseType and
	Constructor that are designed to be subclassed by handlers that
	build odd DAS objects. The default methods handle merging a DAS
	the follows the DAP 2.0 and later specs. The method in DDS calls
	these 'type-based' methods. The old approach is commented out
	using #if 0 ... #endif.

2010-04-21  mjohnson

	Added #include <cstdarg> for va_start and va_end Some systems
	don't find it by default.

2010-04-16  mjohnson

	Fixed invalid memory and broken invariant problem with using
	deleted copy in Grid::add_var(). Ticket #1530 revealed this.

2010-04-15  James Gallagher <jgallagher@opendap.org>

	Added dist-hook target to remove the .svn subdirs that were being included in
	the dist files.

	M    libdap/Makefile.am
	M    bes/Makefile.am

2010-04-15  James Gallagher <jgallagher@opendap.org>

	Added Requires: lines to the .spec files for libdap and bes.

2010-03-23  James Gallagher <jgallagher@opendap.org>

	Fixes for distcheck build on 64-bit linux (FC 11)

	M    SignalHandler.cc
	M    RCReader.cc
	M    parser-util.cc
	M    unit-tests/MarshallerTest.cc

2010-03-23  James Gallagher <jgallagher@opendap.org>

	Fixes from the 64-bit linux build. Includes fix for the DAS value issue where
	values larger than 32-bits were being allowed in int32 attributes.

	M    tests/das-test.cc
	M    tests/dds-test.cc
	M    libdap.spec
	M    Makefile.am
	M    parser-util.cc
	M    unit-tests/RCReaderTest.cc

2010-03-23  James Gallagher <jgallagher@opendap.org>

	Removed fdiostream from libdap and from the tests. Changed
	generalUtilTest to match the new version of id2xml()

2010-03-19  James Gallagher <jgallagher@opendap.org>

	More changes for ticket 1521. Modified the id2xml() function so
	that it no longer encodes the stuff in an octal escape sequence.
	However, the value of the <value> element in the DDX _is_ encoded
	so that things like '<' will be escaped for the XML parser. Also,
	bumped the version in configure.ac to 3.10.1b. One unit test fails
	- this is a stop-gap fix so we can come back to that test and this
	fix later.

2010-03-19  James Gallagher <jgallagher@opendap.org>

	Modified Connect.cc so that the FILE_METHODS are used, which
	effectively removed the fdiostream.h header from the compilation.
	Also, the DAP version has been bumped to 3.3 - a fix since libdap
	included in the hyrax 1.6 beta release said 3.2 by mistake.

2010-03-19  James Gallagher <jgallagher@opendap.org>

	Fixes for ticket 1512. The function id2xml() was being used to
	encode String (DAP) Attribute values and this was causing problems
	when those values were not valid UTF-8 characters (e.g., when they
	were less than 0x20). As a fix we dropped the encoding altogether
	and fell back to the same encoding used by the DAS for the
	values (that encoding represents all non ASCII values using octal
	escape codes). I also fixed one of the unit tests that was
	explicitly testing for the XDAP header to be 3.2 and made it
	accept any value.

2010-02-10  Patrick West <pwest@ucar.edu>

	fdiostreamtest.txt file added to EXTRA_DIST
	M    unit-tests/Makefile.am

2010-02-07  Patrick West <pwest@ucar.edu>

	EXPRTest.at wasn't included in EXTRA_DIST
	M    tests/Makefile.am

2010-02-05  Patrick West <pwest@ucar.edu>

	Added DISTCLEANFILES to both of these to clean up unit-tests and tests
	files left around.
	M    tests/Makefile.am
	M    unit-tests/Makefile.am

2010-02-05  Patrick West <pwest@ucar.edu>

	Including test_config.h, which has the local definition of abs_srcdir
	and can be used to find files to load.
	M    fdiostreamTest.cc

2010-02-05  Patrick West <pwest@ucar.edu>

	Using abs_srcdir instead of just srcdir. This fixes this part of the
	distcheck problem.
	M    tests/DASTest.at
	M    tests/DDSTest.at
	M    tests/EXPRTest.at

2010-02-05  Patrick West <pwest@ucar.edu>

	README.AIS has been removed
	M    libdap.spec

2010-02-03  James Gallagher <jgallagher@opendap.org>

	Fixes for autotest that I forgot to check in to the branch.
	$srcdir/<tool> --> $abs_builddir/<tool>

2010-02-01  James Gallagher <jgallagher@opendap.org>

	Branch for Hyrax 1.6

	A    http://scm.opendap.org/svn/branch/libdap/3.10.0

2010-02-01  James Gallagher <jgallagher@opendap.org>

	Changes for version 3.10.0

	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    libdap.spec
	M    README
	M    NEWS

2010-02-01  James Gallagher <jgallagher@opendap.org>

	Modified the way errors in attribute values are tested for. Now we
	test errno first, then for values of 0.0 with ptr values non-null.
	This matches the man page more closely then the old tests.

2010-01-12  James Gallagher <jgallagher@opendap.org>

	Fixed potential read beyond bounds in
	XDRStreamUnMarshaller::get_vector.

2010-01-12  James Gallagher <jgallagher@opendap.org>

	Fixed return type in
	Vector::set_value_slice_from_row_major_vector (changed to unsigned
	int).

2010-01-12  James Gallagher <jgallagher@opendap.org>

	Fixed a comment

2010-01-08  Patrick West <pwest@ucar.edu>

	--clean to clean build and src files for rpmbuild
	M    Makefile.am

2010-01-07  James Gallagher <jgallagher@opendap.org>

	Changed the documentation for server-side functions so that the
	bulk of the documentation is now on the web.

2010-01-07  James Gallagher <jgallagher@opendap.org>

	Fixes to geogrid() so that the longitude wrapping feature works
	and so that if latitude is upside down in the data, it's returned
	as 'north up' data.

2009-12-29  James Gallagher <jgallagher@opendap.org>

	Shrew build changes that will hopefully lead to a version that we
	can build using NMI's B&T system. Also, I added 'cccc' targets so
	that we can take a 'metrics snapshot' without undue pain.

2009-12-23  rduncan

	changes for win32 build

2009-12-03  James Gallagher <jgallagher@opendap.org>

	Added chmod of InstallationCheck script which seems to be needed
	when buidling on osx 10.5.8.

	M    update_mac_package_contents.pl

2009-12-01  mjohnson

	o Needed to add explicit #include <cstring> in order to find
	memcpy for Red Hat Enterprise 5 using gcc-4.3.2. Seems they
	cleaned up headers and you need to be explicit about the include
	now.

2009-11-30  mjohnson

	Fix for link bug on some platforms: initializing variables in a
	switch without declaring a local scope block is an error.

2009-11-30  mjohnson

	Fix for link bug on some platforms: initializing variables in a
	switch without declaring a local scope block is an error.

2009-11-24  mjohnson

	DDS.cc: fixed minor memory leak

	Array.cc, Array.h: added prepend_dim function for adding outer
	dimensions.

	Grid.h, Grid.cc: added function to set the array part explicitly
	without copying it. fixed potential memory leaks. added a few
	extra checks on proper types being set. added function to add maps
	to (to beginning or end of map vector to support new outer
	dimensions). made _duplicate protected for subclasses to be able
	to call it.

2009-11-19  James Gallagher <jgallagher@opendap.org>

	ticket 1399 - Grids that have only one member after projection
	still must be wrapped in a Structure (because there might be two
	Grids so projected and they might have members with the same names
	- this is a real case). The Structures provide for unique FQN as
	the DAP requires.

2009-11-10  James Gallagher <jgallagher@opendap.org>

	Removed libdapserver from the getdap link.

2009-11-05  James Gallagher <jgallagher@opendap.org>

	I changed how the FILE_METHODS compile-time switch was defined,
	Now it's defined in the headers and not, directly in the config.h
	or *.cc files. That was a bug. All tests pass now. I'm going to
	check this in and then run tests on the entire shrew project.

2009-11-04  James Gallagher <jgallagher@opendap.org>

	Removed lots of accumulated 'old code' and reinstated the
	FILE_METHODS compilation flag.

2009-11-04  James Gallagher <jgallagher@opendap.org>

	Likely fixes for the win32 build. Test these on a vm.

2009-11-04  James Gallagher <jgallagher@opendap.org>

	tweaks to get the ddx and dataddx responses working with the trunk
	BES. See getdap's -x (ddx) and -X (DataDDX) responses. These work
	using the -p x.y switch to set the DAP Accept version to x.y. Also
	added the -t option to turn on HTTP protocol tracing. The new
	parser DDXParserSXA2 reads the dapVersion XML attribute and sets
	the value in the DDS instance. I also modified the Connect class
	to recognize the dods_ddx and dods-ddx values for
	Content-Description.

2009-10-22  mjohnson

	Ticket #1442:

	o Fixed several potential memory leaks.

	o set_value now sets length.

	o Refactored cut & pasted sections to use helper funcs.

2009-10-07  mjohnson

	Made simple_find() and simple_find_container() public for callers
	that require non-recursing lookups.

2009-10-06  James Gallagher <jgallagher@opendap.org>

	I fixed problems with two sets of tests. First, the "Array of
	structures with child arrays" test was failing because the
	TestCommon and TestArray classes were not generating valid output
	in the case where intern_data() was used. Second, the test for
	String regexes where nothing matched was botched because when a
	selection is applied to anything other than a Sequence and nothing
	is selected the response from the server is broken. This will be
	an issue for DAP4. In place of the test that used a Structure and
	selected nothing, I added two tests of Sequences with strings and
	tried both selections that return and don't return values. Both
	cases work.

2009-10-05  mjohnson

	Vector.h, Vector.cc: Cleaned up and moved doxygen comments to impl
	file.

2009-10-02  Patrick West <pwest@ucar.edu>

	This function is no longer used in libdap and is specific to usage in
	dap-server. Moved the function.
	M    mime_util.h

2009-10-02  James Gallagher <jgallagher@opendap.org>

	Regarding the previous commit: On the IOOS branch I removed a 'bad
	fix' added at some point where includes within util.h supplied the
	class definitions for Byte, ..., Grid. So it looked like the .cc
	files were not including must at all, but in fact not only were
	they (and they need those includes) but _everything_ that used
	util.cc/h was too. So here are the includes, back in the .cc files
	where they belong.

2009-10-02  James Gallagher <jgallagher@opendap.org>

	Merged code from ioos/src/libdap rev 20393 that contained the
	'OtherXML' attribute implementation. This was apparently lost when
	that branch was updated between the commit of that revision and
	now. In addition to changes in AttrTable and the DAS and DDX
	parsers, there are changes in tests/ and unit-tests/. There's also
	a new function for converting octal escapes codes that is in
	escaping.cc/h. I updated the DDX parser to use the SAX2 interface
	and it now correctly processes namespaces and as a result, it's in
	a new file 'DDXParserSAX2.cc/h'. Oddly, when I performed the
	merge, an old 'feature' of the Type (Byte, ...) classes reemerged,
	the 'include the world' feature. In testing I could not get a good
	compile without these includes after the merge (but before the
	merge it was fine). I'm going to leave those changes out of this
	commit and see if the resulting code is OK. If not, I'l commit
	those changes, too.

2009-10-02  mjohnson

	Vector.cc, Vector.h: Added support for reserving data buffer
	storage in advance, clearing out data buffers, and for copying a
	Vector into a subset of the value buffer of another Vector. In
	support of aggregation to allow Vector's to be combined into a
	larger Vector. Ticket #1427 has more information. This was a
	monotonic interface addition and code change only --- no
	interfaces removed or changed.

2009-09-25  James Gallagher <jgallagher@opendap.org>

	Removed XDRFileMarshaller.h from DODSFilter.cc

2009-09-25  James Gallagher <jgallagher@opendap.org>

	It just seem right to save things at this point. Most of the
	configure.ac files have been updated. The libdap software has had
	a number of the FILE* methods/functions commented out using #if
	FILE_METHODS and then #undef FILE_METHODS. We'll see how much of
	the redundant code can be removed before the next Hyrax 1.6
	release.

2009-09-25  James Gallagher <jgallagher@opendap.org>

	Added fdiostream to the library because it seems we might be using
	it someday soon. Modified expr-test to use temp. files and the
	methods in DODSFilter and Connect - this is a better test of the
	library. I modified XDRStreamUnMarshaller a fair amount but it's
	still not work 100% and needs more error checking. This code still
	uses XDRFileUnMarshaller.

	M    DODSFilter.cc
	A    fdiostream.cc
	M    tests/expr-test.cc
	M    tests/TestByte.cc
	M    tests/Makefile.am
	M    Marshaller.h
	D    GNU/fdiostream_test.cc
	D    GNU/fdiostream.h
	M    Makefile.am
	M    DODSFilter.h
	M    XDRStreamUnMarshaller.cc
	M    HTTPConnect.cc
	M    XDRStreamMarshaller.cc
	M    Connect.cc
	A  + unit-tests/fdiostreamTest.cc
	M    unit-tests/Makefile.am
	M    unit-tests/MarshallerTest.cc
	AM + fdiostream.h

2009-09-22  James Gallagher <jgallagher@opendap.org>

	Removed the xstream code - if we need this it's available on the web.

2009-09-22  James Gallagher <jgallagher@opendap.org>

	Fixed a bug in fdiostream and added support for a istream that
	reads from a FILE* (ugh).

2009-09-18  James Gallagher <jgallagher@opendap.org>

	Uses the new file descriptor stream classes - that is, it tests
	both input and output.

2009-09-18  James Gallagher <jgallagher@opendap.org>

	Added XDRStreamUnMarshaller to the Makefile.am

2009-09-18  James Gallagher <jgallagher@opendap.org>

	Added XDRStreamUnMarshaller

2009-09-18  James Gallagher <jgallagher@opendap.org>

	Minor fixes to the XDRStreamMarshaller class

2009-09-17  James Gallagher <jgallagher@opendap.org>

	Now includes the newly revamped stream buffer classes (fdiostream.h)

2009-09-17  James Gallagher <jgallagher@opendap.org>

	Added input stream buf for file descriptors and renamed the files.
	Updated the README.

2009-09-11  mjohnson

	Grid.cc: Made Grid add it's array and map vectors to the
	Constructor _vars list so they get iterated by the superclass
	Vars_Iter calls. For ticket #1406

2009-09-02  Nathan Potter <ndp@coas.oregonstate.edu>

2009-09-02  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: tweaked configure.ac to fix uuid lib problem

2009-09-02  James Gallagher <jgallagher@opendap.org>

	Updated the pkg-config and dap-config scripts so they contain the UUID
	library when needed.

	M    libdap.pc.in
	M    libdapserver.pc.in
	M    dap-config.in

2009-09-02  James Gallagher <jgallagher@opendap.org>

	Build fixes for linux. Linux uses libuuid for the uuid functions
	while OSX does not - I added a test for that library to
	configure.ac and the corrsponding changes to the Makefile.am. I
	also found and fixed two other errors that were not showing up on
	the OSX platform.

	M    DODSFilter.cc
	M    configure.ac
	M    tests/Makefile.am
	M    Makefile.am

2009-09-02  mjohnson

	o Fixed typo causing build error.

2009-08-31  James Gallagher <jgallagher@opendap.org>

	Replace fgetln with fgets in DDXParser.cc.  oddly package.m4 in
	tests has the version number for the library. I changed that to 3.10.0
	(we should have something for the trunk better than a version number
	that looks like a release number) since I didn't think 3.9.2 was a
	good value...

2009-08-31  James Gallagher <jgallagher@opendap.org>

	Configure fixes.

	M    configure.ac

2009-08-31  James Gallagher <jgallagher@opendap.org>

	Updates for make dist.

	M    tests/Makefile.am
	M    INSTALL
	M    Makefile.am

2009-08-31  James Gallagher <jgallagher@opendap.org>

	Added

2009-08-31  James Gallagher <jgallagher@opendap.org>

	Added.

2009-08-28  James Gallagher <jgallagher@opendap.org>

	Refactor of libdap: AIS removed from build. In addition,
	bug tickets addressed for Array, DDS, Vector and parser-util.cc

2009-08-27  James Gallagher <jgallagher@opendap.org>

	Moved mime_util to libdap from libdapserver.

2009-08-27  James Gallagher <jgallagher@opendap.org>

	Removed unnecessary libdapserver use for the unit-tests after moving cgi_util to mime_util
	and putting the latter in libdap.

2009-08-27  James Gallagher <jgallagher@opendap.org>

	Added code to build and read the DataDDX response for DAP4.
	Connect has request_data_ddx() and request_data_ddx_url()
	methods that will ask a server for the DataDDX and parse
	the returned response. Connect::read_data() can read a DataDDX
	response from a file; getdap -M - can read the DataDDX returned
	by besstandalone when it's asked to return a DataDDX. DODSFilter
	now has a send_data_ddx() method and appropriate functions are
	now in mime_util.cc/h to build and parse the multipart MIME
	response. I also refactored the code somewhat renaming cgi_util to
	mime_util and removing redundant MIME parsing code in Connect and
	HTTPConnect - now all the MIME header parsing is done by functions
	in mime_util. Since these are used by both client and server
	operations, that should be moved to libdap (from libdapserver).

2009-08-21  James Gallagher <jgallagher@opendap.org>

	Changed ID to Id to match the RFCs in the set_mime...() functions..
	Also removed the set_client_dap_version() method and the matching get
	methods - These were causing more confusion than anything else. Use
	set_dap_version() and the matching get methods.

	M    cgi_util.cc
	M    DDS.cc
	M    DDS.h

2009-08-21  James Gallagher <jgallagher@opendap.org>

	Changed ID to Id in the set_mime...() code to match the RFCs; fixed here in
	tests.

	M    unit-tests/DODSFilterTest.cc

2009-08-21  James Gallagher <jgallagher@opendap.org>

	Fixed an error where getdomainname() can return nothing
	and not indicate and error. Now the default domain name
	is opendap.org in that case.

2009-08-20  James Gallagher <jgallagher@opendap.org>

	Updates for the DataDDX response. New values were added
	to the ObjectType and and EncodingType enums. DODSFilter
	now has a send_data_ddx method that can either supply just
	the body (as needed by the OLFS) or the complete message.
	Unit tests added in unit-tests.DODSFilterTest. In HTTPConnect,
	get_description_type() and get_object() were also updated.
	Lastly, I change the values of Content-Description slightly
	so they were a little less clunky and made the dap4 prefixed
	values use dashes instead of underscores.

2009-08-19  James Gallagher <jgallagher@opendap.org>

	Interim version of autogen.sh for our projects - fix the --force option.

	M    autogen.sh

2009-08-19  James Gallagher <jgallagher@opendap.org>

	Removed generated files.

	D    conf/mkinstalldirs
	D    conf/depcomp
	D    conf/compile
	D    conf/missing
	D    conf/config.guess
	D    conf/config.sub
	D    conf/ltmain.sh
	D    conf/install-sh

2009-08-18  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Repaired bad string syntax and formatting.

2009-08-18  mjohnson

	Added set_name() override to set the name of the template var() as
	well since this is what is output in a DDS and they didn't match.
	Ticket #1346.

2009-08-18  tomss

	Changes to documentation only. Formatted ce function documentation
	to be easier to read and removed a bad paragraph from the main
	doxygen docs.

2009-08-04  James Gallagher <jgallagher@opendap.org>

	Added autogen.sh which is probably better than always running
	autoreconf.

	AM   autogen.sh

2009-08-04  James Gallagher <jgallagher@opendap.org>

	Changes for gcc 4.4: Removed warnings about misplaced or missing const
	qualifiers and logic issues. Also fixed a missing header under FC 11
	(util_mit.cc needs <cstdio> for sprintf).

	M    Int16.cc
	M    conf/mkinstalldirs
	M    conf/depcomp
	M    conf/missing
	M    conf/config.guess
	M    conf/config.sub
	M    conf/ltmain.sh
	M    conf/install-sh
	M    INSTALL
	M    UInt16.cc
	M    Byte.cc
	M    parser-util.cc
	M    Float32.cc
	M    HTTPConnect.cc
	M    Str.cc
	M    ce_functions.cc
	M    das.y
	M    UInt32.cc
	M    util_mit.cc
	M    dds.y
	M    RCReader.h

2009-07-28  James Gallagher <jgallagher@opendap.org>

	Modified AISDataBaseParser.cc so that the library will build
	with the --enable-debug=2 configure option. ticket 1318

2009-07-21  mjohnson

	del_attr_table needed to 0 out parent as well to preserve invariant.

2009-07-21  mjohnson

	Fixed memory leak in del_attr_table for Ticket #1326 and #1327.

2009-07-21  mjohnson

	Fixed several issues with the DAP type checking routines (which I re-used in NcML handler) failing to reject out of range Int32 and accepting a negative number as valid UInt32.

2009-05-08  James Gallagher <jgallagher@opendap.org>

	Merged changes for ticket 1301 from the tags/libdap/3.9.2 code.

	M    Makefile.am
	M    das.y
	M    unit-tests/AISMergeTest.cc
	M    unit-tests/DASTest.cc
	M    unit-tests/DDSTest.cc

2009-04-09  James Gallagher <jgallagher@opendap.org>

	Changes for autoconf 2.63 (should work with 2.62 also).

	M EXPRTest.at

2009-04-08  James Gallagher <jgallagher@opendap.org>

	Merged the 3.9.2 tagged code back into the trunk.

	_M   .
	M    RValue.cc
	M    Int16.cc
	M    configure.ac
	M    DDXParser.cc
	M    cgi_util.cc
	M    ChangeLog
	A  + conf/link-warning.h
	M    DDS.cc
	M    Array.cc
	_M   tests/das-testsuite/test.1.das
	_M   tests/expr-testsuite/test.2
	_M   tests/expr-testsuite/test.3
	_M   tests/expr-testsuite/test.c0
	_M   tests/expr-testsuite/test.4
	_M   tests/expr-testsuite/test.c1
	_M   tests/expr-testsuite/test.c2
	_M   tests/expr-testsuite/test.5
	_M   tests/expr-testsuite/test.c3
	_M   tests/expr-testsuite/test.6
	_M   tests/expr-testsuite/test.c4
	_M   tests/expr-testsuite/test.7
	_M   tests/expr-testsuite/test.8
	_M   tests/expr-testsuite/test.9
	_M   tests/expr-testsuite/test.a
	_M   tests/expr-testsuite/test.b
	_M   tests/expr-testsuite/test.d
	_M   tests/expr-testsuite/test.61
	_M   tests/expr-testsuite/test.2a
	_M   tests/expr-testsuite/test.cc0
	_M   tests/expr-testsuite/test.cc1
	_M   tests/expr-testsuite/test.1
	M    tests/package.m4
	M    INSTALL
	M    UInt16.cc
	M    libdap.spec
	M    Byte.cc
	M    GNU/GNURegex.cc
	M    README
	M    Makefile.am
	M    HTTPCache.cc
	M    ce_expr.y
	M    Float32.cc
	M    dds.lex
	M    util.h
	M    grammarfiles/ce_expr.tab.cc
	M    NEWS
	M    Str.cc
	M    Sequence.cc
	A  + gl/m4/absolute-header.m4
	M    gl/m4/wchar.m4
	M    gl/m4/stdint.m4
	A  + gl/m4/malloc.m4
	M    gl/m4/regex.m4
	M    gl/m4/gnulib-comp.m4
	A  + gl/m4/unistd_h.m4
	M    gl/m4/include_next.m4
	M    gl/m4/gnulib-cache.m4
	D    gl/m4/onceonly_2_57.m4
	A  + gl/m4/stdlib_h.m4
	M    gl/m4/extensions.m4
	M    gl/localcharset.c
	M    gl/regex_internal.c
	M    gl/malloc.c
	M    gl/localcharset.h
	M    gl/regex_internal.h
	M    gl/regexec.c
	A  + gl/stdlib.h
	M    gl/regcomp.c
	M    gl/alloca_.h
	M    gl/wchar_.h
	M    gl/stdint_.h
	A  + gl/unistd_.h
	M    gl/stdbool_.h
	M    gl/regex.c
	A  + gl/unistd.h
	M    gl/regex.h
	M    gl/wctype_.h
	A  + gl/stdlib_.h
	M    gl/Makefile.am
	M    gl/gettext.h
	M    gl/alloca.c
	M    ce_functions.cc
	M    expr.h
	M    AttrTable.h
	M    GridGeoConstraint.cc
	M    util.cc
	M    UInt32.cc
	M    XDRStreamMarshaller.cc
	M    Grid.cc
	M    escaping.cc
	M    unit-tests/HTTPCacheTest.cc
	M    unit-tests/AttrTableTest.cc
	M    unit-tests/generalUtilTest.cc
	M    dds.y
	M    Clause.cc
	M    Array.h
	M    ce_expr.lex

2009-04-08  James Gallagher <jgallagher@opendap.org>

	Bumped up the autoconf version to 2.61 which we need for the top_srcdir
	variable. Other minor fixes like spelling errors in comments.

	M    configure.ac
	M    INSTALL
	M    GNU/outbuf.h
	M    ce_expr.y
	M    Clause.cc
	M    AISDatabaseParser.cc

;; Local Variables:
;; coding: utf-8
;; End:
2009-04-06  James Gallagher <jgallagher@opendap.org>

	Bug fix: entry::clone() was performing a deep copy in aliases when
	the dtor expected aliases to use a shallow copy operation. This
	resulted in a memory leak. See #1293.

2009-03-16  James Gallagher <jgallagher@opendap.org>

	Version 3.9.1

	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    libdap.spec
	M    NEWS

2009-03-10  James Gallagher <jgallagher@opendap.org>

	Removed!

	D    gl/alloca.h

2009-03-10  James Gallagher <jgallagher@opendap.org>

	Added.

	AM   gl/alloca.h

2009-03-05  James Gallagher <jgallagher@opendap.org>

	Repaired a problem in the CE parser where the new test for
	multiply projected arrays was failing because the test
	was applied after the array was marked and so the projected
	sizes differed, which looked like to different projections
	but was actually two steps of the projection process.

2009-03-05  James Gallagher <jgallagher@opendap.org>

2009-03-05  James Gallagher <jgallagher@opendap.org>

	Fixes from code review.

	M    RValue.cc
	M    Int16.cc
	M    DDXParser.cc
	M    cgi_util.cc
	M    UInt16.cc
	M    Byte.cc
	M    GNU/GNURegex.cc
	M    Makefile.am
	M    Float32.cc
	M    dds.lex
	M    util.h
	M    Str.cc
	M    Sequence.cc
	M    gl/localcharset.c
	M    ce_functions.cc
	M    GridGeoConstraint.cc
	M    util.cc
	M    UInt32.cc
	M    XDRStreamMarshaller.cc
	M    Grid.cc

2009-02-26  James Gallagher <jgallagher@opendap.org>

	I fixed a lingering problem with HTTPCache where its per-process
	lock on the cache could not be obtained because the cache created
	by a previous process was not writable. I used umask(0) to solve
	that. I also made sure that sending a CE that constrains an array
	of structures in two different ways returns an error. Lastly, I
	removed old code from the Array class

2009-02-20  James Gallagher <jgallagher@opendap.org>

	Modified the ce_expr.y parser so that variable names can be
	quoted (double quotes).

2009-02-18  James Gallagher <jgallagher@opendap.org>

	New version of www2id(). Now the third parameter can accept more than
	one escape code to leave untouched.

2009-01-30  James Gallagher <jgallagher@opendap.org>

	Moved here to coalesce branches

2009-01-30  James Gallagher <jgallagher@opendap.org>

	Updated the 'CURRENT' revision for libdap and libdapserver.
	Bummer, but we changed interfaces.

2009-01-29  James Gallagher <jgallagher@opendap.org>

	Move the code to a branch while we're in the beta period.

	A    http://scm.opendap.org/svn/branch/libdap/3.9.0
	D    http://scm.opendap.org/svn/tags/libdap/3.9.0

2009-01-28  James Gallagher <jgallagher@opendap.org>

	Changes for the distcheck target.

	M    configure.ac
	M    INSTALL
	M    GNU/outbuf.h
	M    ce_expr.y
	M    dds.y
	M    Clause.cc
	M    AISDatabaseParser.cc

2009-01-28  James Gallagher <jgallagher@opendap.org>

	Release 3.9.0

	A    http://scm.opendap.org/svn/tags/libdap/3.9.0

2009-01-28  James Gallagher <jgallagher@opendap.org>

	Updates for release 3.9.0

	M    configure.ac
	M    ChangeLog
	M    libdap.spec
	M    GNU/outbuf.h
	M    README
	M    Makefile.am
	M    NEWS
	M    unit-tests/Makefile.am

2009-01-28  James Gallagher <jgallagher@opendap.org>

	removed xstream references - we're not using this code although
	I'd like to keep the source in the library since we might use it
	at some point.

	M Makefile.am

2009-01-14  James Gallagher <jgallagher@opendap.org>

	Patch from Patrice for missing string.h header.
	Spelling errors in Makefile.am.

	M    Makefile.amcon	
	M    ce_expr.y

2009-01-12  James Gallagher <jgallagher@opendap.org>

	I changed the etag value used in the HTTPConnetTest so the test
	will pass. The file changed and thus the etag changed when we
	moved the test server.

2008-12-04  Patrick West <pwest@ucar.edu>

	curl.h is included in HTTPConnect.h, which is included in
	AISMerge.h, which is included in getdap.cc. So need CURL_CFLAGS.
	Not sure why this doesn't show up in other builds, however.

	M    Makefile.am

2008-12-03  James Gallagher <jgallagher@opendap.org>

	Commented-out the #if FILE_METHODS ... #endif preprocessor lines.
	For some reason these are breaking the library when FILE_METHODS
	is one (but not when it's zero). Anyway, the FILE* methods are
	needed for loaddap. I'm leaving the directives in as comments
	since maybe someday I'll figure out _why_ these broke the library.

	M    DODSFilter.cc
	M    Int32.h
	M    Int16.cc
	M    Structure.h
	M    Str.h
	M    Sequence.h
	M    Int16.h
	M    DDS.cc
	M    BaseType.h
	M    Array.cc
	M    Float64.h
	M    UInt16.cc
	M    AlarmHandler.h
	M    Byte.cc
	M    Byte.h
	M    DDS.h
	M    BaseType.cc
	M    Constructor.h
	M    Int32.cc
	M    DODSFilter.h
	M    Float32.cc
	M    Grid.h
	M    Structure.cc
	M    Str.cc
	M    Sequence.cc
	M    Float32.h
	M    Constructor.cc
	M    UInt32.h
	M    Float64.cc
	M    UInt32.cc
	M    Grid.cc
	M    unit-tests/SequenceTest.cc
	M    unit-tests/Makefile.am
	AM   unit-tests/MarshallerTest.cc
	M    Array.h
	M    UInt16.h

2008-11-25  James Gallagher <jgallagher@opendap.org>

	Always build with the FILE_METHODS compile-time directive true. This
	may cause problems...

2008-11-25  James Gallagher <jgallagher@opendap.org>

	Found more 'dataset' arguments, previously commented out, and
	removed them. Makefile.am fixes that may address some build issues
	seen by other people.

2008-11-25  James Gallagher <jgallagher@opendap.org>

	I had previously commented out all of the places where the data
	set name was passed around to the various methods that evaluate a
	CE. Patrick has moved information about the data set name into the
	BaseType class so that a single DDS/DataDDS/DDX/... can be built
	from multiple files/data sets. Passing the parameter was
	redundant, so I commented it out. I completed the removal by
	deleting those comments.

	M    RValue.cc
	M    DDXParser.h
	M    DDXParser.cc
	M    ce_functions.h
	M    ConstraintEvaluator.cc
	M    ArrayGeoConstraint.h
	M    GeoConstraint.h
	M    GridGeoConstraint.h
	M    ce_expr.y
	M    RValue.h
	M    ce_functions.cc
	M    expr.h
	M    GridGeoConstraint.cc
	M    ConstraintEvaluator.h
	M    Clause.h
	M    ArrayGeoConstraint.cc
	M    unit-tests/ArrayGeoConstraintTest.cc
	M    unit-tests/GridGeoConstraintTest.cc
	M    Clause.cc
	M    GeoConstraint.cc

2008-11-17  James Gallagher <jgallagher@opendap.org>

	Added check of C:\opendap when looking for .dodsrc on WIN32

2008-11-14  James Gallagher <jgallagher@opendap.org>

	Merged the xmlrequest branch to the trunk.

	_M   .
	M    RValue.cc
	M    DDXParser.h
	M    DODSFilter.cc
	A  + xstream
	A  + xstream/fd.h
	A  + xstream/except_posix.h
	A  + xstream/posix.cpp
	A  + xstream/posix.h
	A  + xstream/common.cpp
	A  + xstream/fd.cpp
	A  + xstream/common.h
	A  + xstream/except.h
	M    Int32.h
	M    Int16.cc
	M    Structure.h
	M    Str.h
	M    Sequence.h
	M    configure.ac
	M    Connect.h
	M    DDXParser.cc
	M    Ancillary.cc
	M    ce_functions.h
	M    Int16.h
	D    docs/html.tar.gz
	M    ConstraintEvaluator.cc
	M    DDS.cc
	M    BaseType.h
	M    Array.cc
	M    tests/das-testsuite/config/unix.exp
	M    tests/expr-testsuite/expr-test.0/test.g.exp
	M    tests/expr-testsuite/expr-test.0/test.6.exp
	M    tests/expr-testsuite/config/unix.exp
	M    tests/expr-test.cc
	A  + tests/io_test.cc
	M    tests/grid-func-testsuite/config/unix.exp
	M    tests/Makefile.am
	M    tests/dds-test.cc
	M    Float64.h
	M    UInt16.cc
	M    AlarmHandler.h
	M    Byte.cc
	M    Byte.h
	D    GNU/Pix.h.never
	D    GNU/GNUerror.cc.never
	A  + GNU/outbuf.cc
	D    GNU/builtin.h.never
	A  + GNU/outbuf.h
	M    GNU/README
	M    BaseType.cc
	M    DDS.h
	M    GeoConstraint.h
	M    Makefile.am
	M    GridGeoConstraint.h
	M    Constructor.h
	M    Int32.cc
	M    DODSFilter.h
	M    ce_expr.y
	M    Float32.cc
	M    Grid.h
	M    HTTPConnect.cc
	M    Structure.cc
	M    RValue.h
	M    getdap.cc
	M    Str.cc
	M    Sequence.cc
	M    Float32.h
	M    ce_functions.cc
	M    expr.h
	M    GridGeoConstraint.cc
	M    Constructor.cc
	M    UInt32.h
	M    AISMerge.cc
	M    ConstraintEvaluator.h
	M    Clause.h
	M    ArrayGeoConstraint.cc
	M    Float64.cc
	M    UInt32.cc
	M    Grid.cc
	M    Connect.cc
	M    HTTPConnect.h
	D    unit-tests/ais_testsuite/ais_database.xml
	M    unit-tests/ais_testsuite/ais_database.xml.in
	M    unit-tests/AISResourcesTest.cc
	M    unit-tests/DDSTest.cc
	M    unit-tests/test_config.h.in
	M    unit-tests/HTTPConnectTest.cc
	M    unit-tests/DDXParserTest.cc
	M    unit-tests/ddsT.cc
	M    unit-tests/ByteTest.cc
	M    unit-tests/CEFunctionsTest.cc
	A  + unit-tests/ddx-testsuite/error.06.ddx
	A  + unit-tests/ddx-testsuite/test.0c.ddx
	A  + unit-tests/ddx-testsuite/test.0d.ddx
	A  + unit-tests/ddx-testsuite/test.00.ddx
	M    unit-tests/Makefile.am
	M    Clause.cc
	M    GeoConstraint.cc
	M    Array.h
	M    UInt16.h

2008-11-12  James Gallagher <jgallagher@opendap.org>

	Fixed the libcurl and libxml2 tests in confgure.ac - they now
	test the values of the two programs correctly.

2008-11-06  James Gallagher <jgallagher@opendap.org>

	Minor changes that are part of a fix for ticket 975. The complete
	changes are not done yet since the tests are not all passing for
	the intern_data() methods (but do pass for the
	serialize()/deserialize() methods and it might be that the problem
	lies in the TestArray class and not in the libdap code outside the
	tests. See svn/tags/libdap/partial_975_fix and the ticket itself
	for more information.

	M    Array.cc
	M    tests/expr-test.cc
	M    tests/TestStructure.cc
	M    BaseType.cc
	M    ce_expr.y
	M    Structure.cc
	M    Vector.cc
	M    Array.h

2008-10-30  James Gallagher <jgallagher@opendap.org>

	Tests d1 and d3 will fail until I sort out just what is happening with
	the array of structures and CEs in the Test* classes.

2008-10-10  James Gallagher <jgallagher@opendap.org>

	Added data file for Structure Array tests.

2008-10-10  James Gallagher <jgallagher@opendap.org>

	Modified ce_expr.y so that arrays of structure parse using the new
	syntax. Example: s2[0:4].m[2:7]. See ticket 975.

	M DDS.cc
	M Vector.cc
	M ce_expr.y

2008-10-10  James Gallagher <jgallagher@opendap.org>

	Added tests for Array of Structures fix - see ticket #975

2008-10-08  James Gallagher <jgallagher@opendap.org>

	Ticket 1188: can not --> cannot. This was for the a handful
	of error messages, but I wound up changing it everywhere since
	that was easier.

2008-10-08  James Gallagher <jgallagher@opendap.org>

	Fix for ticket 1121 - DDX not well formed for some HDF4 datasets
	because the element Alias was not closed.

	M AttrTable.cc

2008-09-25  James Gallagher <jgallagher@opendap.org>

	Added support for cookies to libdap. Cookies will be saved in a
	'cookie jar' if that option/parameter is set int he .dodsrc file.

	_M   tests
	M    RCReader.cc
	M    HTTPConnect.cc
	M    HTTPConnect.h
	_M   unit-tests/cache-testsuite
	M    RCReader.h

2008-09-25  James Gallagher <jgallagher@opendap.org>

	Removed a test case fro AISResourceTest.cc since it was causing false
	negatives when run as root on FC8.

2008-09-19  James Gallagher <jgallagher@opendap.org>

	Corrections for comments

2008-09-18  James Gallagher <jgallagher@opendap.org>

	Fixes for tests after moving test.opendap.org - some of the
	test files appear to be different (not sure I understand
	that, but it's true, they are). Also, minor fixes for the
	new DDX31 symbol and xml header info to fix build errors.

2008-09-17  James Gallagher <jgallagher@opendap.org>

	Merged multifile branch

2008-09-17  James Gallagher <jgallagher@opendap.org>

	Updated docs.

	AM   docs/html.tar.gz

2008-09-16  James Gallagher <jgallagher@opendap.org>

	Check in simple changes before branching to start the bulk
	of the DAP 3.2 changes.

2008-08-26  James Gallagher <jgallagher@opendap.org>

	Added a one option to getdap (-M) that enables it to
	read from files that don't have MIME headers.

2008-08-06  Patrick West <pwest@ucar.edu>

	File accidentally added by eclipse

	D    ais_database.xml

2008-08-06  Patrick West <pwest@ucar.edu>

	Deleting fines accidentally added by eclipse

	D    ce_expr.tab.hh
	D    3.8.1.diffs
	D    libdap-3.8.1.tar.gz
	D    tmp16780
	D    deflate
	D    ce_expr.output
	D    .cproject
	D    libdap-3.8.2.fpr
	D    libdap.pc
	D    tests/das-test.sum
	D    tests/dds-test.sum
	D    tests/expr-test
	D    tests/das-test
	D    tests/dds-test
	D    tests/expr-test.sum
	D    tmp16480
	D    das.tab.hh
	D    dds.tab.hh
	D    ChangeLog.tmp
	D    Error.tab.hh
	D    gse.tab.hh
	D    libdapclient.pc
	D    das.output
	D    dds.output
	D    libdapserver.pc
	D    Error.output
	D    gse.output
	D    unit-tests/CEFunctionsTest
	D    unit-tests/cache-testsuite/cleanup.sh
	D    unit-tests/parserUtilTest
	D    unit-tests/sequenceT
	D    unit-tests/marshT
	D    unit-tests/DDSTest
	D    unit-tests/generalUtilTest
	D    unit-tests/ArrayTest
	D    unit-tests/ArrayGeoConstraintTest
	D    unit-tests/DDXParserTest
	D    unit-tests/.dodsrc
	D    unit-tests/cgiUtilTest
	D    unit-tests/arrayT
	D    unit-tests/DASTest
	D    unit-tests/SequenceTest
	D    unit-tests/AISDatabaseParserTest
	D    unit-tests/ancT
	D    unit-tests/HTTPConnectTest
	D    unit-tests/test_config.h
	D    unit-tests/AISMergeTest
	D    unit-tests/ByteTest
	D    unit-tests/structT
	D    unit-tests/AttrTableTest
	D    unit-tests/GridGeoConstraintTest
	D    unit-tests/RCReaderTest
	D    unit-tests/ddsT
	D    unit-tests/DODSFilterTest
	D    unit-tests/HTTPCacheTest
	D    unit-tests/attrTableT
	D    unit-tests/AISResourcesTest
	D    unit-tests/RegexTest
	D    unit-tests/SignalHandlerTest
	D    svn-commit.tmp
	D    getdap

2008-08-04  James Gallagher <jgallagher@opendap.org>

	Moved get_type() out of ObjectType.h and into HTTPConnect.cc and
	changed its name to get_description_type() which is not only
	more accurate but also less likely to conflict with other functions
	(there are two other 'get_type()'s in libdap already). There are
	other related changes.

2008-08-01  James Gallagher <jgallagher@opendap.org>

	Minor fix in dds.lex - test for an error from fgets(). Closes
	ticket 1068.

2008-08-01  James Gallagher <jgallagher@opendap.org>

	Fixed the expr-test tests - they were only running the
	intern_data() code and not the serialize/deserialize code. Also,
	removed use of move_dds() from expr-test as it is no longer
	needed.

2008-07-31  James Gallagher <jgallagher@opendap.org>

	String attribute values are always quoted when the DAS is written
	out (now). This is part of the fix for ticket 1163 (the other part
	being changes to the handlers). See README for more information.

	M    tests/das-testsuite/das-test.0/test.8.exp
	M    tests/das-testsuite/das-test.0/test.9.exp
	M    tests/das-testsuite/das-test.0/test.11.exp
	M    tests/das-testsuite/das-test.0/test.1.exp
	M    tests/das-testsuite/das-test.0/test.2.exp
	M    tests/das-testsuite/das-test.0/test.3.exp
	M    tests/das-testsuite/das-test.0/test.4.exp
	M    README
	M    util.h
	M    AttrTable.cc
	M    Vector.cc
	M    das.y
	M    util.cc
	M    unit-tests/AttrTableTest.cc

2008-07-28  hyoklee

	Added dods_url_c type for Vector::value() function.

2008-07-23  James Gallagher <jgallagher@opendap.org>

	Merged changes from tags/libdap/3.8.2 (-r18931:19106
	$svn/tags/libdap/3.8.2 .)

	M    Ancillary.cc
	M    VCPP/BeforeInstall.txt
	M    VCPP/libdap.iss
	M    VCPP/config.h
	M    VCPP/Makefile

2008-07-15  James Gallagher <jgallagher@opendap.org>

	Patch from Patrice Dumas for gnulib/autoconf 2.62 compatibility.

	M    gl/m4/extensions.m4

2008-07-15  Patrick West <pwest@ucar.edu>

	Problem where nested sequences not having any values selected
	because of constraint evaluation, so nested sequences aren't being
	pushed to the value stack. When coming out of parent_part_two to
	the end of parent_part_one, the stack is popped to get that
	sequences values. Since nothing was being pushed, the values for
	that sequence were being popped leaving an empty stack. So when
	top is called on an empty stack, caused bus error.

	Also, in Sequence.cc, a dynamic cast was being made to a Sequence
	variable called tmp. dynamic casts were called three more times in
	the method. These can get expensive, so removed the other dynamic
	casts and using first variable called tmp.

	Added and modified DBG statements.
	M    tests/TestInt32.cc
	M    tests/TestFloat32.cc
	M    tests/TestByte.cc
	M    tests/TestSequence.cc
	M    BaseType.cc
	M    Sequence.cc
	M    AISDatabaseParser.cc

2008-06-25  James Gallagher <jgallagher@opendap.org>

	Fixed one more problem with the xdr-datatype header. Assuming
	that XDR uses the C99 types if the inttypes.h header is present
	works on new FC machines but not OS/X, et cetera. I removed that
	from the Makefile.am.

	M    OSX_Resources/InstallationCheck
	M    OSX_Resources/Info.plist
	M    conf/acinclude.m4
	M    Makefile.am

2008-06-25  James Gallagher <jgallagher@opendap.org>

	Fixes - I hope - to the *-datatypes headers. Other updates for
	comments and documentation.

	M    AISResources.cc
	M    configure.ac
	M    xdr-datatypes-static.h
	M    xdr-datatypes-config.h.in
	M    main_page.doxygen
	M    Error.cc
	M    conf/acinclude.m4
	M    HTTPCacheTable.cc
	M    doxy.conf

2008-06-23  James Gallagher <jgallagher@opendap.org>

	Removed apue_db. Updates to the documentation for 3.8.2

	M    ChangeLog
	D    apue_db
	M    INSTALL
	M    README
	M    NEWS

2008-06-23  James Gallagher <jgallagher@opendap.org>

	Minor changes - comments & docs.

	M    HTTPCacheTable.cc
	M    HTTPCacheTable.h

2008-06-23  James Gallagher <jgallagher@opendap.org>

	Minor changes from the 3.8.1 code except that the HTTP Caching
	changes developed here on the trunk of libdap are now
	included (libdap 3.8.1 excluded those fixes).

	M    configure.ac
	M    ChangeLog
	M    NEWS
	M    ce_functions.cc
	M    unit-tests/AISMergeTest.cc
	M    unit-tests/HTTPCacheTest.cc

2008-06-16  James Gallagher <jgallagher@opendap.org>

	Merged changes from the 3.8.1 tag.

	M    VCPP/BeforeInstall.txt
	M    VCPP/libdap.iss
	A    VCPP/unistd.h
	M    libdap.spec
	M    README

2008-06-16  James Gallagher <jgallagher@opendap.org>

	AISMergeTest updated to work with the newer test.opendap.org
	fnoc1 test data set (which has slightly different attributes).

2008-06-16  James Gallagher <jgallagher@opendap.org>

	Removed HTTPCacheTable::CacheEntry's lock since it was redundant
	and was causing a dead lock. Also removed RCReader's debug output.

2008-06-16  Patrick West <pwest@ucar.edu>

	Added access to response file.
	M    HTTPResponse.h
	M    Response.h

2008-06-10  James Gallagher <jgallagher@opendap.org>

	The lock used to protect the CacheEntry object was redundant and I
	removed it. Also, I backed out other changes but retained some of
	the added encapsulation added to the CacheEntry struct. I checked
	this code in because I fairly certain it works, but the test
	server is down and so I cannot run the unit tests for HTTPCache.

	M    HTTPCacheTable.cc
	M    HTTPCacheTable.h
	M    unit-tests/HTTPCacheTest.cc

2008-06-09  Dan Holloway <dholloway@opendap.org>

	Added ifdef HAVE_UNISTD_H, include <unistd.h>, required on RedHat 3.+

2008-05-30  Patrick West <pwest@ucar.edu>

	Moved ancillary functions from DODSFilter and cgi_util to
	Ancillary class as static methods. Moved the ancillary tests from
	cgiUtilTest to ancT. Had to update configure.ac and Makefile.am to
	get libdap to compile, removing apue directory.
	
	M    DODSFilter.cc
	M    configure.ac
	M    cgi_util.cc
	A    Ancillary.cc
	M    Makefile.am
	M    cgi_util.h
	A    Ancillary.h
	A    unit-tests/ancT.cc
	M    unit-tests/cgiUtilTest.cc
	M    unit-tests/Makefile.am

2008-05-30  James Gallagher <jgallagher@opendap.org>

	Test svn switch (I added a space to the to the top of the file).

	M    util.cc

2008-05-22  James Gallagher <jgallagher@opendap.org>

	Fixed comments in the ce functions - they said to use "version"
	when it's actually a blank arg list that returns the response.

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Made the directory name nicer

	M    configure.ac
	A    apue_db
	D    apue_db/apue.h
	D    apue_db/include
	D    apue_db/db
	A    apue_db/db.c
	D    apue_db/lib
	A    apue_db/lockreg.c
	D    apue_db/Make.defines.linux
	A    apue_db/t4.c
	A    apue_db/error.c
	M    Makefile.am
	D    apue_db_lib
	M    das.lex

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Removed include subdir

	D    apue_db_lib/include

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Removed apue.h header.

	D    apue_db_lib/apue.h
	M    apue_db_lib/db.c
	M    apue_db_lib/lockreg.c
	M    apue_db_lib/t4.c
	M    apue_db_lib/error.c

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Removed

	D    apue_db_lib/Make.defines.linux

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Get rid of some temporary directories...

	D    apue_db_lib/db
	D    apue_db_lib/lib

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Added Advanced Programming in the Unix Environment DB.

	A    apue_db_lib/apue.h
	A    apue_db_lib/apue_db.h
	M    apue_db_lib/lib/libapue.a
	A    apue_db_lib/db.c
	A    apue_db_lib/lockreg.c
	A    apue_db_lib/t4.c
	AM   apue_db_lib/Makefile.am
	A    apue_db_lib/error.c

2008-05-21  James Gallagher <jgallagher@opendap.org>

	Copied

2008-05-20  James Gallagher <jgallagher@opendap.org>

	Removed cruft from the Steven's db checkin.

2008-05-20  James Gallagher <jgallagher@opendap.org>

	Added the Steven's db code in apue_db_lib (which I might rename later).

2008-05-20  James Gallagher <jgallagher@opendap.org>

	Removed #if 0 .. #endif lines.

2008-05-20  James Gallagher <jgallagher@opendap.org>

	Read/Write locking in place. Ready to start changing over from a
	single index file to a distributed way of storing the entries.

2008-05-15  James Gallagher <jgallagher@opendap.org>

	Moved the locking of entries into the cache table class. This sets
	the stage for changes to the table implementation so that it can be
	stored on disk and not in memory.

2008-05-14  James Gallagher <jgallagher@opendap.org>

	removed #if 0 after refactoring HTTPCache, HTTPCacheTable
	and CacheEntry. Tests now run.

2008-05-14  James Gallagher <jgallagher@opendap.org>

	CacheEntry has not been encapsulated, but only to the extent
	that fields are manipulated with accessor/mutator methods.
	The basic logic is still exposed to HTTPCache.

2008-05-14  Patrick West <pwest@ucar.edu>

	Requires using unistd.h if HAVE_UNISTD_H is defined, which requires
	including config.h.
	M    unit-tests/marshT.cc
	M    unit-tests/RCReaderTest.cc

2008-05-14  Patrick West <pwest@ucar.edu>

	unlink requires unistd.h on linux machines.
	M    unit-tests/marshT.cc

2008-05-13  James Gallagher <jgallagher@opendap.org>

	Added HTTPCacheTable to the VCPP Makefile

2008-05-13  James Gallagher <jgallagher@opendap.org>

	I Have refactored HTTPCache so that most of the operations
	on the index file and in-memory 'database' of the cache
	contents is now in the HTTPCacheTable class.

2008-05-09  James Gallagher <jgallagher@opendap.org>

	Added HTTPCacheTable class. HTTPCache will now be refactored
	so that it makes all cache table accesses through this class'
	interface. See ticket #1114 and #1118.

2008-04-25  James Gallagher <jgallagher@opendap.org>

	Wrapped CURL_PROXYAUTH in #ifdef #endif to accommodate older versions of
	libcurl.

	M HTTPConnect.cc

2008-04-25  James Gallagher <jgallagher@opendap.org>

	Spelling errors fixed.

	M    VCPP/BeforeInstall.txt
	M    README.dodsrc
	M    RCReader.cc

2008-04-25  James Gallagher <jgallagher@opendap.org>

	Build tools no longer installed

2008-04-24  James Gallagher <jgallagher@opendap.org>

	Added installer setup file and License for the installer

2008-04-23  James Gallagher <jgallagher@opendap.org>

	Comments and strings modified as part of the win32 build of 3.8.1
	from svn

2008-04-23  James Gallagher <jgallagher@opendap.org>

	Removed Win32 definition of vsnprintf() for VC 2008 compat - edit
	for use with VC 2005

2008-04-23  James Gallagher <jgallagher@opendap.org>

	Fixes for libdap 3.8.0

2008-04-21  James Gallagher <jgallagher@opendap.org>

	Ticket 1095: The proxy support in HTTPConnect baroque and caused
	many people problems. I expanded on the syntax allowed (the old
	syntax is still supported) so that it mirrors the syntax most
	users expect. I updated the docs including the comments in the
	.dodsrc file.

	M    Makefile.am
	M    RCReader.cc
	M    NEWS
	M    HTTPConnect.cc
	M    unit-tests/RCReaderTest.cc
	A    unit-tests/rcreader-testsuite/test4.rc
	A    unit-tests/rcreader-testsuite/test5.rc

2008-04-15  James Gallagher <jgallagher@opendap.org>

	Added code to follow redirects in HTTPConnect.cc

2008-04-07  Patrick West <pwest@ucar.edu>

	Delete being called on array without [], as is being called below the
	exception condition.
	M    HTTPCache.cc

2008-03-19  James Gallagher <jgallagher@opendap.org>

	Added info about win32 locations for .dodsrc

	M    README.dodsrc

2008-03-19  James Gallagher <jgallagher@opendap.org>

	Added Patrice Dumas' patch for <cstring>

	M    SignalHandler.cc
	M    gse.lex
	M    dds.lex
	M    HTTPConnect.cc
	M    das.lex
	M    ce_expr.lex

2008-03-04  Patrick West <pwest@ucar.edu>

	Now checks for which architecture the build is being run on and
	updates the InstallationCheck script M
	update_mac_package_contents.pl

2008-03-04  Patrick West <pwest@ucar.edu>

	3.8.0 release of libdap.
	
	M    configure.ac
	M    ChangeLog
	M    OSX_Resources/Info.plist
	M    OSX_Resources/ReadMe.txt
	M    libdap.spec
	M    README
	M    NEWS

2008-03-03  James Gallagher <jgallagher@opendap.org>

	Added conditional include of unistd.h for RHEL3 build.

	M    SignalHandler.cc
	M    tests/TestArray.cc
	M    HTTPConnect.cc
	M    DAS.cc

2008-03-03  James Gallagher <jgallagher@opendap.org>

	Header patch from Patrice Dumas.

	Many files modified.

2008-03-03  James Gallagher <jgallagher@opendap.org>

	Directory regex --> pathname_ok() call. A minor change.

	M Util.cc

2008-03-02  James Gallagher <jgallagher@opendap.org>

	Added shell commands so build works with bison 1.28. That
	version treats the -o option differently than the 2.x version.

	M Makefile.am

;; Local Variables:
;; coding: utf-8
;; End:
2008-03-03  James Gallagher <jgallagher@opendap.org>

	Added conditional include of unistd.h for RHEL3 build.
	M    SignalHandler.cc
	M    tests/TestArray.cc
	M    HTTPConnect.cc
	M    DAS.cc

2008-03-03  James Gallagher <jgallagher@opendap.org>

	Header patch from Patrice Dumas.
	Many files modified.

2008-03-03  James Gallagher <jgallagher@opendap.org>

	Directory regex --> pathname_ok() call. A minor change.
	M Util.cc

2008-03-02  James Gallagher <jgallagher@opendap.org>

	Added shell commands so build works with bison 1.28. That
	version treats the -o option differently than the 2.x version.
	M Makefile.am

2008-03-01  James Gallagher <jgallagher@opendap.org>

	Tweaked the comments about the YY_INPUT macro.
	M dds.lex

2008-02-29  James Gallagher <jgallagher@opendap.org>

	Switch back to the old YY_INPUT macro for now...
	M    dds.lex

2008-02-29  James Gallagher <jgallagher@opendap.org>

	I found that a number of the places where a *.tab.h was included did
	not get changed when I went to the .hh file names (which is how
	bison does things when you tell it to make the output a *.tab.cc
	file). Here are the fixes. the distcheck and rpm targets now work.
	M    Error.lex
	M    Int16.cc
	M    error-test.cc
	M    tests/expr-test.cc
	M    tests/dds-test.cc
	M    UInt16.cc
	M    Int32.cc
	M    gse-test.cc
	M    Str.cc
	M    Float64.cc
	M    Operators.h
	M    UInt32.cc

2008-02-29  James Gallagher <jgallagher@opendap.org>

	There are three changes in these files: 1. formatting;
	2. Grammar builds; 3. Security fixes. For the formatting
	changes some files just got messed up and I was sick of
	looking at it. Grammar changes amount to simplifying the
	builds of the lex and y files. Now the sed calls in the
	Makefile have been removed - commented out to be completely
	removed later. 3. Nothing major on the security front
	but I made some changes all the same.

2008-02-29  Patrick West <pwest@ucar.edu>

	Updates for release of 3.7.11.
	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    libdap.spec
	M    README
	M    NEWS

;; Local Variables:
;; coding: utf-8
;; End:
2008-02-28  Patrick West <pwest@ucar.edu>

	If cleanup.sh does not exist, then a make clean will error out.
	clean-local depends on cleanup.sh.
	M    cache-testsuite/Makefile.am

2008-02-28  Patrick West <pwest@ucar.edu>

	Added comment regarding ais_testsuite directory and how those files
	are being distributed.
	M    unit-tests/Makefile.am

2008-02-28  Patrick West <pwest@ucar.edu>

	Removing generated files from Makefile.am. Removing temporary files
	in marshT created for writing marshalled data. cleanup script
	cleaned up.  cache-testsuite makefile running local cleanup.sh since
	cleanup.sh is generated, also added distclean-local to remove the
	dods_cache directory.  unit-tests makefile adds individual
	ais_testsuite files because there is the generated file there so
	just adding the directory wasn't working.
	M    Makefile.am
	M    unit-tests/marshT.cc
	M    unit-tests/cache-testsuite/cleanup.sh.in
	M    unit-tests/cache-testsuite/Makefile.am
	M    unit-tests/Makefile.am

2008-02-28  Patrick West <pwest@ucar.edu>

	Modified tests and configuration to get unit-tests to run during
	distcheck.
	M    unit-tests/AISMergeTest.cc
	M    unit-tests/DODSFilterTest.cc
	D    unit-tests/ais_testsuite/ais_database.xml
	A    unit-tests/ais_testsuite/ais_database.xml.in
	D    unit-tests/cache-testsuite/cleanup.sh
	A    unit-tests/cache-testsuite/cleanup.sh.in
	M    unit-tests/cache-testsuite/Makefile.am
	M    unit-tests/DASTest.cc
	M    unit-tests/AISResourcesTest.cc
	M    unit-tests/DDSTest.cc
	A    unit-tests/test_config.h.in
	M    unit-tests/HTTPConnectTest.cc
	M    unit-tests/DDXParserTest.cc
	M    unit-tests/cgiUtilTest.cc
	M    unit-tests/AISDatabaseParserTest.cc
	M    unit-tests/CEFunctionsTest.cc
	M    unit-tests/GridGeoConstraintTest.cc
	M    unit-tests/Makefile.am
	M    unit-tests/RCReaderTest.cc

2008-02-27  Patrick West <pwest@ucar.edu>

	Added check for cppunit in configure. If present, then the tests
	will be built and run. if not then a message will appear saying that
	can't run the tests without the library, but it's not an error.
	M    configure.ac
	A    conf/cppunit.m4
	M    Makefile.am
	M    unit-tests/Makefile.am

2008-02-27  James Gallagher <jgallagher@opendap.org>

	Updated indentation using "indent -kr"
	M    gl/alloca_.h
	M    gl/mbchar.h
	M    gl/localcharset.c
	M    gl/strcasecmp.c
	M    gl/regex_internal.c
	M    gl/strnlen1.c
	M    gl/malloc.c
	M    gl/wchar_.h
	M    gl/localcharset.h
	M    gl/stdint_.h
	M    gl/strcase.h
	M    gl/regex.c
	M    gl/stdbool_.h
	M    gl/memchr.c
	M    gl/regex_internal.h
	M    gl/strnlen1.h
	M    gl/mbuiter.h
	M    gl/regex.h
	M    gl/wctype_.h
	M    gl/regexec.c
	M    gl/strncasecmp.c
	M    gl/gettext.h
	M    gl/alloca.c
	M    gl/mbchar.c
	M    gl/regcomp.c

2008-02-26  Patrick West <pwest@ucar.edu>

	No longer need the MacOSX specific readme and install files.
	M    OSX_Resources/Info.plist
	D    INSTALL_MacOSX.rtf
	D    README_MacOSX.rtf

2008-02-23  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2008-02-22  James Gallagher <jgallagher@opendap.org>

	Updated

2008-02-22  James Gallagher <jgallagher@opendap.org>

	Fixed an error that crept into xdr-datatypes-static from the xp
	port. I made the change in a new copy of the xdr-datatypes.h header
	added to the VCPP directory.  Also, I removed some old code from the
	XDRUtils.cc file.
	M    xdr-datatypes-static.h
	AM   VCPP/xdr-datatypes.h
	M    XDRUtils.cc

2008-02-21  Patrick West <pwest@ucar.edu>

	Added remove of temporary directories when pkg build is done.
	M    Makefile.am

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Modified Makefile to install xdr-datatypes.h from VCPP

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Removed a patch
	M XDRStreamMarshaller.cc

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Removed a patch
	M XDRFileMarshaller.cc

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Backed out some changes for my version of XP.
	M XDRFileUnMarshaller.cc

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Fixes for the win32 build from Anna Nokolov - I turned her files
	into a patch but there were some rejects.
	M    xdr-datatypes-static.h
	M    XDRFileUnMarshaller.cc
	M    gl/stdint_.h
	M    XDRStreamMarshaller.cc

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Added patch from Anna Nokolov.
	M XDRFileMarshaller.cc

2008-02-21  James Gallagher <jgallagher@opendap.org>

	Applied Win32 patches from Anna Nokolov.
	M    cgi_util.cc
	M    VCPP/Makefile
	M    GNU/GNURegex.cc
	M    parser-util.cc
	M    util.h
	M    das.lex
	M    gl/localcharset.c
	M    gl/stdint_.h
	M    gl/regex_internal.h
	M    util.cc
	M    XDRFileMarshaller.cc

2008-02-18  Patrick West <pwest@ucar.edu>

	functional expressions were not being evaluated when building the
	ddx.  Updated this and removed newline from error message if problem
	with functional expressions.
	M    DODSFilter.cc

2008-02-14  Patrick West <pwest@ucar.edu>

	Fixed sed issue with discovering version inormation in libdap.m4.
	This one should be used by anyone who wants to use libdap.
	M    conf/libdap.m4

2008-02-13  James Gallagher <jgallagher@opendap.org>

	Added unistd.h include.
	M    unit-tests/AISResourcesTest.cc
	M    unit-tests/ByteTest.cc
	M    unit-tests/testFile.cc

2008-02-13  James Gallagher <jgallagher@opendap.org>

	Added config.h header include to AttrTableTest.cc

2008-02-13  James Gallagher <jgallagher@opendap.org>

	Added include of unistd.h to AttrTableTest.cc for RHEL3

2008-02-05  James Gallagher <jgallagher@opendap.org>

	Removed two tests that fail on machines where the tests are run as
	root.
	M HTTPCacheTest.cc

2008-02-05  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2008-02-04  Patrick West <pwest@ucar.edu>

	Added method to not only return the FILE pointer but also the cached
	file name when getting the cached response. Also, when parsing
	headers, taking into account a blank line and a malformed header.
	M    HTTPCache.cc
	M    HTTPCache.h
	M    HTTPConnect.cc

2008-02-04  Patrick West <pwest@ucar.edu>

	Includes added for unlink function call
	M    unit-tests/ddsT.cc

2008-02-02  Patrick West <pwest@ucar.edu>

	Added namespace libdap
	M    Error.lex
	M    RValue.cc
	M    DDXParser.h
	M    DODSFilter.cc
	M    HTTPResponse.h
	M    Int16.cc
	M    Int32.h
	M    Structure.h
	M    AISResources.cc
	M    Sequence.h
	M    Str.h
	M    ResponseTooBigErr.cc
	M    SignalHandler.cc
	M    ResponseTooBigErr.h
	M    SignalHandler.h
	M    XDRUtils.h
	M    escaping.h
	M    Connect.h
	M    DDXParser.cc
	M    cgi_util.cc
	M    dods-datatypes-static.h
	M    ce_functions.h
	M    gse.lex
	M    DDXExceptions.h
	M    Resource.h
	M    Error.cc
	M    HTTPCacheDisconnectedMode.h
	M    UnMarshaller.h
	M    Response.h
	M    Int16.h
	M    SignalHandlerRegisteredErr.h
	M    ce_parser.h
	M    ConstraintEvaluator.cc
	M    DAS.h
	M    DDS.cc
	M    XDRFileMarshaller.h
	M    tests/TestInt32.h
	M    tests/TestStructure.h
	M    tests/TestInt16.h
	M    tests/TestUrl.h
	M    tests/TestSequence.h
	M    tests/TestStr.h
	M    tests/TestFloat64.h
	M    tests/das-test.cc
	M    tests/TestGrid.h
	M    tests/TestByte.h
	M    tests/TestTypeFactory.h
	M    tests/TestFloat32.h
	M    tests/TestArray.h
	M    tests/TestUInt32.h
	M    tests/dds-test.cc
	M    tests/TestUInt16.h
	M    tests/TestCommon.cc
	M    Array.cc
	M    BaseType.h
	M    HTTPCacheInterruptHandler.h
	M    EventHandler.h
	M    Float64.h
	M    AISConnect.cc
	M    UInt16.cc
	M    InternalErr.h
	M    EncodingType.h
	M    gse_parser.h
	M    Marshaller.h
	M    AlarmHandler.h
	M    Byte.cc
	M    GNU/GNURegex.cc
	M    GNU/GNURegex.h
	M    Byte.h
	M    DataDDS.h
	M    BaseType.cc
	M    DDS.h
	M    XDRUtils.cc
	M    ArrayGeoConstraint.h
	M    GeoConstraint.h
	M    HTTPCacheResponse.h
	M    RCReader.cc
	M    GridGeoConstraint.h
	M    Constructor.h
	M    util_mit.h
	M    Error.h
	M    Int32.cc
	M    DODSFilter.h
	M    DapObj.h
	M    gse.y
	M    HTTPCache.cc
	M    DataDDS.cc
	M    HTTPCache.h
	M    parser-util.cc
	M    DapIndent.h
	M    ce_expr.y
	M    AISResources.h
	M    ObjectType.h
	M    Float32.cc
	M    Error.y
	M    dds.lex
	M    PipeResponse.h
	M    util.h
	M    AISExceptions.h
	M    AISDatabaseParser.h
	M    AttrTable.cc
	M    InternalErr.cc
	M    Grid.h
	M    HTTPConnect.cc
	M    AISMerge.h
	M    RValue.h
	M    Structure.cc
	M    cgi_util.h
	M    Url.cc
	M    Vector.cc
	M    getdap.cc
	M    BaseTypeFactory.h
	M    Str.cc
	M    Sequence.cc
	M    das.lex
	M    XDRFileUnMarshaller.cc
	M    Float32.h
	M    XDRFileUnMarshaller.h
	M    ce_functions.cc
	M    expr.h
	M    AttrTable.h
	M    GridGeoConstraint.cc
	M    Constructor.cc
	M    UInt32.h
	M    XDRStreamMarshaller.h
	M    das.y
	M    AISMerge.cc
	M    parser.h
	M    BaseTypeFactory.cc
	M    Url.h
	M    Vector.h
	M    DAS.cc
	M    ConstraintEvaluator.h
	M    GSEClause.cc
	M    GSEClause.h
	M    util.cc
	M    Clause.h
	M    ArrayGeoConstraint.cc
	M    Float64.cc
	M    Operators.h
	M    UInt32.cc
	M    XDRStreamMarshaller.cc
	M    Grid.cc
	M    util_mit.cc
	M    Connect.cc
	M    escaping.cc
	M    unit-tests/AISMergeTest.cc
	M    unit-tests/sequenceT.cc
	M    unit-tests/DODSFilterTest.cc
	M    unit-tests/HTTPCacheTest.cc
	M    unit-tests/DASTest.cc
	M    unit-tests/AISResourcesTest.cc
	M    unit-tests/DDSTest.cc
	M    unit-tests/SignalHandlerTest.cc
	M    unit-tests/ArrayGeoConstraintTest.cc
	M    unit-tests/ArrayTest.cc
	M    unit-tests/AttrTableTest.cc
	M    unit-tests/HTTPConnectTest.cc
	M    unit-tests/DDXParserTest.cc
	M    unit-tests/ddsT.cc
	M    unit-tests/cgiUtilTest.cc
	M    unit-tests/ByteTest.cc
	M    unit-tests/attrTableT.cc
	M    unit-tests/SequenceTest.cc
	M    unit-tests/RegexTest.cc
	M    unit-tests/generalUtilTest.cc
	M    unit-tests/AISDatabaseParserTest.cc
	M    unit-tests/GridGeoConstraintTest.cc
	M    unit-tests/RCReaderTest.cc
	M    unit-tests/parserUtilTest.cc
	M    HTTPConnect.h
	M    dds.y
	M    StdinResponse.h
	M    DapIndent.cc
	M    XDRFileMarshaller.cc
	M    Clause.cc
	M    AISDatabaseParser.cc
	M    GeoConstraint.cc
	M    Array.h
	M    AISConnect.h
	M    UInt16.h
	M    ce_expr.lex
	M    RCReader.h

2008-02-01  James Gallagher <jgallagher@opendap.org>

	Added some file to svn:ignore

	M gl

2008-02-01  James Gallagher <jgallagher@opendap.org>

	Added conditional set of the gcc -Wall, et c., flags.
	M Makefile.am

2008-01-31  Nathan Potter <ndp@coas.oregonstate.edu>

	libdap: Changed Error handling in ce_functions.cc so that the errors
	thrown appropriatley referenced an error code other than unknown

2008-01-31  James Gallagher <jgallagher@opendap.org>

	Added conditional set of the gcc -Wall, et c., flags.

2008-01-30  James Gallagher <jgallagher@opendap.org>

	Include <algorithm> for all builds, not just win32. This is a fix
	for AIX and its native compiler.

2008-01-29  James Gallagher <jgallagher@opendap.org>

	Update to the package target for OSX.
	M    OSX_Resources/InstallationCheck
	M    OSX_Resources/update_mac_package_contents.pl
	M    OSX_Resources/InstallationCheck.strings
	M    Makefile.am

2008-01-28  James Gallagher <jgallagher@opendap.org>

	It seems that universal binaries are not yet working - I commented
	out that part of the Makefile.
	M    Makefile.am

2008-01-28  James Gallagher <jgallagher@opendap.org>

	Hacked the Makefile.am so that the 'pkg' target makes a universal
	binary - maybe. Fixed up the OSX resources' text.
	M    OSX_Resources/Info.plist
	M    OSX_Resources/Description.plist
	M    Makefile.am

2008-01-22  James Gallagher <jgallagher@opendap.org>

	Added support to filter out ^M that's introduced by DOS editors.
	M update_mac_package_contents.pl

2008-01-16  James Gallagher <jgallagher@opendap.org>

	Updated comments
	M Makefile.am

2008-01-16  James Gallagher <jgallagher@opendap.org>

	Removed major and minor version.
	M    OSX_Resources/Info.plist

2008-01-14  James Gallagher <jgallagher@opendap.org>

	Applied pkgconfig patch from Patrice.
	M    libdap.spec
	M    Makefile.am
	M    libdapclient.pc.in
	M    libdap.pc.in
	M    unit-tests/testFile.cc
	M    unit-tests/Makefile.am
	M    libdapserver.pc.in
	A    dap-config-pkgconfig

2008-01-12  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2008-01-11  James Gallagher <jgallagher@opendap.org>

	Added. These help automate the build process.
	AM   OSX_Resources/macify_license_file.pl
	AM   OSX_Resources/update_mac_package_contents.pl

2008-01-11  James Gallagher <jgallagher@opendap.org>

	Updates to the OS/X build so that it is more automatic. No more
	pmproj file, either. I added <code> tags in the README so that the
	perl script that updates the Mac version of that file will look
	decent.
	M    OSX_Resources/InstallationCheck
	M    OSX_Resources/License.txt
	M    OSX_Resources/Info.plist
	M    OSX_Resources/InstallationCheck.strings
	M    OSX_Resources/ReadMe.txt
	M    OSX_Resources/Welcome.html
	M    README
	M    Makefile.am
	D    mac_osx
	D    libdap.pmproj

2008-01-10  Patrick West <pwest@ucar.edu>

	Certain size vector of bytes was failing when writing to the xdr
	stream.  Changed the size of the buffer to add enough to cover the
	word boundary.  Updated unit test to test for this.
	M    Vector.cc
	M    XDRStreamMarshaller.cc
	M    unit-tests/marshT.cc
	M    unit-tests/arrayT.cc

2008-01-08  James Gallagher <jgallagher@opendap.org>

	Removed leading spaces of the lines so that the file can be used
	easily on the Mac where lines will wrap in the Installer.

2008-01-08  James Gallagher <jgallagher@opendap.org>

	Fixed up these two tests to match the changes in the ais database
	they used.
	M    unit-tests/AISMergeTest.cc
	M    unit-tests/AISResourcesTest.cc

2008-01-07  James Gallagher <jgallagher@opendap.org>

	make check now runs the unit tests (ticket 1012)
	M    Makefile.am

2008-01-07  James Gallagher <jgallagher@opendap.org>

	Fixed the AIS database parser tests so they now use Hyrax and not
	some kludge.
	M    unit-tests/ais_testsuite/ais_database.xml
	M    unit-tests/AISDatabaseParserTest.cc

2007-12-01  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-11-30  Patrick West <pwest@ucar.edu>

	MacOSX resources updated. Added a README and INSTALL file to be put
	alongside the .pkg in the .dmg.
	M    OSX_Resources/Info.plist
	D    README_MaxOSX.rtf
	M    Makefile.am
	A    README_MacOSX.rtf

2007-11-30  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-11-29  Patrick West <pwest@ucar.edu>

	the .pc files needed to be dealt with during the pkg build so that
	the prefix was set correctly.
	M    Makefile.am

2007-11-29  Patrick West <pwest@ucar.edu>

	README and INSTALL files for a MacOSX installation. To be put into
	the .dmg along with the .pkg.
	A    README_MaxOSX.rtf
	A    INSTALL_MacOSX.rtf

2007-11-28  James Gallagher <jgallagher@opendap.org>

	Updated for release 3.7.10

	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    libdap.spec
	M    README
	M    NEWS

;; Local Variables:
;; coding: utf-8
;; End:
2007-11-28  James Gallagher <jgallagher@opendap.org>

	Fixed warnings about potentially uninitialized uses of ENTRY in
	HTTPCache.cc

2007-11-28  Patrick West <pwest@ucar.edu>

	Added private default constructor, copy constructor, and operator=
	to the classes, all through InternalErr. Added copyright
	information as well.
	
	M    XDRUtils.h
	M    UnMarshaller.h
	M    XDRFileMarshaller.h
	M    Marshaller.h
	M    XDRUtils.cc
	M    XDRFileUnMarshaller.cc
	M    XDRFileUnMarshaller.h
	M    XDRStreamMarshaller.h
	M    XDRStreamMarshaller.cc
	M    XDRFileMarshaller.cc

2007-11-26  Patrick West <pwest@ucar.edu>

	In Vector.cc, checking if _var is null before attempting delete.
	Didn't appear to be an issue, but seemed to be a needed test.

	In XDRStreamMarshaller, not allocating such a large buffer.
	Allocating only what is needed in put_str and both put_vector
	calls. The other methods are using the static buffer so we don't
	have to allocate each time. Prettied up the code, added more
	comments, and corrected some exception messages.
	
	M    Vector.cc
	M    XDRStreamMarshaller.cc

2007-11-21  James Gallagher <jgallagher@opendap.org>

	libdapclient and libdapserver library versions bumped up.

	M    configure.ac
	M    depend.sh
	M    libdap.spec
	M    NEWS

2007-11-14  James Gallagher <jgallagher@opendap.org>

	Fixed the LIBDAP CHECK macro

	M    conf/libdap.m4

2007-11-13  James Gallagher <jgallagher@opendap.org>

	Updated for version 3.7.9

	M    configure.ac
	M    ChangeLog
	M    INSTALL
	M    libdap.spec
	M    README
	M    NEWS

2007-11-13  James Gallagher <jgallagher@opendap.org>

	Fixeed ticket #995. The problem was in intern_data_for_leaf.
	This problem was fixed by changing the way intern_data_for_leaf()
	worked, slightly. It was always popping the stack of `d_values`
	object pointers regardless of the return value of read_row().
	However, if no values are read then the call to
	intern_data_for_parent_part_two() would never be called and the
	d_values field of the child sequence wouldn't be pushed onto the stack.
	Hence the pop should not happen - because there's no child there to
	pop. I fixed this with a slight change in the code. The method now
	skips the while loop and subsequent pop operation if the first call
	to read_row() returns false. The while loop won't be run anyway,
	so the actual change is minor and eliminates an unnecessary test
	in the case where read_row does return false initially.

	All of the tests that are expected to pass now do.

2007-11-12  James Gallagher <jgallagher@opendap.org>

	Grid.cc: Changed the way the declarataion is printed by print_val()
	so that intern_data can use this too and work with the expr-test
	test driver.
	Sequence.cc: transfer_data_part_two() now uses intern_data() when
	it should in place of read(). Also, print_one_row() is now more
	flexible in the way it prints rows. Before it expected that the
	first row would alway be printed (because it assume that the row
	had been read by deserialize()). Now it checks to see if the row
	should be printed because it knows that intern_data() might be
	run and that method is working with local data - the first row
	might not satisfy the CE.
	Sequence.h: Formatting
	Structure.cc: Switched from transfer_data to intern_data.

2007-11-12  James Gallagher <jgallagher@opendap.org>

	Fixed this test. The error message changed and the test failed
	for that reason, not that error went undetected.

	M dds-testsuite/dds-test.0/test.17.exp

2007-11-12  James Gallagher <jgallagher@opendap.org>

	Copied and munged these so that they call the expr-test_start
	procedure and test intern_data() in libdap.

	M    test.9.exp
	M    test.ya.exp
	M    test.yb.exp
	M    test.yc.exp
	M    test.yd.exp
	M    test.ye.exp
	M    test.yf.exp
	M    test.yg.exp
	M    test.a.exp
	M    test.b.exp
	M    test.c.exp
	M    test.d.exp
	M    test.zz0.exp
	M    test.e.exp
	M    test.zz1.exp
	M    test.zz2.exp
	M    test.f.exp
	M    test.zz3.exp
	M    test.g.exp
	M    test.zz4.exp
	M    test.61a.exp
	M    test.h.exp
	M    test.zz5.exp
	M    test.61b.exp
	M    test.i.exp
	M    test.61c.exp
	M    test.j.exp
	M    test.61d.exp
	M    test.k.exp
	M    test.l.exp
	M    test.m.exp
	M    test.n.exp
	M    test.o.exp
	M    test.p.exp
	M    test.q.exp
	M    test.r.exp
	M    test.s.exp
	M    test.t.exp
	M    test.u.exp
	M    test.v.exp
	M    test.w.exp
	M    test.wa.exp
	M    test.x.exp
	M    test.wb.exp
	M    test.y.exp
	M    test.wc.exp
	M    test.xa.exp
	M    test.xb.exp
	M    test.xc.exp
	M    test.xd.exp
	M    test.xe.exp
	M    test.z0.exp
	M    test.z1.exp
	M    test.z2.exp
	M    test.z3.exp
	M    test.z4.exp
	M    test.z5.exp
	M    test.z6.exp
	M    test.1.exp
	M    test.z7.exp
	M    test.2.exp
	M    test.5.exp
	M    test.6.exp

2007-11-12  James Gallagher <jgallagher@opendap.org>

	Updated test code so that the new intern_data() method is tested.

	M    tests/TestInt32.cc
	M    tests/TestInt32.h
	M    tests/TestInt16.cc
	M    tests/TestStructure.h
	M    tests/TestInt16.h
	M    tests/TestUrl.h
	M    tests/TestStr.h
	M    tests/TestSequence.h
	M    tests/TestFloat32.cc
	M    tests/TestArray.cc
	M    tests/TestFloat64.cc
	M    tests/expr-testsuite/config/unix.exp
	M    tests/TestFloat64.h
	M    tests/TestUInt32.cc
	M    tests/TestGrid.cc
	M    tests/TestUInt16.cc
	M    tests/TestGrid.h
	M    tests/TestCommon.h
	M    tests/expr-test.cc
	M    tests/TestStructure.cc
	M    tests/TestUrl.cc
	M    tests/TestByte.cc
	M    tests/TestByte.h
	M    tests/TestSequence.cc
	M    tests/TestStr.cc
	M    tests/README
	M    tests/TestFloat32.h
	M    tests/TestArray.h
	M    tests/TestUInt32.h
	M    tests/TestUInt16.h
	M    tests/TestCommon.cc

2007-11-08  James Gallagher <jgallagher@opendap.org>

	Added the intern_data() method as a replacement and fix for/to
	transfer_data(). This method should correctly handle the types
	presented by HDF5 like Array of Structure

	M    Structure.h
	M    Sequence.h
	M    BaseType.h
	M    BaseType.cc
	M    Grid.h
	M    Structure.cc
	M    Vector.cc
	M    Sequence.cc
	M    Vector.h
	M    Grid.cc
	M    unit-tests/HTTPCacheTest.cc
	M    unit-tests/SequenceTest.cc

2007-11-08  Patrick West <pwest@ucar.edu>

	All characters in the pathname need to match the regular
	expression. So need to compare the result of the match call in
	pathname_ok to the length of the path being matched. If not all
	characters match, then return false. 

	M util.cc

2007-10-31  James Gallagher <jgallagher@opendap.org>

	Added pathname_ok() prototype to util.h and added malloc
	check to XDRStreamMarshaller.cc

2007-10-30  James Gallagher <jgallagher@opendap.org>

	Fixed a parse error in the pathname sanitizer function.

	M util.cc

2007-10-24  James Gallagher <jgallagher@opendap.org>

	Formatting

2007-09-27  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-09-26  Patrick West <pwest@ucar.edu>

	marshaller test
	
	A    unit-tests/marshT.cc

2007-09-24  James Gallagher <jgallagher@opendap.org>

	Applied patch from Patrice to package/ship generated
	files with source dists.

	M Makefile.am

2007-09-21  James Gallagher <jgallagher@opendap.org>

	Fixed various issues.

2007-08-28  James Gallagher <jgallagher@opendap.org>

	Modified because issues show up in the nightly builds.

	M    XDRUtils.cc
	M    Vector.cc

2007-08-28  James Gallagher <jgallagher@opendap.org>

	unit-test/Makefile.am: Removed comments that shadowed various
	unit tests since I think that was checked in by mistake.

2007-08-28  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-08-27  Patrick West <pwest@ucar.edu>

	Added methods to be able to send dap objects to iostream in
	addition to the methods to send to FILE pointers. Created
	Marshaller and UnMarshaller classes to pass to serialize and
	deserialize methods (respectively) to separate out that code from
	BaseType classes. Created XDRFileMarshaller to serialize into XDR
	using FILE pointer. Created XDRStreamMarshaller to serialize into
	XDR using ostream (XDR memory buffer). Created XDRFileUnMarshaller
	to read from XDR using FILE pointer. Did NOT create
	XDRStreamUnmarshaller as it didn't seem to be needed. Separated
	out anything to do with XDR into separate header files and utility
	class XDRUtils.
	
	M    DODSFilter.cc
	M    Int16.cc
	M    Int32.h
	M    Structure.h
	M    Sequence.h
	M    Str.h
	M    configure.ac
	A    XDRUtils.h
	A    xdr-datatypes-static.h
	M    cgi_util.cc
	A    xdr-datatypes-config.h.in
	M    dods-datatypes-static.h
	M    Error.cc
	A    UnMarshaller.h
	M    Int16.h
	M    DAS.h
	M    DDS.cc
	A    XDRFileMarshaller.h
	M    tests/expr-test.cc
	M    Array.cc
	M    BaseType.h
	M    Float64.h
	M    UInt16.cc
	M    AlarmHandler.h
	A    Marshaller.h
	M    Byte.cc
	M    Byte.h
	M    DDS.h
	M    BaseType.cc
	A    XDRUtils.cc
	M    Makefile.am
	M    Constructor.h
	M    Error.h
	M    Int32.cc
	M    DODSFilter.h
	M    DataDDS.cc
	M    Float32.cc
	M    util.h
	M    AttrTable.cc
	M    Grid.h
	M    Structure.cc
	M    cgi_util.h
	M    Vector.cc
	M    Str.cc
	M    Sequence.cc
	A    XDRFileUnMarshaller.cc
	M    Float32.h
	A    XDRFileUnMarshaller.h
	M    AttrTable.h
	M    Constructor.cc
	M    UInt32.h
	A    XDRStreamMarshaller.h
	M    dods-datatypes-config.h.in
	M    Vector.h
	M    DAS.cc
	M    util.cc
	M    Float64.cc
	M    UInt32.cc
	A    XDRStreamMarshaller.cc
	M    Grid.cc
	M    Connect.cc
	M    unit-tests/Makefile.am
	A    XDRFileMarshaller.cc
	M    Array.h
	M    UInt16.h

2007-08-24  James Gallagher <jgallagher@opendap.org>

	Makefile.am: Updated fortify targets

2007-08-22  Patrick West <pwest@ucar.edu>

	Functionality of Passive classes was passed to their parent
	classes. Added set_value(vector<type>) methods to Vector. Added
	default read method to Structure that iterates through vars and
	calls read, just as PassiveStructure did. Removed Passive classes
	from Makefile.
	
	D    PassiveUrl.cc
	D    PassiveInt16.h
	M    Structure.h
	D    PassiveStr.cc
	D    PassiveStr.h
	D    PassiveUInt16.h
	D    PassiveInt16.cc
	D    PassiveByte.cc
	D    PassiveFloat32.h
	D    PassiveStructure.cc
	D    PassiveStructure.h
	D    PassiveUInt32.cc
	D    PassiveFloat32.cc
	D    PassiveArray.cc
	M    Makefile.am
	D    PassiveInt32.cc
	M    Structure.cc
	M    Vector.cc
	D    PassiveFloat64.cc
	D    PassiveArray.h
	D    PassiveInt32.h
	D    PassiveUrl.h
	D    PassiveByte.h
	M    Vector.h
	D    PassiveFloat64.h
	D    PassiveUInt32.h
	D    PassiveUInt16.cc

2007-08-22  James Gallagher <jgallagher@opendap.org>

	Str.h: Changed the size of max_str_len from 32767 to 65535
	(DODS_USHORT_INT-1) because 32k was not big enough for the
	AURA HDF5 data files. See ticket 962 and 956.

2007-08-21  James Gallagher <jgallagher@opendap.org>

	Response.h: Made the new 'status' parameter have a default
	value of '0' so that specializations do not need modification
	if they know nothing about the new param. This change was
	made for PipeResponse.h - arguably something that should be
	removed, but it's there as long as we support the CGI server.
	StdinResponse.h: Removed the second param to teh ctor since
	it is no longer needed.

2007-08-21  James Gallagher <jgallagher@opendap.org>

	Makefile.am: Removed -Werror since on OS/X and RHEL3
	the grammar files generate warnings about unused
	variables.

2007-08-20  James Gallagher <jgallagher@opendap.org>

	Removed warnings about strict aliasing rules by adding
	Vector::void *value() and replacing calls to buf2_val()
	with it. See ticket #941.

2007-08-20  James Gallagher <jgallagher@opendap.org>

	Updates to a number of the doxygen comments.

2007-08-20  James Gallagher <jgallagher@opendap.org>

	Fixed a problem in util.cc where the sense of size_ok()
	was backwards! Also rewrote parts of ce_functions.cc so
	that value() was used in place of buf2val() which is far
	better from a type-safety standpoint and removes a number
	of warnings about strict aliasing of types. Also fixed
	error in Error.cc where 'undefined_error' was used where
	zero (0) should have been used. Modified RValue"build_btp_args()
	so that the size of the arg list is added to the malformed
	args message.

2007-08-18  James Gallagher <jgallagher@opendap.org>

	Patch from Patrice Dumas that fixes the distclean target and
	repairs the spec file now that the generated grammar files are no
	longer included checked into subversion.

	M    libdap.spec
	M    Makefile.am

2007-08-17  James Gallagher <jgallagher@opendap.org>

	Added a target so that the generated grammar files are copied to a
	directory so that they don't _have_ to be built using bison/flex.

	M    INSTALL
	M    Makefile.am

2007-08-17  James Gallagher <jgallagher@opendap.org>

	I removed the generated grammar files from svn (but put copies in
	the new 'grammarfile' subdirectory). Now, svn checkouts need bison
	and flex to build.

	D    lex.gse_.cc
	D    lex.dds.cc
	D    expr.tab.h
	D    dds.tab.h
	D    ce_expr.tab.cc
	M    GNU/GNURegex.cc
	D    lex.Error.cc
	M    Makefile.am
	D    ce_expr.tab.h
	D    Error.tab.h
	A    grammarfiles
	A    grammarfiles/ce_expr.tab.h
	A    grammarfiles/lex.das.cc
	A    grammarfiles/Error.tab.cc
	A    grammarfiles/Error.tab.h
	A    grammarfiles/lex.dds.cc
	A    grammarfiles/lex.gse_.cc
	A    grammarfiles/lex.ce_expr.cc
	A    grammarfiles/das.tab.cc
	A    grammarfiles/das.tab.h
	A    grammarfiles/dds.tab.cc
	A    grammarfiles/lex.Error.cc
	A    grammarfiles/dds.tab.h
	A    grammarfiles/gse.tab.cc
	A    grammarfiles/gse.tab.h
	A    grammarfiles/expr.tab.h
	A    grammarfiles/ce_expr.tab.cc
	D    lex.das.cc
	D    lex.ce_expr.cc
	D    das.tab.h
	D    das.tab.cc
	D    dds.tab.cc
	D    Error.tab.cc
	D    gse.tab.cc
	D    gse.tab.h

2007-08-15  James Gallagher <jgallagher@opendap.org>

	Fixes

2007-08-15  James Gallagher <jgallagher@opendap.org>

	Fixes

	M    lex.gse_.cc
	M    lex.dds.cc
	M    dds.tab.h
	M    lex.Error.cc
	M    Makefile.am
	M    util.h
	M    lex.das.cc
	M    lex.ce_expr.cc
	M    util.cc
	M    dds.tab.cc
	M    GeoConstraint.cc

2007-08-15  James Gallagher <jgallagher@opendap.org>

	Patch to add HTTP response status to the Response object and to fix the
	spelling of getdap (it was geturl in places). From Darren Hardy.

	M    HTTPResponse.h
	M    lex.gse_.cc
	M    lex.dds.cc
	M    Response.h
	M    dds.tab.h
	M    lex.Error.cc
	M    HTTPCacheResponse.h
	M    HTTPConnect.cc
	M    lex.das.cc
	M    getdap.cc
	M    lex.ce_expr.cc
	M    AISMerge.cc
	M    dds.tab.cc
	M    StdinResponse.h

2007-08-13  James Gallagher <jgallagher@opendap.org>

	Modified as part of refactoring.

	M    RValue.cc
	M    cgi_util.cc
	M    Error.cc
	M    ConstraintEvaluator.cc
	M    DDS.cc
	M    Array.cc
	M    Makefile.am
	M    Error.h
	M    HTTPCache.cc
	M    DataDDS.cc
	M    dds.lex
	M    DAS.cc
	M    util.cc
	M    Connect.cc
	M    dods-limits.h
	M    dds.y
	M    Array.h
	M    ce_expr.lex

2007-08-09  James Gallagher <jgallagher@opendap.org>

	Applied the hyrex_redirect patch from NASA. This code now detects and
	records the value of a Location: HTTP header.

	M    HTTPConnect.cc

2007-08-07  Patrick West <pwest@ucar.edu>

	OPeNDAPDir and OPeNDAPFile not needed in libdap, specific to cedar
	project. M Makefile.am

2007-08-07  Patrick West <pwest@ucar.edu>

	Not needed in libdap, specific to cedar project.
	
	A    http://scm.opendap.org:8090/svn/trunk/cedar-handler/OPeNDAPFile.h
	D    http://scm.opendap.org:8090/svn/trunk/libdap/OPeNDAPFile.h

2007-08-07  Patrick West <pwest@ucar.edu>

	Not needed in libdap, specific to cedar project.
	
	A    http://scm.opendap.org:8090/svn/trunk/cedar-handler/OPeNDAPFile.cc
	D    http://scm.opendap.org:8090/svn/trunk/libdap/OPeNDAPFile.cc

2007-08-07  Patrick West <pwest@ucar.edu>

	Not needed in libdap, specific to cedar project.
	
	A    http://scm.opendap.org:8090/svn/trunk/cedar-handler/OPeNDAPDir.cc
	D    http://scm.opendap.org:8090/svn/trunk/libdap/OPeNDAPDir.cc

2007-08-07  Patrick West <pwest@ucar.edu>

	Not needed in libdap, specific to cedar project.
	A    http://scm.opendap.org:8090/svn/trunk/cedar-handler/OPeNDAPDir.h
	D    http://scm.opendap.org:8090/svn/trunk/libdap/OPeNDAPDir.h

2007-06-27  James Gallagher <jgallagher@opendap.org>

	unit-tests/Makefile.am: Added -I$(topsrcdir) to the CPPFLAGS for
	distcheck.

2007-06-27  James Gallagher <jgallagher@opendap.org>

	tests/Makefile.am: Added -I$(topsrcdir) to the CPPFLAGS for
	distcheck.

2007-06-27  James Gallagher <jgallagher@opendap.org>

	Updated for version 3.7.8

	M    INSTALL
	M    README
	M    NEWS

2007-06-26  James Gallagher <jgallagher@opendap.org>

	Updates for version 3.7.8 - still need to do README and INSTALL.

	M    DODSFilter.cc
	M    configure.ac
	M    ChangeLog
	M    libdap.spec
	M    NEWS

2007-06-26  James Gallagher <jgallagher@opendap.org>

	Replaced unidata support email with the opendap-tech list address.

2007-06-26  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-06-25  James Gallagher <jgallagher@opendap.org>

	Added.

	AM   gl/config.charset

2007-06-25  James Gallagher <jgallagher@opendap.org>

	Added files from the gnulib update.

	A    gl/m4/wint_t.m4
	A    gl/m4/wchar.m4
	A    gl/m4/localcharset.m4
	A    gl/m4/ulonglong.m4
	A    gl/m4/stdint.m4
	A    gl/m4/gnulib-common.m4
	A    gl/m4/wctype.m4
	A    gl/m4/longlong.m4
	A    gl/m4/include_next.m4
	A    gl/m4/glibc21.m4
	AM   gl/localcharset.c
	A    gl/ref-del.sed
	AM   gl/localcharset.h
	A    gl/ref-del.sin
	A    gl/ref-add.sed
	AM   gl/wchar_.h
	A    gl/ref-add.sin
	AM   gl/stdint_.h
	AM   gl/wctype_.h

2007-06-22  James Gallagher <jgallagher@opendap.org>

	Updated gnulib and fixed a memory problem in the GNURegex class
	(which should really be renamed to DAPRegex, but that would break
	other code). The problem was that to use the gnulib regex code the
	config.h header has to be included and the gl subdir must be
	searched. I moved the declaration of the regex_t field of Regex
	into the implementation file to avoid having config.h in a header
	that is installed in <prefix>/include. This fixes ticket #953
	which first showed up in libnc-dap.

	M    tests/Makefile.am
	M    GNU/GNURegex.cc
	M    GNU/GNURegex.h
	M    Makefile.am
	M    regex_test.cc
	M    gl/alloca_.h
	M    gl/m4/regex.m4
	M    gl/m4/gnulib-comp.m4
	M    gl/m4/ssize_t.m4
	M    gl/m4/gnulib-cache.m4
	M    gl/m4/onceonly_2_57.m4
	M    gl/m4/codeset.m4
	M    gl/m4/alloca.m4
	M    gl/m4/extensions.m4
	M    gl/regex_internal.c
	M    gl/malloc.c
	M    gl/stdbool_.h
	M    gl/regex.c
	M    gl/regex_internal.h
	M    gl/regex.h
	M    gl/regexec.c
	M    gl/Makefile.am
	M    gl/gettext.h
	M    gl/alloca.c
	M    gl/regcomp.c
	M    util.cc
	M    Operators.h
	M    unit-tests/RegexTest.cc
	M    unit-tests/Makefile.am

2007-06-21  James Gallagher <jgallagher@opendap.org>

	Reverted to the old version of get_attr() for release.

	M    AttrTable.cc

2007-06-21  James Gallagher <jgallagher@opendap.org>

	escaping.cc: one last call to size replaced.

2007-06-21  James Gallagher <jgallagher@opendap.org>

	escaping.cc: Replaced calls to string::size() with ones to
	string::length(). They return the same information, but it's
	cleaner to use the same method everywhere

2007-06-19  James Gallagher <jgallagher@opendap.org>

	Fixed a problem in save_raw_http_header() where a header from an
	old server (terminated by a newline but no return) caused a read
	violation when the header was empty.

	M    HTTPConnect.cc

2007-06-08  James Gallagher <jgallagher@opendap.org>

	Spelling in comments and strings

	M    AlarmHandler.h
	M    GeoConstraint.h
	M    expr.h
	M    RCReader.h

2007-06-04  James Gallagher <jgallagher@opendap.org>

	Updated comments.

	M    lex.gse_.cc
	M    AISResources.cc
	M    configure.ac
	M    cgi_util.cc
	M    lex.dds.cc
	M    ChangeLog
	M    ConstraintEvaluator.cc
	M    Array.cc
	M    ce_expr.tab.cc
	M    Byte.cc
	M    lex.Error.cc
	M    ce_expr.tab.h
	M    Error.tab.h
	M    AttrTable.cc
	M    lex.das.cc
	M    lex.ce_expr.cc
	M    das.tab.h
	M    ce_functions.cc
	M    Constructor.cc
	M    das.tab.cc
	M    ArrayGeoConstraint.cc
	M    Connect.cc
	M    Error.tab.cc
	M    Clause.cc
	M    doxy.conf
	M    gse.tab.cc
	M    gse.tab.h

2007-05-25  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-05-24  Patrick West <pwest@ucar.edu>

	Standard location of PackageMaker command line app.
	
	M    Makefile.am

2007-05-24  Patrick West <pwest@ucar.edu>

	Ability to build .pkg file from the Makefile instead of running
	PackageMaker GUI.
	
	A    OSX_Resources/Info.plist
	A    OSX_Resources/Description.plist
	M    Makefile.am

2007-05-18  James Gallagher <jgallagher@opendap.org>

	Updated pkg.m4 macros

	M    pkg.m4

2007-05-17  James Gallagher <jgallagher@opendap.org>

	Fixed typos in grammar files.

	M    Error.lex
	M    gse.lex
	M    gse.y
	M    ce_expr.y
	M    Error.y
	M    dds.lex
	M    das.lex
	M    das.y
	M    ce_expr.lex

2007-05-17  James Gallagher <jgallagher@opendap.org>

	Fixed typos in libdap headers.

	M    DDXParser.h
	M    Sequence.h
	M    SignalHandler.h
	M    debug.h
	M    escaping.h
	M    Connect.h
	M    ce_functions.h
	M    SignalHandlerRegisteredErr.h
	M    gse_parser.h
	M    DDS.h
	M    ArrayGeoConstraint.h
	M    GeoConstraint.h
	M    HTTPCacheResponse.h
	M    Error.h
	M    AISResources.h
	M    PipeResponse.h
	M    util.h
	M    Grid.h
	M    AttrTable.h
	M    PassiveUrl.h
	M    Url.h
	M    Clause.h
	M    Operators.h
	M    HTTPConnect.h
	M    StdinResponse.h
	M    Array.h
	M    UInt16.h

2007-05-17  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-05-16  James Gallagher <jgallagher@opendap.org>

	Added pkg.m4 to conf so build from svn will work on machines w/o
	pkg-config. Updated comments.

	A    conf/pkg.m4
	M    Makefile.am
	M    Constructor.h
	M    unit-tests/Makefile.am

2007-05-14  James Gallagher <jgallagher@opendap.org>

	Removed the html docs from svn; RPM now builds a 'doc' package.

	D    docs/html.tar.gz
	M    libdap.spec

2007-05-14  James Gallagher <jgallagher@opendap.org>

	Resolved conflicted state of AISDatabaseParser.h

2007-05-14  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-05-13  James Gallagher <jgallagher@opendap.org>

	Patrice Dumas' changes to dods-datatypes.h - Now the header uses
	the C99 types unless the stdint.h header is not present.

	D    dods-datatypes.h.in
	M    configure.ac
	A    dods-datatypes-static.h
	M    conf/acinclude.m4
	M    Makefile.am
	A    dods-datatypes-config.h.in

2007-05-13  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-05-12  James Gallagher <jgallagher@opendap.org>

	Added Patrice Dumas' pkgconf patches

	M    dods-datatypes.h.in
	M    configure.ac
	AM   conf/compile
	M    conf/libdap.m4
	A    conf/check_zlib.m4
	M    libdap.spec
	M    BaseType.cc
	M    Makefile.am
	M    Structure.cc
	A    libdapclient.pc.in
	A    libdap.pc.in
	A    libdapserver.pc.in
	M    dap-config.in

2007-05-10  James Gallagher <jgallagher@opendap.org>

	Comments & Strings

	M    BaseType.h
	M    BaseType.cc
	M    Float32.cc
	M    AISDatabaseParser.h
	M    Float32.h
	M    AISDatabaseParser.cc
	M    AISConnect.h

2007-05-02  James Gallagher <jgallagher@opendap.org>

	Updates for 3.7.7

	M    configure.ac
	M    ChangeLog
	M    libdap.spec
	M    README
	M    NEWS

2007-03-29  James Gallagher <jgallagher@opendap.org>

	Added definition of trunc() for Solaris < 10.

2007-03-29  James Gallagher <jgallagher@opendap.org>

	Added definition of trunc() for Solaris < 10.

2007-03-28  James Gallagher <jgallagher@opendap.org>

	All files (.cc and .h) formatted using astyle. I found one
	introduced error and one issue with the strings passed to the
	Error exceptions.

2007-03-27  James Gallagher <jgallagher@opendap.org>

	Minor formatting changes.

	M    Byte.cc
	M    unit-tests/HTTPConnectTest.cc

2007-03-27  James Gallagher <jgallagher@opendap.org>

	Wrapped the calls to ConstraitEvaluator::eval() in a compile-time
	constant (EVAL) which defaults to zero (so the calls are not made
	for non-sequence types). Also wrapped the server-side compression
	code in a compile-time constant COMPRESSION_FOR_SERVER3 which
	is also zero by default. Lastly, added DapObj constructor init
	for BAS, DDS and BaseTyep constructors.

2007-03-26  James Gallagher <jgallagher@opendap.org>

	DDS.cc, unit-tests/DDSTest.cc: Fixed ticket # 708. The dataBLOB
	element now gets an empty href attribute.

2007-03-26  James Gallagher <jgallagher@opendap.org>

	README: Added a note about thread-saftey.

2007-03-26  James Gallagher <jgallagher@opendap.org>

	Patch from Patrice Dumas: Fix the order of library builds! This
	closes #880.

2007-03-23  James Gallagher <jgallagher@opendap.org>

	Fixed the help/version/args messages for the server-side functions
	so that they are somewhat rational. There is a ticket to develop a
	'capabilities' response for Hyrax and that should replace these
	messages.

	M    ce_functions.cc
	M    GeoConstraint.cc

2007-03-23  James Gallagher <jgallagher@opendap.org>

	Updated test for changes to the 'wrong number of args" messages
	from the first set of server-side functions.

	M    tests/expr-testsuite/data.zz0
	M    tests/expr-testsuite/data.z0

2007-03-12  James Gallagher <jgallagher@opendap.org>

	Resolved signed/unsigned compares

	M    Vector.cc

2007-03-12  James Gallagher <jgallagher@opendap.org>

	Removed some int/unsigned compares

	M    tests/TestArray.cc

2007-03-12  James Gallagher <jgallagher@opendap.org>

	Updated notes and version information for 3.7.6.

	M    configure.ac
	M    README.AIS
	M    ChangeLog
	M    INSTALL
	M    README.dodsrc
	M    libdap.spec
	M    README
	M    NEWS

2007-03-12  James Gallagher <jgallagher@opendap.org>

	Fixed some errors in the unit tests, one bug in the RCReader when
	reading the VALIDATE_SSL keyword. Updated the parser stuff.

	M    lex.dds.cc
	M    RCReader.cc
	M    lex.das.cc
	M    das.tab.h
	M    das.y
	M    das.tab.cc
	M    unit-tests/RegexTest.cc
	M    unit-tests/RCReaderTest.cc

2007-03-11  James Gallagher <jgallagher@opendap.org>

	Removed DODS_DEBUG

	M    ce_functions.cc

2007-03-09  James Gallagher <jgallagher@opendap.org>

	Fixed ticket #857: The linear_scale function was crashing because
	of a failure to test that a parent variable existed before getting
	its type. I also fixed an unrelated problem where double quotes
	around an attribute value broke the string --> double code and
	added a new feature where files which omit the y intercept because
	it's zero do not return an error but instead use 0.0 as a default.
	Finally, the error message text was improved.

	M ce_functions.cc

2007-02-16  James Gallagher <jgallagher@opendap.org>

	Makefile.am: removed some errant tabs.

2007-02-16  James Gallagher <jgallagher@opendap.org>

	dap-config.in: fixed #816; --help was wrong.

2007-02-16  James Gallagher <jgallagher@opendap.org>

	I removed throw(Error) from the method declarations in the header
	and impl. files. I removed the include of Error.h from the header.
	I added the include using "" in the impl. This should fix the
	ml-structs build error that started on 1/7/07 when Rob made some
	changes for the win32 build.

	M    GNU/GNURegex.cc
	M    GNU/GNURegex.h

2007-02-09  James Gallagher <jgallagher@opendap.org>

	Updated for version 3.7.5

	M    docs/html.tar.gz
	M    libdap.spec

2007-02-07  James Gallagher <jgallagher@opendap.org>

	main_page.doxygen: Updated the version number to 3.7.5.

2007-02-07  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc, GeoConstraint.cc, HTTPConnect.cc: Formatting
	lex.dds,cc, les.gse_.cc: Regenerated.

2007-02-05  James Gallagher <jgallagher@opendap.org>

	data.z2-7: updated the data values for two and three
	dimensional arrays given the new code in GeoConstraint.

2007-02-05  James Gallagher <jgallagher@opendap.org>

	expr-test.cc, TestArray.cc: formatting changes

2007-02-05  James Gallagher <jgallagher@opendap.org>

	AISMergeTest.cc, HTTPConnectTest.cc: Fixed errors that have
	cropped upover time, esp. as Server4 has become the default.

2007-02-02  Patrick West <pwest@ucar.edu>

	Added information about PATH and LD_LIBRARY_PATH.
	M    INSTALL

2007-01-30  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Added support for missing values to linear_scale.
	Now, if missing_value is present (in the attributes or given as a
	parameter) values which match will not be scaled.

2007-01-29  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Added a new version of get
	get_attribute_double_value() that takes a vector of strings
	and returns the value of the first attribute found in that
	vector. Also cleaned up the memory use in the linear_scale
	function so that function no longer leaks the new template
	variable. This was part of the fix for #660 (See also the
	checkin for Clause.cc from today).

2007-01-29  James Gallagher <jgallagher@opendap.org>

	Clause.cc: Added a call to set_read_p(true) in Clause::value
	so that handlers' read() methods will not try to 'read over'
	the values inserted to the variables by a CE function.

2007-01-29  James Gallagher <jgallagher@opendap.org>

	GeoConstraint.cc: Minor formatting fix.

2007-01-26  James Gallagher <jgallagher@opendap.org>

	Updates to comments.

2007-01-26  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Fixed ticket 659 where array data was not
	read when a relational constraint was not used. The bug
	crept in while making another fix (for the HDF4 handler).
	The problem was that Grid::read() was used to read the maps
	(bit not the Array) and as a side effect read_p was set for
	the entire Grid, not just the maps. I reset the Array read_p
	value; see ce_functions.cc

2007-01-21  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Synch win32 Makefile wrt recent libdap code changes

2007-01-12  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-01-11  Patrick West <pwest@ucar.edu>

	comment headers updated with correct information and Copyright.
	M    DapObj.h
	M    DapIndent.h
	M    DapIndent.cc

2007-01-11  Patrick West <pwest@ucar.edu>

	Added dump method to the BaseType classes, DAS, DDS, DataDDS. To
	do this, created a DapObj base class for all of these to inherit
	from (directly or indirectly) and in the DapObj class is the
	operator<< method. This will aid in debugging. Created an
	indentation classes to help with dumping objects.

	M    Int16.cc
	M    Int32.h
	M    Structure.h
	M    Sequence.h
	M    Str.h
	M    Int16.h
	M    DAS.h
	M    DDS.cc
	M    BaseType.h
	M    Array.cc
	M    Float64.h
	M    UInt16.cc
	M    Byte.cc
	M    Byte.h
	M    DataDDS.h
	M    BaseType.cc
	M    DDS.h
	M    Makefile.am
	M    Constructor.h
	M    Int32.cc
	A    DapObj.h
	M    DataDDS.cc
	A    DapIndent.h
	M    Float32.cc
	M    AttrTable.cc
	M    Grid.h
	M    Structure.cc
	M    Vector.cc
	M    Str.cc
	M    Sequence.cc
	M    Float32.h
	M    AttrTable.h
	M    Constructor.cc
	M    UInt32.h
	M    Vector.h
	M    DAS.cc
	M    Float64.cc
	M    UInt32.cc
	M    Grid.cc
	A    DapIndent.cc
	M    Array.h
	M    UInt16.h

2007-01-08  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-01-07  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Last Makefile tweeks to automate pkging for win32

2007-01-07  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Add doc's that accompany win32 libdap releases to the repository

2007-01-07  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2007-01-06  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Prevent "error.h" from getting picked up during ml-structs build
	under win32 (that's error.h with a little "e").

2007-01-06  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Removed VC++-6.x-specific ifdefs.  6.x not supported any longer anyway
	as some old template-related hacks are no longer in the code.

2007-01-06  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Add sample code for compiling/linking with libdap under win32

2007-01-03  James Gallagher <jgallagher@opendap.org>

	Vector.h: Removed 'Vector::' prefix in a bunch on accessors; these
	caused g++ 4.1.1 to gag. Fix from Rob Cermak.

2007-01-02  Patrick West <pwest@ucar.edu>

	3.7.4 release
	M    configure.ac
	M    ChangeLog
	M    libdap.spec
	M    NEWS

2006-12-31  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Synchronize select win32 Makefiles to build/pkg the same way

2006-12-20  James Gallagher <jgallagher@opendap.org>

	Added Structure::transfer_data() so that a handler can simulate the
	actions of serialize() without actually sending the data.
	M    Structure.h
	M    Structure.cc
	M    Sequence.cc

2006-12-20  James Gallagher <jgallagher@opendap.org>

	DDXParser.cc: Fixed an error introduced by the Eclipse
	code formatter.

2006-12-19  James Gallagher <jgallagher@opendap.org>

	DDXParser.cc, DODSFilter.cc: Formatting changes

2006-12-13  James Gallagher <jgallagher@opendap.org>

	Updated libdap.pmproj to/for version 3.7.3

2006-12-10  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Change of pkging location simplifies user builds

2006-12-06  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Set LIBDAP_ROOT appropriately in the MS Windows case

2006-12-06  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Remove external .manifest as an issue by internalizing into binaries

2006-12-05  James Gallagher <jgallagher@opendap.org>

	getdap.cc: Fixed a bug where the constraint expression passed
	in using -c was not used when getting either a DDS or a DDX
	(but it was used when getting data).

2006-12-05  James Gallagher <jgallagher@opendap.org>

	Added comments to DDS and DataDDS about when it's OK
	to delete their type factories (only when you're done
	using the DDS or if you're about to switch to a new
	factory).

2006-12-05  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Require *.exe.manifest to accompany .exe's if they are to run.  I
	guess I don't yet know why these are generated

2006-12-05  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Improve win32 exe linking

2006-12-03  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Just libdap for win32 makefile tweeks

2006-12-02  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	New Makefile code to gen exports for dll's automatically

2006-12-02  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Module export def's no longer required.  Constructed at build time.

2006-11-25  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Automate module export definition regeneration for dll's (hard)

2006-11-24  James Gallagher <jgallagher@opendap.org>

	Updated OSX ReadME.txt for 3.7.3

2006-11-24  James Gallagher <jgallagher@opendap.org>

	Documentation and build file update for the 3.7.3 release.

2006-11-24  James Gallagher <jgallagher@opendap.org>

	AISMergeTest.cc: UPdated baseline to account for new fnoc1.das
	file in data/nc.

2006-11-22  James Gallagher <jgallagher@opendap.org>

	Updated ChangeLog

2006-11-21  James Gallagher <jgallagher@opendap.org>

	Fixed unescattr() in escaping.cc. Now the code works when there
	are several escaped characters or when the escapes are escaped.
	That is, this version can be used by the libnc-dap library and the
	result is code that passes all the nc_test tests for char and text
	attributes.

2006-11-12  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Make win32 pkging dir locaton slightly more flexible

2006-11-12  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Update module export definitions for dll versions of the Core

2006-11-11  James Gallagher <jgallagher@opendap.org>

	Removed errant 3.7.3 sub directory.

2006-11-07  James Gallagher <jgallagher@opendap.org>

	HTTPConnectTest.cc: Turned off debugging

2006-11-07  James Gallagher <jgallagher@opendap.org>

	HTTPConnectTest.cc: Fixed up the tests for headers once again...

2006-11-07  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-11-06  James Gallagher <jgallagher@opendap.org>

	configure.ac: I moved the DAP Protocol setting up where
	it's likely to be updated and not glossed over.

2006-11-06  James Gallagher <jgallagher@opendap.org>

	getdap.cc: getdap now reports the protocol version in addition
	to the server version.

2006-11-06  James Gallagher <jgallagher@opendap.org>

	Added tests for the new parameter VALIDATE_SSL

2006-11-06  James Gallagher <jgallagher@opendap.org>

	HTTPConnect.cc, RCReader: The .dodsrc file now supports a
	VALIDATE_SSL option which controls libcurl's validation of SSL
	hosts and certificates. If this is set (the default), certificates
	must be signed by a recognized Certificate Authority and hosts
	must be properly named. Clear (set to zero) to get the old
	behavior from libcurl which does not perform this validation.

2006-11-03  James Gallagher <jgallagher@opendap.org>

	HTTPConnect.cc: Modified so that gzip and compress are also
	accepted encodings.

2006-11-02  Patrick West <pwest@ucar.edu>

	Removed DODSResponseObject from the Makefile after removing the
	file from libdap. DAS and DDS no longer inherit from
	DODSResponseObject. New classes representing DAS, DDS and DataDDS
	were created in BES. M Makefile.am

2006-11-02  Patrick West <pwest@ucar.edu>

	Moved DODSResponseObject.h to the BES, naming it
	BESResponseObject. Created in BES three classes to represent DAS,
	DDS, and DataDDS. D DODSResponseObject.h M DAS.h M DDS.h M DDS.cc

2006-10-30  James Gallagher <jgallagher@opendap.org>

	expr-tests for geogrid() and geoarray(): Fixed the tests so they
	work using the new notation which passed geo points using lat,lon
	as opposed to lon,lat.

2006-10-30  James Gallagher <jgallagher@opendap.org>

	Makefile.am: Removed the debug flags from AM_CXXFLAGS. -Werror
	really breaks the builds because of issues in the bison/flex
	code.

2006-10-28  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-27  James Gallagher <jgallagher@opendap.org>

	Constructor.cc, ArrayGeoConstructor.cc: Removed DODS_DEBUG

2006-10-27  James Gallagher <jgallagher@opendap.org>

	DDSTest.cc: Removed compiler warnings.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	HTTPConnect.cc: Fixed a bug in save_raw_http_headers() where the
	test for the \r\n line terminator was broken (tested nmemb-1 instead
	of nmemb-2.
	Makefile.am: added a target for test coverage and added the debugging
	options to CXXFLAGS by default. Make sure to back this out before
	release
	Unit Tests: Fixed up warnings in the unit tests

2006-10-27  James Gallagher <jgallagher@opendap.org>

	DDS.h: Added declarations for the new transfer_attributes()
	methods

2006-10-27  James Gallagher <jgallagher@opendap.org>

	Constructor.h: Added declarations for the new transfer_attributes()
	methods.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	BaseType.h: Added a little text to the ptr_duplicate() documentation.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	HTTPCache.cc: Changed the way the mutex which is used to protect
	the various methods is initialized.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	GeoConstraint.cc: Fixed two warnings, one about using a prefix
	operator with modulus and assignment back to the same variable and
	the other about field initialization order.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	DODSFilter.cc: Fixed the broken definition of send_blob(),
	not that it matters...

2006-10-27  James Gallagher <jgallagher@opendap.org>

	DDS.cc: I removed the second attempt at transfer_attributes and
	started on a third. This one seems to work much better; see the
	tests in DDSTest.cc. This version takes the _dim attributes from
	the hdf4 server and bundles them with a Grid Map or puts them in
	a sub-container for an Array. This should not break libnc-dap while
	still preserving all the attribute data.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	Constructor: Added code to merge attributes into a constructor.
	This method is called from DDS.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Removed unused parameters.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	ArrayGeoConstraint: Fixed a warning where one version of the
	constructor was not using all of its parameters.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	ArrayGeoConstraintTest: added

2006-10-27  James Gallagher <jgallagher@opendap.org>

	DDSTest.cc, Makefile.am: Updated with tests for
	DDS::transfer_attributes.

2006-10-27  James Gallagher <jgallagher@opendap.org>

	Added test data for DDS::transfer_attributes new new version.

2006-10-24  James Gallagher <jgallagher@opendap.org>

	HTTPConnect.cc: Removed debugging.

2006-10-24  James Gallagher <jgallagher@opendap.org>

	DDS.cc: Removed the 'sub table' code from transfer_attributes().
	getdap.cc: Added -X option to build the DDX on the client to simplify
	debugging (e.g., ticket 480)

2006-10-24  James Gallagher <jgallagher@opendap.org>

	Massive removal of exception qualifiers/declarations. I've left
	only the exception declarations in RCReader (which declare that
	no exceptions are thrown) and those for constructors. In
	HTTPConnect.cc:save_raw_http_headers() fixed a bug where headers
	were assumed to have \r\n terminators. That is true only for new
	servers. See ticket #631 for more information.

2006-10-24  James Gallagher <jgallagher@opendap.org>

	cgi_util, DODSFilter: Made many params & methods const

2006-10-23  James Gallagher <jgallagher@opendap.org>

	Fixed AISDatabaseParser.cc

2006-10-23  James Gallagher <jgallagher@opendap.org>

	AISDatabaseParser.cc: Replaced calls to getLineNumber and
	xmlSAX2GetLineNumber with calls to one or the other depending on
	the library version. In some places the SAX2 API was used
	exclusively, in others the old API was used. The changes mean the
	new API will always be used OR the old API will always be used,
	depending on library version.

2006-10-23  James Gallagher <jgallagher@opendap.org>

	DDXParser.cc: I put the call to xml2's getLinNumber() Back in the
	code since older distros don't have the newer library.

2006-10-20  James Gallagher <jgallagher@opendap.org>

	Closed some tickets for the server-side functions and added
	the version function.

2006-10-20  James Gallagher <jgallagher@opendap.org>

	Fixes for ticket 616: I added code to GeoConstraint that checks
	the bounding box to make sure it includes data and returns an
	Error if it does not. Also, the order of the bounding box lat and
	lon were switched to fit more with practice. The GeoConstraint
	method arguments were no changes, only the order of lat and lon
	passed to the geogrid() and geoarray() functions.

2006-10-20  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-19  James Gallagher <jgallagher@opendap.org>

	Data for geoarray tests added.

2006-10-19  James Gallagher <jgallagher@opendap.org>

	Baseline data for geoarray tests added.

2006-10-19  James Gallagher <jgallagher@opendap.org>

	Tests for geoarray: Added

2006-10-19  James Gallagher <jgallagher@opendap.org>

	Added geoarray() which required changes to GeoConstraint and
	GridGeoConstraint (I created GridGeoConstraint and made
	GeoConstraint abstract). ce_functions.cc was also modified.

2006-10-19  James Gallagher <jgallagher@opendap.org>

	ArrayGeoConstraint.cc: Added

2006-10-19  James Gallagher <jgallagher@opendap.org>

	ArrayGeoConstraint.h: Added

2006-10-19  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-18  James Gallagher <jgallagher@opendap.org>

	Updated baseline for text.z3.exp (data.z3) after fixing
	GeoConstraint::find_latitude_indeces().

2006-10-18  James Gallagher <jgallagher@opendap.org>

	Added data.61a-d

2006-10-18  James Gallagher <jgallagher@opendap.org>

	GridGeoConstraintTest: Updated with a new test for
	find_latitude_indeces.

2006-10-18  James Gallagher <jgallagher@opendap.org>

	Updated the data.z? files given that the range selection behavior in
	GeoConstraint has been changed.

2006-10-16  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Update win32 module export definitions for latest libdap*.

2006-10-16  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Provide header for find_if under win32

2006-10-16  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Change funcs that return nothing to be declared so

2006-10-14  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-13  James Gallagher <jgallagher@opendap.org>

	GridGeoConstraint: Fixed the calls so that they no longer use the
	dds argument

2006-10-13  James Gallagher <jgallagher@opendap.org>

	GridGeoConstraint: Added

2006-10-13  James Gallagher <jgallagher@opendap.org>

	Removed DDS from GeoConstraint.

2006-10-13  James Gallagher <jgallagher@opendap.org>

	HTTPCache.cc: Minor change to a comment.

2006-10-13  James Gallagher <jgallagher@opendap.org>

	Refactored GeoConstraint so that all the Grid-specific code is now
	in GridGeoConstraint (created/added GridGeoConstraint). Modified
	ce_functions so that geogrid uses the new object. Updated the unit
	tests. Added the new class to the Makefile.am

2006-10-13  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-12  James Gallagher <jgallagher@opendap.org>

	Added tests.

2006-10-12  James Gallagher <jgallagher@opendap.org>

	Test baseline data for the geogrid() function

2006-10-12  James Gallagher <jgallagher@opendap.org>

	Changes test.10 to test.a

2006-10-12  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-11  James Gallagher <jgallagher@opendap.org>

	Added

2006-10-11  James Gallagher <jgallagher@opendap.org>

	Added tests to expr-testsuite for geogrid. Somewhat dubious
	at the moment.

2006-10-10  James Gallagher <jgallagher@opendap.org>

	expr-test.cc: reformatted

2006-10-09  James Gallagher <jgallagher@opendap.org>

	BaseType, RValue, et c.: Closed ticket regarding optimization
	of build_btp_args. Args are always BaseTypes and before they
	were always read. This could cause huge Grid/Array variables to
	be read when those were arguments to functions, even if the
	running the function would result in only a small part of the
	Grid/Array being returned. Now arguments are not read. If functions
	need values for the arguments, they must read them themselves.

2006-10-09  James Gallagher <jgallagher@opendap.org>

	cgi_util.cc: Fixed a bug in set_mime_text where the wrong 'type'
	was returned. The type was always set to dap4_ddx.

2006-10-09  James Gallagher <jgallagher@opendap.org>

	CEFunctionsTest: Paths easy to set for debugger.

2006-10-09  James Gallagher <jgallagher@opendap.org>

	DDXParserTest: Turned off debug

2006-10-09  James Gallagher <jgallagher@opendap.org>

	AISDatabaseParser: Replaced old xml getLineNumber with the newer
	SAX2 api call.

2006-10-06  James Gallagher <jgallagher@opendap.org>

	Vector: Added set_value() and value() methods.
	Updated docs

2006-10-06  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Now the linear_scale function will work for
	Grid Maps in the hdf4 handler.

2006-10-06  James Gallagher <jgallagher@opendap.org>

	Check point: I've modified Connect, getdap and ObjectType so they
	support a Connect::request_ddx() method. I've added a stream
	reader to DDXParser and am in the process of figuring out where
	the attributes are going!

2006-10-05  James Gallagher <jgallagher@opendap.org>

	DDXParser.h: Added an intern_stream() method to read from a stream and
	updated the code (one function) to use the new SAX2 API from libxml2.

2006-10-05  James Gallagher <jgallagher@opendap.org>

	DDXParser.cc: Added an intern_stream() method to read from a stream and
	updated the code (one function) to use the new SAX2 API from libxml2.

2006-10-05  James Gallagher <jgallagher@opendap.org>

	Vector.cc: Ran indent

2006-10-04  James Gallagher <jgallagher@opendap.org>

	ConstraintEvaluator: Now uses a list to store the list of functions
	and the add_function() methods now overwrite functions with the
	same names so it's possible to provide specializations of the
	standard functions in ce_functions.

2006-10-04  James Gallagher <jgallagher@opendap.org>

	Added value()/set_value() methods to Float32/64, Int16/32,
	UInt16/32 and Str.

2006-10-04  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Both grid and geogrid now use a little hack to
	read the map vectors of a Grid. The HDF handler cannot read the
	Grid Maps directly (maps on HDF are not really variables but are
	attributes instead). This hack involves setting send_p for the
	just the maps and then calling the Grid's read() method.

2006-10-04  James Gallagher <jgallagher@opendap.org>

	ConstraintEvaluator: Now uses a list to store the list of functions
	and the add_function() methods now overwrite functions with the
	same names so it's possible to provide specializations of the
	standard functions in ce_functions.

2006-10-04  James Gallagher <jgallagher@opendap.org>

	Vector.cc: Simplified the code in val2buf()

2006-10-03  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-10-02  James Gallagher <jgallagher@opendap.org>

	Float64, Int32: Added value/set_value() methods
	Grid: Added an reverse iterator typedef and rbegin/rend
	methods. This provides an easy way to access the 'rightmost'
	map vectors (used by geogrid()).

2006-10-02  James Gallagher <jgallagher@opendap.org>

	Vector.cc: Ran through astyle indent utility.

2006-10-02  James Gallagher <jgallagher@opendap.org>

	parser-util.cc: Ran through astyle indent utility.

2006-10-02  James Gallagher <jgallagher@opendap.org>

	CEFunctionsTest: Added tests for linear_scale().

2006-10-02  James Gallagher <jgallagher@opendap.org>

	ce_functions: Added linear_scale function.
	CEFunctionsTest: Added tests for linear_scale().

2006-09-30  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-09-29  James Gallagher <jgallagher@opendap.org>

	Makefile.am: Added GEOConstraintTest

2006-09-29  James Gallagher <jgallagher@opendap.org>

	GeoConstraintTest: Extracted from CEFunctionsTest and added to
	svn.

2006-09-28  James Gallagher <jgallagher@opendap.org>

	Clause.cc: Fixed up some comments.

2006-09-28  James Gallagher <jgallagher@opendap.org>

	GeoConstraint.cc: Turned off instrumentation; removed throw()
	from declarations, fixed a problem with bad latitude constraint
	information that caused a fatal error (now it sends a message
	indicating how to fix the problem).

2006-09-28  James Gallagher <jgallagher@opendap.org>

	DODSFilter.cc: Modified send_data() so that errors thrown by
	BaseType functions will be returned to clients correctly.

2006-09-28  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc, GeoConstraint.h: Removed 'throw(Error)' from
	declarations since C++ calls abort() when/if another type of
	excpetion is thrown, even if there's a catch() clause for it.

2006-09-28  James Gallagher <jgallagher@opendap.org>

	ce_functions.h: Removed 'throw(Error)' from declarations since C++
	calls abort() when/if another type of excpetion is thrown, even if
	there's a catch() clause for it.

2006-09-27  James Gallagher <jgallagher@opendap.org>

	Vector.cc: I made the instrumentation in the ctor and dtor
	'level two' statements so that the output would be less cluttered.

2006-09-27  James Gallagher <jgallagher@opendap.org>

	GeoConstraint.cc: reorder_data_longitude_axis() now works.
	CEFunctionsTest.cc: Turned off debugging.

2006-09-26  James Gallagher <jgallagher@opendap.org>

	GeoConstraint: Checkpoint; passes unit tests but still fails with
	a real dataset (COADS_CLIMATOLOGY). Problem with circular
	longitude axis.

2006-09-25  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: The grid() function is now implemented so that
	geogrid() can use it to evaluate GSEs (ticket 569)

2006-09-25  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc/h: The grid() function is now a BaseType* function.
	CEFunctionsTests: Work with the new grid() implementation changes.

2006-09-24  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Removed old code that was getting in the way.

	GeoConstraint.cc: Fixed a buf in reorder_data_longitude_axis():
	off-by-one error when applying the first constraint (used
	d_lon_length instead of d_lon_length-1 for the end point).

	CEFunctionsTest: Added code to use TestTypes from the 'test'
	directory and generally fixed up the tests so they work with the
	new BaseType function version of geogrid().

2006-09-23  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-09-22  James Gallagher <jgallagher@opendap.org>

	Modified TestArray so that it's possible to see that arrays really
	are subsampled. That is, if a constraint is set on an array,
	TestArray::read() will first allocate the whole array and then
	sample it, simulating a read() method that's interacting with an
	API that knows how to sample an array. Works only for two dims.

2006-09-22  James Gallagher <jgallagher@opendap.org>

	test.c{0,1}: Added

2006-09-22  James Gallagher <jgallagher@opendap.org>

	Grid: Added get_array() which returns an Array* so the cast that
	was needed when using array_var() can be removed. I changed all
	the calls to array_var() to get_array() (DDS, ce_expr, ce_functions).

	RValue.cc: I removed the read() call when build_btp_args() builds
	an argument list. This change may break client software, but it means
	that variables are not complete read when they are passed to CE
	functions, which should be a big boost in efficiency when working
	with EOS Grids in geogrid().

	Added code in TestArray to make arrays with constrained values.
	GeoConstraint: Updates; almost complete.

2006-09-22  James Gallagher <jgallagher@opendap.org>

	GeoConstraint: Added a new method and an enum to record the 'sense' of
	the latitude map (normal or inverted).
	Added tests for the find_latitude_indeces() method to the unit tests

2006-09-21  James Gallagher <jgallagher@opendap.org>

	GeoConstraint/geogrid checkpoint.
	Byte,Str: Added value() and set_value() methods
	TestArray: Improved the read() method so it uses the series_values
	property and so it returns reasonable values for lat/lon vectors
	expr-test.cc: Now can be used to test BaseType functions

2006-09-20  James Gallagher <jgallagher@opendap.org>

	Another GeoConstraint checkpoint

2006-09-20  James Gallagher <jgallagher@opendap.org>

	GeoConstraint checkpoint

2006-09-19  James Gallagher <jgallagher@opendap.org>

	Makefile.am: Patch from Patrice Dumas regarding the libdapserver
	and libdapclient libraries.

2006-09-19  James Gallagher <jgallagher@opendap.org>

	libdap.spec: Patch from Patrice Dumas regarding the libdapserver
	and libdapclient libraries.

2006-09-19  James Gallagher <jgallagher@opendap.org>

	dap-config.in: Changed the semantics of --libs so that it matches
	the old behavior.

2006-09-15  James Gallagher <jgallagher@opendap.org>

	Updated the version to 3.7.2 and the associated ChangeLog,
	configure.ac, et c., files. The docs have also been updated
	(docs/html.tar.gz).

2006-09-15  James Gallagher <jgallagher@opendap.org>

	HTTPConnect.cc: Changed the way headers are parsed. Now the code
	assumes that each header is terminated by a \r\n pair (previously
	the code assumed the line terminator was a \n character only).

2006-09-15  James Gallagher <jgallagher@opendap.org>

	HTTPConnectTest: Fixed most, but not all, of the failures. See
	ticket 552 for more info.

2006-09-15  James Gallagher <jgallagher@opendap.org>

	test.f.exp: The change to TestStr so that the number included in the
	string increments broke this test. Fixed.

2006-09-15  James Gallagher <jgallagher@opendap.org>

	Sequence: Doxygen was complaining about the types used in the
	new transfer_data_*() methods because they were not exactly the
	same string (vector<Sequence*> versus sequence_values_stack_t).
	I made them the same.

2006-09-15  James Gallagher <jgallagher@opendap.org>

	doxy.conf: Now the method listings are in alphabetical order.

2006-09-14  James Gallagher <jgallagher@opendap.org>

	SequenceTest.cc: Now tests the new transfer_data() method.

2006-09-14  James Gallagher <jgallagher@opendap.org>

	Added the transfer_data() method to Sequence. This method reads
	data using the read() method and loads values into the local object's
	d_values field. Values can then be used by methods like print_val()
	which expect to see information stored in the Sequence objects
	as if the object was part of a client and had read the data off of
	the wire. I also modified the print_vals_by_row so that nested
	Sequences values are indented by four spaces.

2006-09-14  James Gallagher <jgallagher@opendap.org>

	TestStr.cc: Modified the string so that the value of count
	increments by one for each instance.

2006-09-14  James Gallagher <jgallagher@opendap.org>

	TestInt32.cc: Modified so that on 64-bit machines the overflow of the
	'* 32' operation does not reset the value of _buf to zero, but instead
	_buf cycles back to 32.

2006-09-13  James Gallagher <jgallagher@opendap.org>

	Sequence: Added transfer_data and related methods. These are used
	to move data on the server-side from a data source into the
	d_values field, loading the variables in the sequence with data in
	a way that is very similar to the operation of all the other
	variables. This provides a way to pass a DDS to other code which
	is loaded with data. SequenceTest.cc and Makefile.am in
	unit-tests: Test the transfer_data method. Int32: I added a
	value() method similar to those added to Float32/64 a while back.
	This simplifies testing so much... configure.ac: Bumped up the
	revision number of the library.

2006-09-08  James Gallagher <jgallagher@opendap.org>

	GNURegex: I change the regex_t field from a regular variable to a
	pointer. Seems to fix the problem, although I don't know why. Not
	the most reassuring feeling...

2006-09-05  James Gallagher <jgallagher@opendap.org>

	BaseType.cc: Modified add_var() so that it now throws an InternalErr
	and fixed up the documentation so it reads correctly.

2006-09-02  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-09-01  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: geogrid() no longer uses the projection/selection
	function model. Now it's a pure projection function.

2006-09-01  James Gallagher <jgallagher@opendap.org>

	GeoConstraint: removed old code and modified find_lon_lat_maps()
	so that I can test with the COADS dataset. Tests not working...

2006-09-01  James Gallagher <jgallagher@opendap.org>

	GeoConstraint: removed old code and modified find_lon_lat_maps()
	so that I can test with the COADS dataset. Tests not working...

2006-09-01  James Gallagher <jgallagher@opendap.org>

	checkpoint: GeoConstraint/geogrid() nearly working Changes in
	DDS, ConstraintEvaluator, ce_functions (now uses the new libdap
	namespace), RValue, various tests.

2006-09-01  James Gallagher <jgallagher@opendap.org>

	Updates/Changes to the grid() testsuite that uses remote servers.
	I changed the tests so they now run using servers on test.opendap.org
	and use getdap (the tests were originally written to use geturl).

2006-08-29  James Gallagher <jgallagher@opendap.org>

	GeoConstraint: Changed code to do the data translation for split
	constraints so that it uses memcpy(). Untested.

2006-08-28  James Gallagher <jgallagher@opendap.org>

	GeoConstraint: Added some of the code needed to swap parts of a 'split'
	longitude constraint.

2006-08-28  James Gallagher <jgallagher@opendap.org>

	CEFunctionsTest.cc: Added unit tests for vector swapping coode.

2006-08-28  James Gallagher <jgallagher@opendap.org>

	Added separate lon/lat bounding box marking code to GeoConstraint.

2006-08-25  James Gallagher <jgallagher@opendap.org>

	More work on geogrid().
	M    ce_functions.h
	M    GeoConstraint.h
	M    Grid.h
	M    Vector.cc
	M    ce_functions.cc
	M    Grid.cc
	M    unit-tests/CEFunctionsTest.cc
	M    GeoConstraint.cc

2006-08-25  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-08-24  James Gallagher <jgallagher@opendap.org>

	Progress on the geogrid() server-side function. Changed/Added files:
	M    RValue.cc
	M    ce_functions.h
	M    GeoConstraint.h
	M    Makefile.am
	M    gse-test.cc
	M    ce_functions.cc
	A    unit-tests/ce-functions-testsuite
	A    unit-tests/ce-functions-testsuite/two_grid.dds
	A    unit-tests/ce-functions-testsuite/geo_grid.dds
	M    unit-tests/CEFunctionsTest.cc
	M    Clause.cc
	M    GeoConstraint.cc

2006-08-22  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-08-21  James Gallagher <jgallagher@opendap.org>

	Updated release files for the 3.7.1 source release.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc, DDS.cc, CEFunctionsTest.cc, docs/html.tar.gz:
	Updates for documentation. For CEFunctionsTest.cc: Added tests
	for the new grid() and nascent geogrid() code.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	GeoConstraint.cc: Added

2006-08-21  James Gallagher <jgallagher@opendap.org>

	DDS.cc: Fixed tcket 480. The transfer_attributes() method
	was not handling the HDF4 *_dim_? attribute containers
	correctly, at least as far as the libnc-dap was concerned.
	Now those attribute containers are made subtables of the
	associated variable. That is, if there's a variable <var>
	and a container <var>_dim_0, then the attribute table
	<var> will have a subtable 'dim_0'.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Added stuff for gwogrid() (which still doesn't
	work).

2006-08-21  James Gallagher <jgallagher@opendap.org>

	BaseType.cc: Updates to comments.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	Grid.h: Comment fixes, moved some doxygen comments into
	Grid.cc.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	GeoConstraint.h: Added. Currently does nothing.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	ce_functions.h: changed the name of func_grid_select() to
	projection_function_grid(). Added projection _function_geogrid().

2006-08-21  James Gallagher <jgallagher@opendap.org>

	AttrTableTest.cc: Added a test for the new append_attr() method.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	DDSTest.cc: Added a test for ticket 480 (transfer_attributes()).

2006-08-21  James Gallagher <jgallagher@opendap.org>

	S2000415.HDF.test1.das: Added for more DDS::transfer_attributes()
	tests.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	Mkaefile.am: GetConstraint.cc Added.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	RValue.cc: Fixes for some comments.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	Grid.cc: Fixes for some comments.

2006-08-21  James Gallagher <jgallagher@opendap.org>

	DAS.cc: Removed the 'char*' versions of the methods. These have not
	been needed since we stopped using the GNU String class.

2006-08-17  James Gallagher <jgallagher@opendap.org>

	BaseType.h: Reformatted a doc comment for var().

2006-08-17  James Gallagher <jgallagher@opendap.org>

	AttrTable: Added append_attr() method that takes a vector of values
	so that client code does not have to call the single value version
	in a loop.

2006-08-17  James Gallagher <jgallagher@opendap.org>

	AttrTable: Added append_attr() method that takes a vector of values
	so that client code does not have to call the single value version
	in a loop.

2006-08-15  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-08-14  James Gallagher <jgallagher@opendap.org>

	das.tab.cc: Updated (edits to das.y).

2006-08-14  James Gallagher <jgallagher@opendap.org>

	das.y: config_dap.h --> config.h

2006-08-14  James Gallagher <jgallagher@opendap.org>

	Makefile.am, CEFunctionsTest.cc: Added unit tests for the the
	grid() ce function.

2006-08-14  James Gallagher <jgallagher@opendap.org>

	Str.cc: No longer includes an extern declaration for escattr() since
	that function is not called by this code.

2006-08-14  James Gallagher <jgallagher@opendap.org>

	GSEClause.cc: Added the word 'map' to the error messages about
	missing map variables.

2006-08-11  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc: Modified so that the errors returned match those
	in the design.

2006-08-01  James Gallagher <jgallagher@opendap.org>

	DDS.cc, DDXParser.cc/h, tests/ddx-testsuite/*.ddx: Changed the name
	of the dodsBLOB element to dataBLOB and the attribute from URL to href.
	See ticket #454.

2006-08-01  James Gallagher <jgallagher@opendap.org>

	DDSTest.cc: Changed expected name to dataBLOB from dodsBLOB and
	attribute of that element to href from URL.

2006-08-01  James Gallagher <jgallagher@opendap.org>

	html.tar.gz: Updated build of reference docs.

2006-08-01  James Gallagher <jgallagher@opendap.org>

	generalUtilTest.cc: Fixed test for the new id2www/www2id behavior
	which escapes the percent sign.

2006-08-01  James Gallagher <jgallagher@opendap.org>

	BaseType.h, ConstraintEvaluator.cc, DODSFilter.cc, escaping.cc/.h,
	Sequence.cc: Updated comments.

2006-08-01  James Gallagher <jgallagher@opendap.org>

	libdap.m4: Applied Patrice Dumas' patch which checks for the newer
	dap-config and uses it's options for the three library setup.

2006-07-31  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-07-30  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	w32 Makefile rewrite & export def's for 3-lib split-up of libdap

2006-07-09  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Tweeks for win32 porting effort

2006-07-09  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	New makefile for win32 libdap version to accomodate 3-library split

2006-07-07  James Gallagher <jgallagher@opendap.org>

	docs/html.tar.gz, escaping.cc: Updated/corrected documentation.

2006-07-07  James Gallagher <jgallagher@opendap.org>

	cgi_util.cc, configure.ac: Fixed bug 437. When a handler is not passed
	a version number, it will now use the library's version number set at
	compile time.

2006-07-03  Rob Morris <Robert.O.Morris@jpl.nasa.gov>

	Patch core to use libcurl as a dll without crashing

2006-06-14  James Gallagher <jgallagher@opendap.org>

	Removed GNU error and builtin from Makefile.am (they were already
	removed from the directry GNU.

2006-06-14  James Gallagher <jgallagher@opendap.org>

	Updates to ChangeLog, README, INSTALL, NEWS, libdap.spec,
	Makefile.am and html.tar.gz for the beta releae 3.7.0.

2006-06-13  James Gallagher <jgallagher@opendap.org>

	lex.gse_.cc: Comments

2006-06-13  James Gallagher <jgallagher@opendap.org>

	ce_functions.cc, gse.lex: fixed comments

2006-06-09  James Gallagher <jgallagher@opendap.org>

	INSTALL.AIX: Added newer comments from Dan S.

2006-06-09  James Gallagher <jgallagher@opendap.org>

	INSTALL: Updated by adding a reference to the INSTALL.AIX file.

2006-06-06  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-06-05  James Gallagher <jgallagher@opendap.org>

	GNURegex: Added Error thows back into the code

2006-06-05  James Gallagher <jgallagher@opendap.org>

	In GNU: Removed some now-unused files and fixed a bug in
	GNURegex.cc where config.h was not included when it must be. This
	caused a failure on OS/X because the rpl_regexec(), ..., symbols
	were not defined.

2006-06-02  James Gallagher <jgallagher@opendap.org>

	regex_test.cc: Added

2006-06-01  James Gallagher <jgallagher@opendap.org>

	Auto reset of Subversion properties

2006-05-31  Nathan Potter <ndp@coas.oregonstate.edu>

	GNURegex.cc: kludge! Added a workaround patch to
	GNURegex.cc:match() to avoid a illegal memory access segmentation
	fault under OS-X 10.4.6. Inline comments provide greater detail.
	(ndp)

2006-05-31  James Gallagher <jgallagher@opendap.org>

	ssize_t.m4: Added during most recent update.

